Resource.add('game', function()
{
	//The resources which will be needed for the game to run
	var resources = [
		//Modules
		'game.js', 'board.js', 'card.js', 'notification.js',
		
		//Images
		//Cards
		'card_clubs_a.png', 'card_clubs_2.png', 'card_clubs_3.png', 'card_clubs_4.png', 'card_clubs_5.png', 'card_clubs_6.png', 'card_clubs_7.png', 'card_clubs_8.png', 'card_clubs_9.png', 'card_clubs_10.png', 'card_clubs_j.png', 'card_clubs_q.png', 'card_clubs_k.png',
		
		'card_diamonds_a.png', 'card_diamonds_2.png', 'card_diamonds_3.png', 'card_diamonds_4.png', 'card_diamonds_5.png', 'card_diamonds_6.png', 'card_diamonds_7.png', 'card_diamonds_8.png', 'card_diamonds_9.png', 'card_diamonds_10.png', 'card_diamonds_j.png', 'card_diamonds_q.png', 'card_diamonds_k.png',
		
		'card_hearts_a.png', 'card_hearts_2.png', 'card_hearts_3.png', 'card_hearts_4.png', 'card_hearts_5.png', 'card_hearts_6.png', 'card_hearts_7.png', 'card_hearts_8.png', 'card_hearts_9.png', 'card_hearts_10.png', 'card_hearts_j.png', 'card_hearts_q.png', 'card_hearts_k.png',
		
		'card_spades_a.png', 'card_spades_2.png', 'card_spades_3.png', 'card_spades_4.png', 'card_spades_5.png', 'card_spades_6.png', 'card_spades_7.png', 'card_spades_8.png', 'card_spades_9.png', 'card_spades_10.png', 'card_spades_j.png', 'card_spades_q.png', 'card_spades_k.png',
		
		'card_background.png', 'card_flipped.png',
		
		//board
		'board_bottom_left.png', 'board_bottom_right.png', 'board_bottom.png', 'board_left.png', 'board_right.png', 'board_top_left.png', 'board_top_right.png', 'board_top.png',
		
		//textures
		'wood_background.png', 'linnen_texture.png',
		
		//Other
		'button_create.png', 'button_join.png', 'rotate.png', 'arrow_down.png'
		
		//Stylesheets
		//'social.css' //Removed, because iOS5 does not callback on stylesheet loading (added in dom hardcoded)
	];
	
	function setLoadingDOM()
	{
		container.innerHTML = 
		'<div class="logo-container">' +
			'<div class="logo"></div>' +
			'<div class="loading"><span class="loading-progress" id="progressIndicator"></span></div>' +
		'</div>' +
		
		'<div class="deck deck-loading deck-lowered">' +
			'<ul class="card-container">' +
				'<li class="card card-heart-nine"></li>' +
				'<li class="card card-heart-nine"></li>' +
				'<li class="card card-heart-nine"></li>' +
				'<li class="card card-heart-nine"></li>' +
			'</ul>' +
		'</div>';
	}	
	
	function loadResources()
	{				
		var progressIndicator = document.getElementById('progressIndicator');
		
		//Load all resources, show progress barr, fancy animation on the way out
		Resource.loadResources(resources, function(resource, progress, status)
		{
			progressIndicator.style.width = progress + '%';
			
			if(progress == 100)
			{
				$('.loading').addClass('loading-done');
				$('.deck-loading').addClass('deck-loading-done');
				$('.card').addClass('card-loading-done');
				
				//Animation takes one second, when done show 'create' or join button
				setTimeout(function()
				{
					//The iPhone application must be added to the home screen.
					if ('standalone' in navigator && !navigator.standalone && (/iphone|ipod/gi).test(navigator.platform) && (/Safari/i).test(navigator.appVersion)) {
						client.showAddHomescreenNotification();
						return;
					}
					
					//Make sure smartphones have correct orientation
					window.onorientationchange = function() {
						client.forceCorrectOrientation();
					}
					client.forceCorrectOrientation();
					
					//Setup game DOM
					setMainMenuDOM();
				}, 1000);	
			}
			
		});
	}
	
	function setMainMenuDOM()
	{
		container.innerHTML = 
		'<div class="logo-container">' +
			'<div class="logo"></div>' +
		'</div>' +
		
		'<div class="deck deck-lowered">' +
		'<div class="button-container">' +
			'<a href="#" onclick="game.showJoinView();" class="button button-join"></a>' + 
			'<a href="#" onclick="game.showCreateView();" class="button button-create"></a>' +
		'</div>' +	
		'</div>';
	}
	
	function setJoinGameDOM()
	{

	}

	return {
	
		showLoadingView: function()
		{
			setBackground('poker');
			setLoadingDOM();
			loadResources();		
		},
		
		showJoinView: function()
		{
			setBackground('poker');
			showNotification('normal', 'Matthijn joined the game');
		},
		
		showCreateView: function()
		{
			if(client.getClientType() != 'smartphone')
			{
				setBackground('wood');
				board = Resource.get('board');			
				board.showBoardView();
			}	
			//Sorry, smartphone's cant create a game
			else {
				setBackground('poker');			
				showNotification('modal', 'You can only create a new game on a tablet or computer. However you can join one with a smartphone.');
			}
		},
		
		showMainMenuView: function()
		{
			setBackground('poker');		
			setMainMenuDOM();
		}
	}	
});