var Resource = (function() 
{	
	var modules = {};
	
	var Client;
	
	var root = '';
	
	function pathForResource(resource)
	{		
		if(typeOfResource(resource) == 'image')
		{
			if(Client == undefined)
			{
				Client = Resource.get('client');
			}
			
			var imagePath = '/images/normal';			
			if(Client.getScreenType() == 'retina')
			{
				imagePath = '/images/retina';
			}		
			
			return root + imagePath + '/' + resource;
		}
		else if(typeOfResource(resource) == 'module')
		{
			return root + '/js/modules/' + resource;
		}
		else if(typeOfResource(resource) == 'stylesheet')
		{
			return root + '/style/' + resource;
		}
	}
	
	function typeOfResource(resource)
	{
		var exploded = resource.split(/\./);
		var extension = exploded[exploded.length - 1].toLowerCase();
		if(extension == 'png' || extension == 'jpg' || extension == 'jpeg' || extension == 'gif' || extension == 'bmp')
		{
			return 'image';
		}
		else if(extension == 'css')
		{
			return 'stylesheet';
		}
		else if(extension == 'js')
		{
			return 'module';
		}
	}
	
	return {
		add: function(name, resource)
		{
			modules[name] = resource;
		},
		
		get: function(name)
		{
			return new modules[name];
		},
		
		loadResources: function(resources, callback)
		{
			var resourceCount = resources.length;
			var loadedResourceCount = 0;
			
			resources.forEach(function(resource, index, resources)
			{
				if(typeOfResource(resource) == 'image')
				{
					var element = new Image();
					element.src = pathForResource(resource);
				}
				else if(typeOfResource(resource) == 'stylesheet')
				{
					var element = document.createElement('link');
					element.setAttribute('rel', 'stylesheet');
					element.setAttribute('href', pathForResource(resource));
					document.head.appendChild(element);
				}
				if(typeOfResource(resource) == 'module')
				{	
					var element = document.createElement('script');
					element.setAttribute('src', pathForResource(resource));
					document.head.appendChild(element);
				}
				
				element.addEventListener('load', function(event) 
				{
					loadedResourceCount++;
					var progress = Math.round(loadedResourceCount / resourceCount * 100);
					callback(resource, progress, 'success');
				}, false);
				element.addEventListener('error', function(event) 
				{
					var progress = Math.round(loadedResourceCount / resourceCount * 100);
					callback(resource, progress, 'failure');
				}, false);
				
			});
		},
		
		getPath: function(resource)
		{
			return pathForResource(resource);
		}
	}
	
})();