// Constructor
var Card = function(id, sprite, table)
{
	// Constants
	this.id = id;
	this.sprite = sprite;

	// Placeholder values
	this.x = 0;
	this.y = 0;
	this.z = 0;
	this.rot = 0;
	this.flip = false;

	// For referencing in methods
	this._table = table;
}

// Move/rotate a card
Card.prototype.move = function(x, y, z, rot, flip)
{
	// TODO: validate position?

	// Update data
	this.x = x;
	this.y = y;
	this.z = z;
	this.rot = rot;
	this.flip = flip;

	// Broadcast update to table
	this.table.broadcast('move', 
	({
		'id': this.id,
		'x': this.x,
		'y:': this.y,
		'z': this.z,
		'rot': this.rotation,
		'flip': this.flip
	}));

	// Move OK!
	return true;
}

// Expose class
module.exports = Card;