// Card suits
var suits = ['clubs', 'diamonds', 'hearts', 'spades'];

// Special cards
const ACE = 1;
const JACK = 11;
const QUEEN = 12;
const KING = 13;

// Internal. Gets the symbol for a given card number
function getSymbol(num)
{
	switch(num)
	{
		case ACE: return 'a';
		case JACK: return 'j';
		case QUEEN: return 'q';
		case KING: return 'k';
		default: return num;
	}
}

// Internal. Formats the sprite for a given card suit and number
function getSprite(suit, num)
{
	return (suit + '-' + getSymbol(num));
}

// Create a standard (French) deck with 52 cards
var sprites = [];
for(var i in suits)
{
	var suit = suits[i];
	for(var num = 1; num <= 13; num++)
	{
		var sprite = getSprite(suit, num);
		sprites.push(sprite);
	}
}

// Expose the array with sprites
exports.sprites = sprites;