package org.openhabbo.rooms;

import org.openhabbo.sessions.messages.SerializableObject;
import org.openhabbo.sessions.messages.ServerMessage;

public class NavigatorFrontpageItem implements SerializableObject
{
	public int id;
	public String name;
	public String image;
	public int bannerType;
	public boolean imageIsExternal;

	public Room room;
	public RoomCategory category;

	@Override
	public void serialize(ServerMessage msg)
	{
		msg.appendInt(this.id);
		if(this.category != null)
		{
			msg.appendStr(this.name);
			msg.appendStr("");
		}
		else
		{
			msg.appendStr(this.room.name);
			msg.appendStr(this.room.description);
		}
		msg.appendInt(this.bannerType);
		msg.appendStr(this.name);
		msg.appendStr(this.imageIsExternal ? this.image : "");
		if(this.category != null)
		{
			msg.appendInt(0);
			msg.appendInt(4);
			msg.appendInt(this.category.id);
		}
		else
		{
			msg.appendInt(0);
			msg.appendInt(this.room.usersNow);
			msg.appendInt(3);
			msg.appendStr(this.imageIsExternal ? this.image : "");
			msg.appendInt(1337);
			msg.appendInt(0);
			msg.appendStr(this.room.files);
			msg.appendInt(this.room.usersMax);
			msg.appendInt(this.room.id);
		}
	}
}
