package org.openhabbo.sessions;

import org.openhabbo.core.Registry;
import org.openhabbo.sessions.handlers.*;

public final class SessionMsgRegistry
{
	private final static Registry<Integer, SessionMessageHandler> registry = new Registry<Integer, SessionMessageHandler>();

	public final static Registry<Integer, SessionMessageHandler> get()
	{
		return registry;
	}

	static
	{
		registry.register(206, new SendSessionParamsHandler());
		registry.register(415, new SsoLoginHandler());
		registry.register(7, new GetUserInfoHandler());
		registry.register(8, new GetBalanceHandler());
		registry.register(26, new GetSubscriptionDataHandler());
		registry.register(44, new UpdateLookHandler());
		registry.register(484, new UpdateMottoHandler());
		registry.register(404, new GetInventoryHandler());
		registry.register(391, new OpenFlatHandler());
		registry.register(388, new GetPubHandler());
		registry.register(2, new OpenPubHandler());
		registry.register(230, new GetGroupBadgesHandler());
		registry.register(53, new GoToHotelViewHandler());
		registry.register(151, new GetFlatCatsHandler());
		registry.register(233, new GetHomeRoomHandler());
		registry.register(380, new GetNavigatorFrontpage());
		registry.register(385, new GetRoomInfoHandler());
		registry.register(430, new GetPopularRoomsHandler());
		registry.register(431, new GetHighRatedRoomsHandler());
		registry.register(432, new GetFriendsRoomsHandler());
		registry.register(433, new GetRoomsWithFriendsHandler());
		registry.register(434, new GetOwnRoomsHandler());
		registry.register(439, new GetEventsHandler());
		registry.register(382, new GetPopularTagsHandler());
		registry.register(437, new PerformSearchHandler());
		registry.register(438, new PerformSearch2Handler());
		registry.register(215, new GetSpriteIndexHandler());
		registry.register(390, new GetHeightMapHandler());
		registry.register(126, new GetRoomData3Handler());
		registry.register(52, new TalkHandler());
		registry.register(55, new ShoutHandler());
		registry.register(56, new WhisperHandler());
		registry.register(75, new MoveHandler());
		registry.register(387, new CanCreateRoomHandler());
		registry.register(29, new CreateRoomHandler());
		registry.register(400, new GetRoomEditDataHandler());
		registry.register(386, new SaveRoomIconHandler());
		registry.register(401, new SaveRoomDataHandler());
		registry.register(96, new GiveRightsHandler());
		registry.register(97, new TakeRightsHandler());
		registry.register(155, new TakeAllRightsHandler());
		registry.register(95, new KickUserHandler());
		registry.register(320, new BanUserHandler());
		registry.register(384, new SetHomeRoomHandler());
		registry.register(23, new DeleteRoomHandler());
		registry.register(79, new LookToHandler());
		registry.register(317, new StartTypingHandler());
		registry.register(318, new StopTypingHandler());
		registry.register(319, new IgnoreUserHandler());
		registry.register(322, new UnignoreUserHandler());
		registry.register(345, new CanCreateRoomEventHandler());
		registry.register(346, new StartEventHandler());
		registry.register(347, new StopEventHandler());
		registry.register(348, new EditEventHandler());
		registry.register(94, new WaveHandler());
		registry.register(261, new RateRoomHandler());
		registry.register(93, new DanceHandler());
		registry.register(98, new AnswerDoorbellHandler());
		registry.register(59, new ReqLoadRoomForUserHandler());
		registry.register(66, new ApplyRoomDecoration());
		registry.register(90, new PlaceItemHandler());
		registry.register(67, new TakeItemHandler());
		registry.register(73, new MoveItemHandler());
		registry.register(392, new TriggerItemHandler()); // Generic trigger item
		registry.register(393, new TriggerItemHandler()); // Generic trigger item
		registry.register(78, new OpenPresentHandler());
		registry.register(371, new GiveRespectHandler());
		registry.register(232, new TriggerItemHandler()); // One way gates
		registry.register(314, new TriggerItemHandler()); // Love Shuffler
		registry.register(247, new TriggerItemHandler()); // Habbo Wheel
		registry.register(414, new RecycleItemsHandler());
		registry.register(113, new EnterInfobusHandler());
		registry.register(440, new SummonGuideHandler());
		registry.register(441, new KickBotHandler());
		registry.register(480, new SetLookTransferHandler());
		registry.register(315, new HeartbeatHandler());
		registry.register(421, new RegisterClientStatsHandler());
		registry.register(101, new GetCatalogIndexHandler());
		registry.register(102, new GetCatalogPageHandler());
		registry.register(100, new PurchaseProductHandler());
		registry.register(472, new PurchaseGiftHandler());
		registry.register(412, new GetRecyclerRewardsHandler());
		registry.register(3030, new CanGiftHandler());
		registry.register(3011, new GetCataData1Handler());
		registry.register(473, new GetCataData2Handler());
	}
}
