package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class AnswerDoorbellHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User allowed to answer doorbells?
		if(session.getRoomUser() != null && session.getRoomUser().hasRoomRights)
		{
			// Determine user to allow/deny
			String username = request.readStr();
			boolean allowEnter = request.readFixedBool();
			
			// Issue decision, no veto'ing for denying
			if(allowEnter)
			{
				session.getRoomInstance().answerDoorbellAndAllowEnter(username);
			}
		}
	}
}
