package org.openhabbo.sessions.handlers;

import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class BanUserHandler implements SessionMessageHandler
{
	private final static int BAN_DURATION_SECONDS = 120;

	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		int userId = request.readInt();
		if(session.inRoom() && session.getRoomUser().hasRoomOwner)
		{
			RoomUser target = session.getRoomInstance().getUserByUserId(userId);
			if(target != null && (!target.hasRoomOwner || session.getUser().role.level > target.getUser().role.level))
			{
				session.getRoomInstance().addRoomBan(userId, BAN_DURATION_SECONDS);
				target.getSession().kickFromRoom();
			}
		}
	}
}
