package org.openhabbo.sessions.handlers;

import org.openhabbo.rooms.Room;
import org.openhabbo.rooms.RoomManager;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class DeleteRoomHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Retrieve the room info
		int roomId = request.readInt();
		Room room = RoomManager.getInstance().getRoomInfo(roomId);

		// Only the room owner can delete the room!
		if(room != null && session.getUser().id == room.ownerId)
		{
			RoomManager.getInstance().deleteGuestRoom(roomId);
		}
	}
}
