package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.users.effects.AvatarEffect;

public class GetAvatarEffectInventory implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		response.init(EServerMessage.AvatarEffects);
		response.appendInt(session.getEffectInventory().getEffects().size());
		for(AvatarEffect effect : session.getEffectInventory().getEffects())
		{
			response.appendInt(effect.effectId);
			response.appendInt(effect.totalDuration);
			response.appendBool(!effect.enabled); // "Not enabled yet, can enable?"
			response.appendInt(effect.getTimeLeft());
		}
		session.send(response);
	}
}
