package org.openhabbo.sessions.handlers;

import org.openhabbo.catalog.Catalog;
import org.openhabbo.catalog.CatalogPage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetCatalogPageHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Fetch the page from the catalog
		int pageId = request.readInt();
		CatalogPage page = Catalog.getInstance().getPage(pageId);

		// Page accessible to the user?
		if(page == null || !page.isVisible || page.isComingSoon || page.minAccessLevel > session.getUser().role.level)
		{
			return;
		}

		// TODO: club only check
		if(page.isClubOnly && !true)
		{
			return;
		}

		// Build the response (containing page data + product data)
		response.init(EServerMessage.CatalogPage);
		response.appendObject(page);
		session.send(response);
	}
}
