package org.openhabbo.sessions.handlers;

import java.util.List;

import org.openhabbo.rooms.Room;
import org.openhabbo.rooms.RoomCategory;
import org.openhabbo.rooms.RoomNavigator;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetPopularRoomsHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the requested category from the navigator
		int categoryId = request.readParseFixedInt();
		List<Room> rooms;
		if(categoryId == -1)
		{
			rooms = RoomNavigator.getInstance().getBusiestGuestRooms();
		}
		else
		{
			RoomCategory category = RoomNavigator.getInstance().getCategory(categoryId);
			if(category == null)
			{
				return;
			}
			else
			{
				rooms = category.rooms;
			}
		}

		// Serialize the rooms
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(categoryId);
		response.appendInt(1);
		response.appendStr("");
		response.appendInt(rooms.size());
		for(Room room : rooms)
		{
			response.appendObject(room);
		}
		session.send(response);
	}
}
