package org.openhabbo.sessions.handlers;

import org.openhabbo.rooms.Room;
import org.openhabbo.rooms.RoomManager;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetPublicRoomFiles implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the requested room info
		int roomId = request.readInt();
		Room room = RoomManager.getInstance().getRoomInfo(roomId);

		// Public room exists?
		if(room != null && room.isPublicRoom())
		{
			// Send the room files
			response.init(EServerMessage.PublicRoomFiles);
			response.appendInt(room.id);
			response.appendStr(room.files);
			response.appendInt(room.id);
			session.send(response);
		}
	}
}
