package org.openhabbo.sessions.handlers;

import org.openhabbo.rooms.Room;
import org.openhabbo.rooms.RoomManager;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetRoomInfoHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the required room info
		int roomId = request.readInt();
		boolean flag = request.readBool();
		Room room = RoomManager.getInstance().getRoomInfo(roomId);

		// Room exists and is a guestroom?
		if(room != null && room.isGuestRoom())
		{
			response.init(EServerMessage.GetGuestRoomResult);
			response.appendBool(flag);
			response.appendObject(room);
			session.send(response);
		}
	}
}
