package org.openhabbo.sessions.handlers;

import org.openhabbo.items.EItemBehavior;
import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class MoveItemHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Allowed to move items?
		RoomUser user = session.getRoomUser();
		if(user == null || !user.hasRoomRights)
		{
			return;
		}

		// Parse position data
		int itemId = request.readInt();
		int newX = request.readInt();
		int newY = request.readInt();
		byte newRotation = (byte) request.readInt();

		// Move the flooritem
		Item item = session.getRoomInstance().getItem(itemId);
		if(item.is(EItemBehavior.FLOORITEM))
		{
			session.getRoomInstance().moveFloorItem(item, newX, newY, newRotation, session);
		}
	}
}
