package org.openhabbo.sessions.handlers;

import java.util.List;

import org.openhabbo.rooms.Room;
import org.openhabbo.rooms.RoomNavigator;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.util.SecurityUtil;

public class PerformSearch2Handler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read and trim the tag to search for
		String tag = SecurityUtil.filterStr(request.readStr().split(" ")[0]);

		// Actually a tag given?
		if(tag.length() > 0)
		{
			// Get search result
			List<Room> rooms = RoomNavigator.getInstance().getGuestRoomSearchResult(tag, true);

			// Serialize the result
			response.init(EServerMessage.GuestRoomSearchResult);
			response.appendInt(1);
			response.appendInt(9);
			response.appendStr(tag);
			response.appendInt(rooms.size());
			for(Room room : rooms)
			{
				response.appendObject(room);
			}
			session.send(response);
		}
	}
}
