package org.openhabbo.sessions.handlers;

import org.openhabbo.rooms.instances.RoomInstance;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class RateRoomHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get room and ensure that this user can rate this room
		RoomInstance room = session.getRoomInstance();
		if(room != null && !(session.getUser().id == room.getInfo().ownerId))
		{
			// Apply rating
			int rating = request.readInt();
			if(rating == -1)
			{
				room.getInfo().rating--;
			}
			else
			{
				room.getInfo().rating++;
			}
			room.getInfo().saveRating();

			// Notify room
			response.init(EServerMessage.RoomRating);
			response.appendInt(room.getInfo().id);
			response.appendInt(room.getInfo().rating);
			room.broadcast(response);
		}
	}
}
