package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.support.ChatlogEntry;
import org.openhabbo.support.SupportCenter;
import org.openhabbo.util.ChatUtil;

public class ShoutHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		String text = request.readStr();
		if(session.getRoomUser() != null)
		{
			// Is this a chatcommand that executes successfully?
			if(!ChatUtil.parseAndHandleCommand(session, text))
			{
				session.getRoomInstance().chat(session.getRoomUser(), text, true);

				// Write chatlog
				ChatlogEntry chatlog = new ChatlogEntry(session.getUser().id, session.getRoomInstance().getInfo().id, ChatlogEntry.Type.shout, text, 0);
				SupportCenter.getInstance().addChatlog(chatlog);
			}
		}
	}
}
