package org.openhabbo.sessions.handlers;

import org.openhabbo.items.Item;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class TriggerItemHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Trigger instructions
		int itemId = request.readInt();
		int newState = request.remaining() > 0 ? request.readInt() : 0;

		// Get the item
		Item item = session.getRoomInstance().getItem(itemId);
		if(item != null)
		{
			item.onTrigger(session, newState);
		}
	}
}
