package org.openhabbo.users.subscriptions;

import org.openhabbo.util.GameUtil;

public final class UserSubscription
{
	public Subscription type;
	public long activatedAt;
	public long expiresAt;
	
	public int getTotalDaysLeft()
	{
		return GameUtil.daysBetween(System.currentTimeMillis(), this.expiresAt);
	}
	
	public int getMonthsLeft()
	{
		int months = (this.getTotalDaysLeft() / 31);
		if(months > 0)
		{
			months = months - 1;
		}
		return months;
	}
	
	public int getDaysInMonthLeft()
	{
        return (this.getTotalDaysLeft() - (this.getMonthsLeft() * 31));
	}
}
