package org.openhabbo.users.subscriptions;

public final class UserSubscription
{
	public Subscription type;
	public long activatedAt;
	public long expiresAt;
	
	public int getTotalDaysLeft()
	{
		// Time left in seconds / seconds per day = days left
		return (int) Math.ceil(((this.expiresAt - System.currentTimeMillis()) / 1000) / (60 * 60 * 24));
	}
	
	public int getMonthsLeft()
	{
		int months = (this.getTotalDaysLeft() / 31);
		if(months > 0)
		{
			months = months - 1;
		}
		return months;
	}
	
	public int getDaysInMonthLeft()
	{
        return (this.getTotalDaysLeft() - (this.getMonthsLeft() * 31));
	}
}
