package mod_corechatcmds;

import org.openhabbo.catalog.Catalog;
import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameError;

public class ReloadCatalogCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Reloads all catalog pages + products";
	}

	@Override
	public String getRequiredRight()
	{
		return "can_reload_server";
	}
	
	@Override
	public String[] getSyntax()
	{
		return null;
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		Catalog.getInstance().reload();
		session.sendNotif(String.format("Reloaded %d pages and %d products.", Catalog.getInstance().getAllPages().size(), Catalog.getInstance().getAllProducts().size()));
	}
}
