package mod_coreremotecmds;

import mod_remote.RemoteCmdRegistry;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.Version;

public final class mod_coreremotecmds extends Module
{
	public mod_coreremotecmds()
	{
		super(new Version(1, 0, 0), "Contains the core remotecommands of OpenHABBO.", "Nils 'Nillus'", "http://modules.openhabbo.org/mod_coreremotecmds/");
		super.require("mod_remote");
	}

	@Override
	public boolean onLoad()
	{
		RemoteCmdRegistry.register("SHUTDOWN", new ShutdownHandler());
		RemoteCmdRegistry.register("SERVCAST", new ServcastHandler());
		RemoteCmdRegistry.register("ALERT", new UserAlertHandler());
		RemoteCmdRegistry.register("KICK", new UserKickHandler());
		RemoteCmdRegistry.register("USERBALANCE", new UserBalanceUpdateHandler());
		RemoteCmdRegistry.register("INVENTORY", new UserInventoryUpdateHandler());
		RemoteCmdRegistry.register("ROOMALERT", new RoomAlertHandler());
		RemoteCmdRegistry.register("ROOMKICK", new RoomKickHandler());
		
		return true;
	}

	@Override
	public void onUnload()
	{
		RemoteCmdRegistry.unregister("SHUTDOWN");
		RemoteCmdRegistry.unregister("SERVCAST");
		RemoteCmdRegistry.unregister("ALERT");
		RemoteCmdRegistry.unregister("KICK");
		RemoteCmdRegistry.unregister("USERBALANCE");
		RemoteCmdRegistry.unregister("INVENTORY");
		RemoteCmdRegistry.unregister("ROOMALERT");
		RemoteCmdRegistry.unregister("ROOMKICK");
	}
}
