package mod_effects;

import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class ApplyEffectHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get effect inventory
		AvatarEffectInventory effects = session.get("effects");
		if(effects == null)
		{
			return;
		}

		// Get effect from inventory
		int effectId = request.readInt();
		AvatarEffect effect = effects.getEffect(effectId);

		// User disables the effect, or has this specific effect enabled?
		RoomUser user = session.getRoomUser();
		if(effectId == AvatarEffect.NO_EFFECT || (effect != null && effect.enabled))
		{
			effects.setCurrentEffect(user, effectId);
		}
	}
}
