package mod_effects;

import java.util.ArrayList;
import java.util.List;

import org.openhabbo.OpenHABBO;
import org.openhabbo.storage.DatabaseResult;

public class AvatarEffectInventory
{
	private int userId;
	//private int currentEffect;
	private AvatarEffect currentEffect;
	private List<AvatarEffect> effects;

	public AvatarEffectInventory(int userId)
	{
		this.userId = userId;
		this.currentEffect = null;
		this.effects = new ArrayList<AvatarEffect>();
	}

	public void clear()
	{
		this.effects.clear();
	}

	public void reload()
	{
		// Clear old effects
		this.clear();

		// Load new ones from database
		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT * FROM user_effects WHERE user_id=" + this.userId);
		while(result.row())
		{
			AvatarEffect effect = AvatarEffect.parse(result);
			if(effect.hasExpired())
			{
				effect.delete();
			}
			else
			{
				this.effects.add(effect);
			}
		}
		result.release();
	}

	public void addEffect(int effectId, int totalDuration)
	{
		// Create effect
		AvatarEffect effect = new AvatarEffect();
		effect.userId = this.userId;
		effect.effectId = effectId;
		effect.totalDuration = totalDuration;
		effect.insert();

		// Add to list
		this.effects.add(effect);
	}

	public AvatarEffect getCurrentEffect()
	{
		return this.currentEffect;
	}

	public void setCurrentEffect(AvatarEffect effect)
	{
		this.currentEffect = effect;
	}

	public AvatarEffect getEffect(int effectId)
	{
		for(AvatarEffect effect : this.effects)
		{
			if(effect.effectId == effectId && !effect.hasExpired())
			{
				return effect;
			}
		}
		return null;
	}

	public List<AvatarEffect> getEffects()
	{
		return this.effects;
	}
}
