package mod_effects;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetAvatarEffectInventory implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get effect inventory
		AvatarEffectInventory effects = session.get("effects");
		if(effects == null)
		{
			return;
		}

		// Send effect list
		response.init(EEffectMessage.AvatarEffects);
		response.appendInt(effects.getEffects().size());
		for(AvatarEffect effect : effects.getEffects())
		{
			response.appendInt(effect.effectId);
			response.appendInt(effect.totalDuration);
			response.appendBool(!effect.enabled); // Can enable?
			response.appendInt(effect.getTimeLeft());
		}
		session.send(response);
	}
}
