package mod_effects;

import org.openhabbo.events.EventListener;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;

public class RoomEnterHook implements EventListener
{
	@Override
	public void handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		// Session has effect?
		AvatarEffectInventory effects = session.get("effects");
		if(effects != null && effects.getCurrentEffect() != -1)
		{
			// Set current effect to roomuser
			int effectId = effects.getCurrentEffect();
			session.getRoomUser().set("effect", effectId);

			// Notify room
			ServerMessage msg = new ServerMessage(EEffectMessage.AvatarEffect);
			msg.appendInt(session.getRoomUser().virtualId);
			msg.appendInt(effectId);
			session.getRoomInstance().broadcast(msg);
		}
	}
}
