package mod_effects;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.handlers.GetRoomContentDataHandler;

@ModuleInfo
(
		name = "mod_effects",
		description = "Enables support for avatar effects.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_effects/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_effects extends Module
{
	public mod_effects()
	{
		this.getAutoLoader().eventListener(Session.onLogin, new LoginHook());
		this.getAutoLoader().eventListener(Session.onRoomEnter, new RoomEnterHook());
		this.getAutoLoader().eventListener(RoomUser.onPulse, new RoomUserPulseHook());
		this.getAutoLoader().eventListener(GetRoomContentDataHandler.onSendUserInfo, new EnterRoomSendUserInfoHook());

		this.getAutoLoader().msgHandler(228, new GetAvatarEffectInventory());
		this.getAutoLoader().msgHandler(372, new ApplyEffectHandler());
		this.getAutoLoader().msgHandler(373, new EnableEffectHandler());
	}
}
