package mod_effects;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.handlers.GetRoomContentDataHandler;

@ModuleInfo
(
		name = "mod_effects",
		description = "Enables support for avatar effects.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_effects/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_effects extends Module
{
	private AvatarEffectExpirationChecker checker;
	
	public mod_effects()
	{
		this.getAutoLoader().itemImpl("Effect", EffectItem.class);
		this.getAutoLoader().eventListener(Session.onLogin, new LoginHook());
		this.getAutoLoader().eventListener(Session.onRoomEnter, new RoomEnterHook());
		this.getAutoLoader().eventListener(GetRoomContentDataHandler.onSendUserInfo, new EnterRoomSendUserInfoHook());

		this.getAutoLoader().msgHandler(228, new GetAvatarEffectInventory());
		this.getAutoLoader().msgHandler(372, new ApplyEffectHandler());
		this.getAutoLoader().msgHandler(373, new EnableEffectHandler());
	}
	
	@Override
	public boolean onLoad()
	{
		this.checker = new AvatarEffectExpirationChecker();
		this.checker.setPriority(Thread.MIN_PRIORITY);
		this.checker.start();
		
		return true;
	}
	
	@Override
	public void onUnload()
	{
		if(this.checker != null)
		{
			this.checker.interrupt();
			this.checker = null;
		}
	}
}
