package mod_favoriterooms;

import java.util.List;

import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class RemoveFavoriteHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get favorites list
		List<Integer> favorites = session.get("favorites");

		// Room in list?
		Integer roomId = request.readInt();
		if(favorites.contains(roomId))
		{
			// Remove from list + database
			favorites.remove(roomId);
			mod_favoriterooms.removeFavoriteRoomForUser(session.getUser().id, roomId);

			// Notify user!
			response.init(EServerMessage.FavouriteChanged);
			response.appendInt(roomId);
			response.appendBool(false);
			session.send(response);
		}
	}
}
