package mod_messenger;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class DeclineRequestHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		InstantMessenger messenger = session.get("messenger");
		if(messenger != null)
		{
			int amount = request.readInt();
			for(int x = 0; x < amount; x++)
			{
				// Check if this user really has a buddy request from this user, if so, remove it and silently delete the 'pending' relation
				int fromUserId = request.readInt();
				if(messenger.hasRequest(fromUserId))
				{
					messenger.removeRequest(fromUserId);
					InstantMessengerService.getInstance().deleteRelation(session.getUser().id, fromUserId);
				}
			}
		}
	}
}
