package mod_messenger;

import java.util.ArrayList;
import java.util.List;

import org.openhabbo.rooms.Room;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetRoomsWithFriendsHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get messenger (contains the buddylist)
		InstantMessenger messenger = session.get("messenger");
		if(messenger == null)
		{
			return;
		}
		
		// Aggegrate the room info for rooms the buddies are in (no duplicates)
		List<Room> rooms = new ArrayList<Room>();
		for(MessengerBuddy buddy : messenger.getBuddies())
		{
			if(buddy.inRoom())
			{
				Room room = buddy.messenger.getSession().getRoomInstance().getInfo();
				if(!rooms.contains(room))
				{
					rooms.add(room);
				}
			}
		}
			
		// Serialize the rooms
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(0);
		response.appendInt(4);
		response.appendStr("");
		response.appendInt(rooms.size());
		for(Room room : rooms)
		{
			response.appendObject(room);
		}
		session.send(response);
	}
}
