package mod_messenger;

import java.util.Map.Entry;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class InitMessengerHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Messenger not initialized yet? Then do it!
		InstantMessenger messenger = session.get("messenger");
		if(messenger == null)
		{
			messenger = new InstantMessenger(session);
			messenger.initialize();
			session.set("messenger", messenger);
		}

		// Send buddy list
		response.init(EMessengerMessage.MessengerInit);
		response.appendInt(600);
		response.appendInt(200);
		response.appendInt(600);
		response.appendInt(900);
		response.appendBool(false);
		response.appendInt(messenger.getBuddies().size());
		for(MessengerBuddy buddy : messenger.getBuddies())
		{
			response.appendObject(buddy);
		}
		session.send(response);

		// Send buddy requests
		response.init(EServerMessage.BuddyRequests);
		response.appendInt(messenger.getRequests().size());
		response.appendInt(messenger.getRequests().size());
		for(Entry<Integer, String> buddyRequest : messenger.getRequests())
		{
			response.appendInt(buddyRequest.getKey());
			response.appendStr(buddyRequest.getValue());
			response.appendStr(Integer.toString(buddyRequest.getKey()));
		}
		session.send(response);
	}
}
