package mod_messenger;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_messenger",
		description = "Enables support for the in-game instant messenger.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_messenger/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_messenger extends Module
{
	public mod_messenger()
	{
		// Messenger
		this.getAutoLoader().msgHandler(12, new InitMessengerHandler());
		this.getAutoLoader().msgHandler(15, new FriendsListUpdateHandler());
		this.getAutoLoader().msgHandler(34, new SendInstantInviteHandler());
		this.getAutoLoader().msgHandler(40, new RemoveBuddyHandler());
		this.getAutoLoader().msgHandler(41, new SearchUserHandler());
		this.getAutoLoader().msgHandler(33, new SendInstantMessageHandler());
		this.getAutoLoader().msgHandler(37, new AcceptRequestHandler());
		this.getAutoLoader().msgHandler(38, new DeclineRequestHandler());
		this.getAutoLoader().msgHandler(39, new RequestBuddyHandler());
		this.getAutoLoader().msgHandler(262, new FollowBuddyHandler());
		
		// Navigator
		this.getAutoLoader().msgHandler(432, new GetFriendsRoomsHandler());
		this.getAutoLoader().msgHandler(433, new GetRoomsWithFriendsHandler());
		
		this.enablePulseTimer(30);
	}
	
	@Override
	public void onUnload()
	{
		// Clear registry
		InstantMessengerService.getInstance().clearRegistry();
	}

	@Override
	protected void onPulse()
	{
		// Clean the cache/registry of buddy info that hasn't been accessed recently
		InstantMessengerService.getInstance().cleanup();
	}

	@Override
	public String getStatusString()
	{
		return "regsize=" + InstantMessengerService.getInstance().registrySize();
	}
}
