package mod_messenger.msgs;

import mod_messenger.InstantMessenger;
import mod_messenger.MessengerBuddy;

import org.openhabbo.rooms.Room;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class FollowBuddyHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized buddies
		InstantMessenger messenger = session.get("messenger");
		if(messenger == null)
		{
			return;
		}

		// Determine buddy to follow / 'stalk'
		int buddyId = request.readInt();
		MessengerBuddy buddy = messenger.getBuddy(buddyId);

		// Buddy on buddylist, online and in a room?
		if(buddy != null && buddy.inRoom())
		{
			// Send the room info
			Room room = buddy.messenger.getSession().getRoomInstance().getInfo();
			response.init(EServerMessage.RoomForward);
			response.appendBool(room.isPublicRoom());
			response.appendInt(room.id);
			session.send(response);

			// Skip to TryRoom?
			if(room.isGuestRoom())
			{
				session.tryGetRoomAccess(room.id, "");
			}
		}
	}
}
