package mod_moderation;

import org.openhabbo.net.messages.SerializableObject;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.storage.DatabaseResult;

public class ModerationBan implements SerializableObject
{
	public int id;
	public int userId;
	public String ip;
	public String message;
	public long expiresAt;

	public long issuedAt;
	public int issuedBy;
	public String extraInfo;

	public boolean isUserBan()
	{
		return(this.userId != 0);
	}

	public boolean isIpBan()
	{
		return(this.ip != null);
	}

	public boolean hasExpired()
	{
		return(System.currentTimeMillis() > expiresAt);
	}

	@Override
	public void serialize(ServerMessage msg)
	{

	}

	public static ModerationBan parse(DatabaseResult row)
	{
		ModerationBan ban = new ModerationBan();
		ban.id = row.getInt("id");
		ban.userId = row.getInt("user_id");
		ban.ip = row.getString("ip");
		ban.message = row.getString("message");
		ban.expiresAt = row.getTimestamp("expires_at").getTime();
		ban.issuedAt = row.getTimestamp("issued_at").getTime();
		ban.issuedBy = row.getInt("issued_by");
		ban.extraInfo = row.getString("extra_info");
		return ban;
	}
}
