package mod_moderation;

import org.openhabbo.OpenHABBO;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.storage.SQLHelper;

public final class ModerationTicket
{
	// Ticket statuses
	public final static int STATUS_OPEN = 0;
	public final static int STATUS_PICKED = 1;
	public final static int STATUS_RESOLVED = 2;
	public final static int STATUS_ABUSIVE = 3;
	public final static int STATUS_INVALID = 4;
	public final static int STATUS_DELETED = 5;

	// Ticket info
	public int id;
	public int type;
	public long timestamp;
	public String message;
	
	// Ticket sender
	public int userId;
	public String userUsername;
	
	// Reported user (optionally)
	public int reportedUserId;
	public String reportedUsername;
	
	// Associated room
	public int roomId;
	public String roomName;
	
	// Tickt status
	public int status;
	public int pickerId;
	public String pickerUsername;
	public int priority;
	
	public void saveStatus()
	{
		OpenHABBO.getInstance().getDb().execute("UPDATE moderation_tickets SET status=" + this.status + ",picker_id=" + this.pickerId + ",lastupdate='" + SQLHelper.getDateTimeStr() + "' WHERE id=" + this.id);
	}
	
	public static ServerMessage createMsg(ModerationTicket ticket)
	{
		ServerMessage msg = new ServerMessage(530);
		msg.appendInt(ticket.id);
		if(ticket.status == ModerationTicket.STATUS_OPEN)
		{
			msg.appendInt(1); // "Open tickets"
		}
		else if(ticket.status == ModerationTicket.STATUS_PICKED)
		{
			msg.appendInt(2); // "Picked tickets"
		}
		else
		{
			msg.appendInt(0); // "Resolved tickets"
		}
		msg.appendInt(11); // Per page (?)
		msg.appendInt(ticket.type);
		msg.appendInt(11); // Per page (?)
		msg.appendInt(ticket.priority);
		msg.appendInt(ticket.userId);
		msg.appendStr(ticket.userUsername);
		msg.appendInt(ticket.reportedUserId);
		msg.appendStr(ticket.reportedUsername);
		msg.appendInt(ticket.pickerId);
		msg.appendStr(ticket.pickerUsername);
		msg.appendStr(ticket.message);
		msg.appendInt(ticket.roomId);
		msg.appendStr(ticket.roomName);
		
		return msg;
	}
}
