package mod_moderation.chatcmds;

import mod_moderation.ModerationCenter;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;

public class UserKickCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Kicks user % from room, with optional message %";
	}

	@Override
	public String getRequiredRight()
	{
		return null;
	}

	@Override
	public boolean handle(Session session, String body)
	{
		// Get args
		String[] args = body.split(" ", 2);
		String username = args[0];
		String message = (args.length == 2) ? args[1] : null;
		
		// Issue alert
		if(!ModerationCenter.getInstance().issueUserKick(session.getUser().id, session.getUser().role, username, message, "chatcmd"))
		{
			session.sendNotif("Target user was not online, or you do not have sufficient permissions to kick this user.");
		}
		
		return true;
	}
}
