package mod_moderation;

import mod_moderation.chatcmds.*;
import mod_moderation.remotecmds.*;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.sessions.Session;

@ModuleInfo
(
		name = "mod_moderation",
		description = "Enables a range of in-game moderation tools, chatcommands and remotecommands",
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_moderation/",
		version = "1.0.0",
		dependencies = { "mod_chatlog" }
)
public final class mod_moderation extends Module
{
	public mod_moderation()
	{
		// Auth hook for ban detection
		this.getAutoLoader().eventListener(Session.onAuthenticate, new AuthBanCheckHook());
		
		// Message handlers for modtools
		
		// Chatcommands
		this.getAutoLoader().chatCmd("alert", new UserAlertCommandHandler());
		this.getAutoLoader().chatCmd("kick", new UserKickCommandHandler());
		this.getAutoLoader().chatCmd("roomalert", new RoomAlertCommandHandler());
		
		// Remote commands for site etc
		this.getAutoLoader().remoteCmd("ALERT", new UserAlertHandler());
		this.getAutoLoader().remoteCmd("KICK", new UserKickHandler());
		this.getAutoLoader().remoteCmd("ROOMALERT", new RoomAlertHandler());
		this.getAutoLoader().remoteCmd("ROOMKICK", new RoomKickHandler());
	}
}
