package mod_moderation.msgs;

import mod_moderation.ModerationCenter;
import mod_moderation.ModerationTicket;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class ModPickTicketHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Has mod?
		if(!session.getUser().rights.contains("fuse_mod"))
		{
			return;
		}
		
		// Get ticket
		int unk = request.readInt();
		int ticketId = request.readInt();
		ModerationTicket ticket = ModerationCenter.getInstance().getTicket(ticketId);
		
		// Ticket exists and pickable?
		if(ticket != null && ticket.status == ModerationTicket.STATUS_OPEN)
		{
			// Pick ticket
			ticket.pickerId = session.getUser().id;
			ticket.pickerUsername = session.getUser().username;
			ticket.status = ModerationTicket.STATUS_PICKED;
			ticket.saveStatus();
			
			// Broadcast update
			ModerationCenter.getInstance().broadcastTicket(ticket);
		}
	}
}
