package mod_moderation.msgs;

import mod_moderation.ModerationCenter;
import mod_moderation.ModerationTicket;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class ModReleaseTicketHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Has mod?
		if(!session.getUser().rights.contains("fuse_mod"))
		{
			return;
		}
		
		// Process all selected tickets
		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			// Get ticket
			int ticketId = request.readInt();
			ModerationTicket ticket = ModerationCenter.getInstance().getTicket(ticketId);
			
			// Ticket exists and picked by this user?
			if(ticket != null && ticket.status == ModerationTicket.STATUS_PICKED && ticket.pickerId == session.getUser().id)
			{
				// Release ticket
				ticket.pickerId = 0;
				ticket.pickerUsername = null;
				ticket.status = ModerationTicket.STATUS_OPEN;
				ticket.saveStatus();
				
				// Broadcast update
				ModerationCenter.getInstance().broadcastTicket(ticket);
			}
		}
	}
}
