package mod_moderation.msgs;

import mod_moderation.ModerationCenter;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.util.SecurityUtil;

public class SubmitHelpTicketHandler implements SessionMessageHandler {
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Actually in room?
		if(!session.inRoom())
		{
			return;
		}
		
		// Already has pending ticket?
		int errorCode = 0;
		if(ModerationCenter.getInstance().getUnpickedTicketForUser(session.getUser().id) != null)
		{
			errorCode = 1;
		}
		else
		{
			// Read new ticket info
			String message = SecurityUtil.filterStr(request.readStr(), false);
			int unk = request.readInt();
			int type = request.readInt();
			int reportedUserId = request.readInt();
		
			// Submit new ticket
			ModerationCenter.getInstance().submitTicket(session, type, reportedUserId, message);
		}
		
		// Send response
		response.init(321);
		response.appendInt(errorCode);
		session.send(response);
	}
}
