package mod_monitor;

import org.openhabbo.OpenHABBO;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.Version;
import org.openhabbo.rooms.RoomManager;
import org.openhabbo.sessions.SessionManager;

public final class mod_monitor extends Module
{
	public mod_monitor()
	{
		super(new Version(1, 0, 0), "Startup cleanup and periodically updating of server runtime stats in the database.", "Nils 'Nillus'", "http://modules.openhabbo.org/mod_monitor/");
	}

	@Override
	public boolean onLoad()
	{
		super.enablePulseTimer(30);

		OpenHABBO.getInstance().getDb().execute("UPDATE rooms SET users_now=0");

		return true;
	}

	@Override
	public void onUnload()
	{
		super.disablePulseTimer();
	}

	@Override
	protected void onPulse()
	{
		// Gather stats
		int onlineUsers = SessionManager.getInstance().authedSessions();
		int peakOnlineUsers = 0;
		int roomInstances = RoomManager.getInstance().instances();
		long memUsage = Runtime.getRuntime().totalMemory() / 1024;
		int dbConns = OpenHABBO.getInstance().getDb().getConnMgr().count();

		// Update stats
		OpenHABBO.getInstance().getDb().execute("UPDATE system_monitor SET onlineusers=" + onlineUsers + ",onlineusers_peak=" + peakOnlineUsers + ",roominstances=" + roomInstances + ",memusage=" + memUsage + ",dbconnections=" + dbConns);
	}
}
