package mod_postit;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class OpenPostItHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get item
		Item item = session.getRoomInstance().getItem(request.readInt());
		if(item != null && item instanceof PostItItem)
		{
			// Send post.it data
			response.init(EServerMessage.PostItData);
			response.appendStr(item.id);
			response.appendStr(item.customData);
			session.send(response);
		}
	}
}
