package mod_postit;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionManager;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.util.SecurityUtil;

public class SavePostItHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get item
		Item item = session.getRoomInstance().getItem(request.readInt());
		if(item != null && item instanceof PostItItem)
		{
			// Parse new data
			String[] data = request.readStr().split(" ", 2);
			String color = data[0];
			String text = SecurityUtil.filterStr(data[1], false);
			
			// Validate new color
			if(!mod_postit.colorIsValid(color))
			{
				// Blacklist IP permanently and disconnect, waar rook is, is vuur
				SessionManager.getInstance().endSession(session.id, String.format("post.it scripting - user #%d (%s)", session.getUser().id, session.getUser().username), true);
				return;
			}
			
			// If user hasn't got room rights...
			PostItItem postIt = (PostItItem)item;
			if(!session.getRoomUser().hasRoomRights)
			{
				// Then only allow extending of the text (previously this check was clientside)
				if(postIt.getText().startsWith(text))
				{
					return;
				}
			}
			
			// Save data + update
			postIt.setColorAndText(color, text);
		}
	}
}
