package mod_roomdimmer;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class SwitchRoomDimmerStatusHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Only room owners can deal with the room dimmer
		RoomDimmerItem dimmer = session.getRoomInstance().get("dimmer");
		if(dimmer == null || !session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Flip status and save
		dimmer.enabled = !dimmer.enabled;
		dimmer.saveSettings();
	}
}
