package mod_roomevent;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.util.GameUtil;
import org.openhabbo.util.SecurityUtil;

public class StartEventHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Can start event?
		if(RoomEvent.canCreateRoomEvent(session) != RoomEvent.ERROR_NONE)
		{
			return;
		}
		
		// Create event
		RoomEvent event = new RoomEvent();
		event.categoryId = request.readInt();
		event.name = SecurityUtil.filterStr(request.readStr());
		event.description = SecurityUtil.filterStr(request.readStr());
		event.tags = SecurityUtil.filterStrArray(request.readStrArray());
		event.room = session.getRoomInstance().getInfo();
		event.startTime = GameUtil.getCurrentDateTime();
		
		// TODO: validate event
		
		// Create event
		RoomEventManager.getInstance().addEvent(event);
	}
}
