package mod_roomevent;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class StopEventHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			RoomEvent event = session.getRoomInstance().get("event");
			if(event != null && session.getUser().id == event.room.ownerId)
			{
				// Remove from session + room
				session.unset("event");
				session.getRoomInstance().unset("event");
				RoomEventManager.getInstance().removeEvent(event);
				
				// Notify room
				session.getRoomInstance().broadcast(RoomEvent.createMsg(null));
			}
		}
	}
}
