package mod_tags;

import java.util.List;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetUserTagsHandler implements SessionMessageHandler
{
	private final static int UserTags = 350;

	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the user to get tags for
		int userId = request.readInt();
		RoomUser user = session.getRoomInstance().getUserByUserId(userId);

		// User is a 'real' user and in the room?
		if(user != null && user.getSession() != null)
		{
			// Get and send the tag list of this user
			List<String> tags = user.getSession().get("tags");
			if(tags != null)
			{
				response.init(GetUserTagsHandler.UserTags);
				response.appendInt(user.getUser().id);
				response.appendInt(tags.size());
				for(String tag : tags)
				{
					response.appendStr(tag);
				}
				session.send(response);
			}
		}
	}
}
