package mod_tags;

import java.util.ArrayList;
import java.util.List;

import org.openhabbo.OpenHABBO;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModulePayload;
import org.openhabbo.modules.Version;
import org.openhabbo.sessions.Session;
import org.openhabbo.storage.DatabaseResult;

public final class mod_tags extends Module
{
	public mod_tags()
	{
		super(new Version(1, 0, 0), "Enables support for user 'tags', showing interests like hobbies etc.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_tags/");
	}

	@Override
	protected void initPayload(ModulePayload payload)
	{
		payload.eventListener(Session.onLogin, new LoginHook());
		payload.msgHandler(263, new GetUserTagsHandler());
	}

	public static List<String> getTagsForUser(int userId)
	{
		List<String> tags = new ArrayList<String>(10);

		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT tag FROM user_tags WHERE user_id=" + userId);
		while(result.row())
		{
			tags.add(result.getString("tag"));
		}
		result.release();

		return tags;
	}
}
