package mod_triggereffect;

import mod_effects.AvatarEffect;
import mod_effects.AvatarEffectInventory;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomAvatar;
import org.openhabbo.rooms.instances.RoomMap;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.util.GameUtil;

public final class TriggerEffectItem extends Item
{
	@Override
	public void onGenerateFloorMapTile(RoomMap map, RoomTile tile)
	{
		map.state[tile.x][tile.y] = (RoomMap.OPEN | RoomMap.INTERACTIVE);
	}
	
	@Override
	public boolean onAvatarStepOn(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			AvatarEffectInventory effects = ((RoomUser)avatar).getSession().get("effects");
			effects.setCurrentEffect(GameUtil.parseInt(this.definition.data));
			return true;
		}
		
		return false;
	}
	
	@Override
	public boolean onAvatarStepOff(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			AvatarEffectInventory effects = ((RoomUser)avatar).getSession().get("effects");
			effects.setCurrentEffect(AvatarEffect.NO_EFFECT);
			
			return true;
		}
		
		return false;
	}
}
