package mod_autokick;

import org.openhabbo.events.EventListener;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.util.GameUtil;

public class RoomUserPulseHook implements EventListener
{
	private final static int maxIdleAwakeTime = GameUtil.secondsToRoomPulses(3);
	
	@Override
	public boolean handle(Object subject, Object args)
	{
		RoomUser user = (RoomUser)subject;
		if(user.idleTime >= maxIdleAwakeTime && !user.has("sleep"))
		{
			user.set("sleep");
			
			// Notify the room that this user went asleep!
			ServerMessage msg = new ServerMessage(EServerMessage.Sleep);
			msg.appendInt(user.virtualId);
			msg.appendBool(true);
			user.room.broadcast(msg);
		}
		
		return true;
	}

}
