package mod_favoriterooms;

import java.util.List;

import org.openhabbo.modules.ModuleEventListener;
import org.openhabbo.modules.ModuleResource;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;

public class LoginHook implements ModuleEventListener
{
	@Override
	public void handle(ModuleResource source, Object args)
	{
		Session session = (Session)source;
		
		// Load the favorite rooms from database
		List<Integer> favorites = mod_favoriterooms.getFavoriteRoomsForUser(session.getUser().id);
		session.set("favorites", favorites);
		
		// Send their IDs
		ServerMessage msg = new ServerMessage(EServerMessage.Favourites);
		msg.appendInt(mod_favoriterooms.MAX_FAVS_PER_USER);
		msg.appendInt(favorites.size());
		for(int roomId : favorites)
		{
			msg.appendInt(roomId);
		}
		session.send(msg);
	}
}
