package mod_messenger;

import java.text.SimpleDateFormat;

import org.openhabbo.net.messages.SerializableObject;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.storage.DatabaseResult;

public final class MessengerBuddy implements SerializableObject
{
	public final static long REF_MAX_IDLE_CACHE_TIME = (60 * 1000);

	public int userId;
	public String username;
	public String figure;
	public String motto;
	public String lastOnline;
	public boolean blockRequests;
	public InstantMessenger messenger;

	private long refLastAccessTime;
	
	public final void updateRefLastAccessTime()
	{
		this.refLastAccessTime = System.currentTimeMillis();
	}
	
	public boolean requiresUnload()
	{
		long idleTime = System.currentTimeMillis() - this.refLastAccessTime;
		return(this.messenger == null && idleTime > MessengerBuddy.REF_MAX_IDLE_CACHE_TIME);
	}

	public boolean online()
	{
		return(this.messenger != null);
	}

	public boolean inRoom()
	{
		return(this.messenger != null && this.messenger.getSession().inRoom());
	}

	@Override
	public void serialize(ServerMessage msg)
	{
		this.updateRefLastAccessTime();
		
		msg.appendInt(this.userId);
		msg.appendStr(this.username);
		msg.appendBool(true);
		msg.appendBool(this.online());
		msg.appendBool(this.inRoom());
		msg.appendStr(this.figure);
		msg.appendBool(false);
		msg.appendStr(this.motto);
		msg.appendStr(this.lastOnline);
		msg.appendStr("");
	}

	private final static SimpleDateFormat DATETIME_FORMATTER = new SimpleDateFormat("dd-MM-yyyy HH:mm:ss");

	public static MessengerBuddy parse(DatabaseResult result)
	{
		MessengerBuddy buddy = new MessengerBuddy();
		buddy.userId = result.getInt("id");
		buddy.username = result.getString("username");
		buddy.figure = result.getString("figure");
		buddy.motto = result.getString("motto");
		buddy.lastOnline = DATETIME_FORMATTER.format(result.getTimestamp("lastonline"));
		buddy.blockRequests = result.getBoolean("im_blockrequests");
		return buddy;
	}
}
