package mod_motd;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;

public class SetMotdCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Set the new Message Of The Day";
	}

	@Override
	public String getRequiredRight()
	{
		return "set_motd";
	}

	@Override
	public boolean handle(Session session, String body)
	{
		if(body == null)
		{
			return false;
		}
		else
		{
			if(!body.equals("off"))
			{
				mod_motd.get().setConfigValue("message", body);
				session.sendNotif("MOTD was set successfully.");
			}
			else
			{
				mod_motd.get().deleteConfigValue("message");
				session.sendNotif("MOTD was disabled successfully.");
			}
			return true;
		}
	}
}
