package mod_motd;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.sessions.Session;

@ModuleInfo
(
		name = "mod_motd",
		description = "Enables a Message Of The Day (MOTD) feature, which is a configured text message that shows to users upon login.",
		author = "Nils 'Nillus'",
		url = "http://habbo.nillus.net/modules/mod_motd/",
		version = "1.0.0",
		requires = { }
)
public final class mod_motd extends Module
{
	private static mod_motd instance;

	public mod_motd()
	{
		mod_motd.instance = this;
		
		this.getAutoLoader().eventListener(Session.onLogin, new LoginHook());
		this.getAutoLoader().chatCmd("motd", new SetMotdCommandHandler());
	}

	@Override
	public String getStatusString()
	{
		return (mod_motd.get().getConfigValue("message") != null) ? "MOTD set" : "no MOTD set";
	}

	public static mod_motd get()
	{
		return mod_motd.instance;
	}
}
