package mod_pets.msgs;


import mod_pets.RoomPet;

import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class RespectPetHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Respect to give out?
		if(session.getUser().dailyPetRespectPoints <= 0)
		{
			return;
		}
		
		// Get the requested pet from room instance
		int petId = request.readInt();
		RoomPet pet = (RoomPet) session.getRoomInstance().getAvatarByAvatarKey("p" + petId);
		if(pet == null)
		{
			return;
		}
		
		// Give respect!
		session.getUser().dailyPetRespectPoints--;
		pet.getInfo().respect++;
		pet.getInfo().addExperience(10);
		
		// Notify the room of this moment of sheer epicness
		response.init((EServerMessage.RespectNotification));
		response.appendInt(pet.getInfo().id);
		response.appendInt(pet.getInfo().respect);
		session.getRoomInstance().broadcast(response);
	}
}
