package mod_trading;

import java.util.ArrayList;
import java.util.List;

import org.openhabbo.items.EItemBehaviour;
import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;

public final class TradePartner
{
	private Trade trade;
	private Session session;
	private boolean accepted;
	private List<Item> offer;

	public TradePartner(Trade trade, Session session)
	{
		this.trade = trade;
		this.session = session;
		this.accepted = false;
		this.offer = new ArrayList<Item>(3);
	}

	public void accept()
	{
		this.accepted = true;
	}
	
	public void unaccept()
	{
		this.accepted = false;
	}
	
	public void addItem(Item item)
	{
		if(this.offer.contains(item))
		{
			return;
		}
		
		if(item.is(EItemBehaviour.ALLOW_TRADE))
		{
			return;
		}
		
		this.offer.add(item);
	}
	
	public void removeItem(Item item)
	{
		this.offer.remove(item);
	}

	public boolean accepted()
	{
		return this.accepted;
	}
	
	public Trade getTrade()
	{
		return this.trade;
	}
	
	public Session getSession()
	{
		return this.session;
	}
	
	public List<Item> getOffer()
	{
		return this.offer;
	}
}