package mod_badges;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleEventListener;
import org.openhabbo.registries.SessionMsgRegistry;
import org.openhabbo.sessions.Session;

public final class mod_badges extends Module
{
	private final static ModuleEventListener loginHook = new LoginHook();
	private final static ModuleEventListener logoutHook = new LogoutHook();
	
	public mod_badges()
	{
		super("1.0", "Enables support for badges for users, shown next to them in rooms etc.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_badges/");
	}
	
	@Override
	public boolean onLoad()
	{
		Session.addEventListener(Session.ON_LOGIN, mod_badges.loginHook);
		Session.addEventListener(Session.ON_LOGOUT, mod_badges.logoutHook);
		
		SessionMsgRegistry.register(157, new GetBadgesHandler());
		SessionMsgRegistry.register(158, new UpdateBadgesHandler());
		SessionMsgRegistry.register(159, new GetUserBadgesHandler());
		
		return true;
	}

	@Override
	public void onUnload()
	{
		Session.removeEventListener(Session.ON_LOGIN, mod_badges.loginHook);
		Session.removeEventListener(Session.ON_LOGOUT, mod_badges.logoutHook);
		
		SessionMsgRegistry.unregister(157);
		SessionMsgRegistry.unregister(158);
		SessionMsgRegistry.unregister(159);
	}
}
