package mod_corechatcmds;

import java.util.Map.Entry;

import org.openhabbo.OpenHABBO;
import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.SecurityUtil;

public class AboutCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Shows info about this build of OpenHABBO, installed modules, etc";
	}

	@Override
	public String getRequiredRight()
	{
		return null;
	}

	@Override
	public boolean handle(Session session, String body)
	{
		StringBuilder notif = new StringBuilder();
		
		// Append the legal info
		notif.append(OpenHABBO.getInstance().versionString());
		notif.append("\r");
		notif.append("Copyright (C) 2010-2011 - Nils 'Nillus'\r");
		notif.append("HABBO is a registered trademark of Sulake Corporation Oy.\r\r");
		
		// Append the installed modules + their custom status string
		notif.append("Loaded modules:\r");
		for(Entry<String, String> mod : OpenHABBO.getInstance().getModMgr().getLoadedModules().entrySet())
		{
			notif.append("* ");
			notif.append(mod.getKey());
			if(mod.getValue() != null)
			{
				notif.append(" (");
				notif.append(SecurityUtil.filterStr(mod.getValue()));
				notif.append(')');
			}
			notif.append("\r");
		}
		notif.append("\r");
		
		// Append the footer
		notif.append("Type :stats for system information.\r");
		notif.append("Visit www.openhabbo.org for more information.");
		
		// Send the message formatted as a system msg
		session.sendSystemNotif(notif.toString());
		return true;
	}
}
