package mod_favoriterooms;

import java.util.List;

import org.openhabbo.OpenHABBO;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.Room;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetFavoriteRoomsHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get list with favorite room IDs
		List<Integer> favorites = session.get("favorites");

		// Send room data of all rooms
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(0);
		response.appendInt(6);
		response.appendStr("");
		response.appendInt(favorites.size());
		for(int roomId : favorites)
		{
			Room room = OpenHABBO.getInstance().getRoomMgr().getRoomInfo(roomId);
			if(room != null)
			{
				response.appendObject(room);
			}
		}
		session.send(response);
	}
}
