package mod_motd;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleEventListener;
import org.openhabbo.registries.ChatCmdRegistry;
import org.openhabbo.sessions.Session;

public final class mod_motd extends Module
{
	private static mod_motd instance;
	
	private final static ModuleEventListener loginHook = new LoginHook();
	
	public mod_motd()
	{
		super("1.0", "Enables a Message Of The Day (MOTD) feature, which is a configured text message that shows to users upon login.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_motd/");
		mod_motd.instance = this;
	}
	
	@Override
	public boolean onLoad()
	{
		Session.addEventListener(Session.ON_LOGIN, mod_motd.loginHook);
		
		ChatCmdRegistry.register("motd", new SetMotdCommandHandler());
		
		return true;
	}

	@Override
	public void onUnload()
	{
		Session.removeEventListener(Session.ON_LOGOUT, mod_motd.loginHook);
		
		ChatCmdRegistry.unregister("motd");
	}
	
	@Override
	public String getStatusString()
	{
		return (mod_motd.get().getConfigValue("message") != null) ? "MOTD set" : "no MOTD set";
	}
	
	public static mod_motd get()
	{
		return mod_motd.instance;
	}
}
