package mod_tags;

import java.util.ArrayList;
import java.util.List;

import org.openhabbo.OpenHABBO;
import org.openhabbo.modules.Module;
import org.openhabbo.registries.SessionMsgRegistry;
import org.openhabbo.sessions.Session;
import org.openhabbo.storage.DatabaseResult;

public final class mod_tags extends Module
{
	private static LoginHook loginHook = new LoginHook();
	
	public mod_tags()
	{
		super("1.0", "Enables support for user 'tags', showing interests like hobbies etc.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_tags/");
	}
	
	@Override
	public boolean onLoad()
	{
		SessionMsgRegistry.register(263, new GetUserTagsHandler());
		
		Session.addEventListener(Session.ON_LOGIN, mod_tags.loginHook);
		
		return true;
	}

	@Override
	public void onUnload()
	{
		SessionMsgRegistry.unregister(263);
		
		Session.removeEventListener(Session.ON_LOGIN, mod_tags.loginHook);
	}
	
	public static List<String> getTagsForUser(int userId)
	{
		List<String> tags = new ArrayList<String>(10);

		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT tag FROM user_tags WHERE user_id=" + userId);
		while(result.row())
		{
			tags.add(result.getString("tag"));
		}
		result.release();

		return tags;
	}
}
