package net.nillus.habbo;

import java.util.Map;

import org.openhabbo.modules.Module;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomInstance;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class ModBanzai extends Module
{
	public ModBanzai()
	{
		super("mod_banzai", "Enables BattleBall: Banzai! in guestrooms.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_banzai/");
	}

	@Override
	public boolean onLoad()
	{
		return true;
	}

	@Override
	public boolean onUnload()
	{
		return false;
	}

	private class BanzaiGame
	{
		private RoomInstance m_room;
		private Map<Integer, BanzaiPlayer> m_players;

		public BanzaiGame(RoomInstance room)
		{
			m_room = room;
		}

		public RoomInstance getRoom()
		{
			return m_room;
		}
	}

	private class BanzaiPlayer
	{
		private BanzaiGame m_game;

		public BanzaiGame getGame()
		{
			return m_game;
		}
	}

	private class StartBanzaiHandler implements SessionMessageHandler
	{
		@Override
		public void handle(Session session, ClientMessage request, ServerMessage response)
		{
			BanzaiGame game = new BanzaiGame(session.getRoomInstance());
			// game.getRoom().addEventHandler(RoomInstance.USER_DIES, new UserDiesHandler());

			if(!session.has("bbgame"))
			{
				session.set("bbgame", game);
			}

			BanzaiGame theGame = session.get("bbgame");

			session.addEventHandler(33333, null);
			session.removeEventHandler(3333, null);
		}
	}
}
