package org.openhabbo.chatcommands.std;

import org.openhabbo.OpenHABBO;
import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;

public class HelpCommandHandler implements ChatCommandHandler
{
	@Override
	public String getCommand()
	{
		return "commands";
	}

	@Override
	public String getDescription()
	{
		return "Shows a list with chatcommands";
	}

	@Override
	public String getRequiredRight()
	{
		return null;
	}

	@Override
	public boolean handle(Session session, String body)
	{
		// Get instance
		OpenHABBO instance = OpenHABBO.getInstance();

		// Build the response
		StringBuilder notif = new StringBuilder();
		notif.append("The following chatcommands are available for you:");
		notif.append("\r\r");
		for(ChatCommandHandler cmd : instance.getChatCmdMgr().getAvailableChatCommands(session.getUser().role))
		{
			notif.append(ChatCommandHandler.COMMAND_HEAD);
			notif.append(cmd.getCommand());
			notif.append("\t\t");
			notif.append(cmd.getDescription());
			notif.append("\r\r");
		}
		notif.append("End of command list.");
		session.sendNotif(notif.toString(), instance.getProperties().get("game.help.url"));
		return true;
	}
}
