package org.openhabbo.core;

import java.io.FileInputStream;
import java.util.Properties;

public final class PropertiesBox
{
	private Properties m_props;

	public PropertiesBox()
	{
		m_props = new Properties();
	}

	public boolean load(String filePath)
	{
		try
		{
			m_props.load(new FileInputStream(filePath));
			return true;
		}
		catch(Exception ex)
		{
			return false;
		}
	}

	public String get(String propName)
	{
		return this.get(propName, null);
	}

	public String get(String propName, String valDefault)
	{
		return m_props.getProperty(propName, valDefault);
	}

	public int getInt(String propName)
	{
		return this.getInt(propName, 0);
	}

	public int getInt(String propName, int valDefault)
	{
		if(m_props.containsKey(propName))
		{
			try
			{
				return Integer.parseInt(m_props.getProperty(propName, ""));
			}
			catch(NumberFormatException ex)
			{

			}
		}
		return valDefault;
	}

	public int size()
	{
		return m_props.size();
	}
}
