package org.openhabbo.events;

import java.util.HashMap;
import java.util.Map;

public final class EventArgs
{
	private Map<String, Object> m_args;

	public EventArgs()
	{
		m_args = new HashMap<String, Object>();
	}

	public EventArgs(String key1, Object value1)
	{
		this();
		this.set(key1, value1);
	}

	public EventArgs(String key1, Object value1, String key2, Object value2)
	{
		this(key1, value1);
		this.set(key2, value2);
	}

	public EventArgs(String key1, Object value1, String key2, Object value2, String key3, Object value3)
	{
		this(key1, value1, key2, value2);
		this.set(key3, value3);
	}

	public EventArgs(String key1, Object value1, String key2, Object value2, String key3, Object value3, String key4, Object value4)
	{
		this(key1, value1, key2, value2, key3, value3);
		this.set(key4, value4);
	}

	public EventArgs(String key1, Object value1, String key2, Object value2, String key3, Object value3, String key4, Object value4, String key5, Object value5)
	{
		this(key1, value1, key2, value2, key3, value3, key4, value4);
		this.set(key5, value5);
	}

	public final <T> void set(String key, T value)
	{
		m_args.put(key, value);
	}

	public final void unset(String key)
	{
		m_args.remove(key);
	}

	public final boolean has(String key)
	{
		return m_args.containsKey(key);
	}

	@SuppressWarnings("unchecked")
	public <T> T get(String key)
	{
		Object value = m_args.get(key);
		if(value != null)
		{
			return (T) value;
		}
		else
		{
			return null;
		}
	}
}
