package org.openhabbo.items.impl;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;

public abstract class InteractableItem extends Item
{
	private RoomUser user;

	public boolean inUse()
	{
		// Actually a user?
		if(this.user == null)
		{
			return false;
		}

		// User invalidated?
		if(this.user.invalidated())
		{
			this.user = null;
			return false;
		}

		// Item in use by a valid roomuser!
		return true;
	}

	public RoomUser getUser()
	{
		return this.inUse() ? this.user : null;
	}

	public void setUser(RoomUser user)
	{
		this.user = user;
		this.setTemporaryState(user != null ? "1" : "0");
	}

	public void clearUser()
	{
		this.setUser(null);
	}

	@Override
	public boolean onPickup(RoomUser user)
	{
		this.clearUser();
		return super.onPickup(user);
	}
}
