package org.openhabbo.items.impl;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.RandomUtil;

public class SpinningBottleItem extends Item
{
	@Override
	public void onTrigger(Session session, int newState)
	{
		// Not already spinning yet?
		if(!this.hasTimeout())
		{
			// Start a new spin...
			this.setTemporaryState("-1");
			this.setTimeout(3);
		}
	}

	@Override
	protected void onTimeout()
	{
		// Roll + save to a random number
		int roll = RandomUtil.getInt(0, 7);
		this.setPersistentState(Integer.toString(roll));
	}
}
