package org.openhabbo.items.impl;

import org.openhabbo.rooms.instances.RoomUser;

public class VendingMachineItem extends InteractableItem
{
	@Override
	public void onTrigger(RoomUser user, int newState)
	{
		// Get to the vending machine!
		if(!user.touches(this.getTile()))
		{
			user.requestNewTrip(this.getTileInFront());
		}
		else
		{
			// Not in use, and actually vending something?
			if(!this.inUse() && true)
			{
				// Start using the vending machine
				user.lockMovement();
				user.lookTo(this.x, this.y, false);

				// Vending in 2 pulses!
				this.setUser(user);
				this.setTimeout(2);
			}
		}
	}

	@Override
	protected void onTimeout()
	{
		if(this.inUse())
		{
			RoomUser user = this.getUser();
			user.carryItem(3);
			user.unlockMovement();
			this.clearUser();
		}
	}
}