package org.openhabbo.modules;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

import org.openhabbo.OpenHABBO;

public final class ModuleManager
{
	private final static String DIR_NAME = "modules";

	private File m_directory;
	private ModuleHost m_host;
	private Map<String, Module> m_modules;

	public ModuleManager()
	{
		m_directory = new File(DIR_NAME);
		m_host = null;
		m_modules = new HashMap<String, Module>();
	}

	public ModuleHost getHost()
	{
		return m_host;
	}

	public void setHost(ModuleHost host)
	{
		m_host = host;
	}

	public void loadModules()
	{
		// Directory exists?
		/*
		 * if(!dirExists)
		 * {
		 * OpenHABBO.getInstance().getLogger().warning("ModuleMgr", String.format("Directory \"%s\" does not exist in the current path, and creation of this directory failed. No modules loaded.", DIR_NAME));
		 * }
		 * else
		 * {
		 * OpenHABBO.getInstance().getLogger().info("ModuleMgr", String.format("Loading *.jar modules from \"%s\"...", DIR_NAME));
		 * // Search the directory for mod_*.jar's
		 * int loaded = 0;
		 * for(File file : dir.listFiles())
		 * {
		 * if(file.getName().startsWith("mod_") && file.getName().endsWith(".jar"))
		 * {
		 * if(this.loadModule(name))
		 * {
		 * loaded++;
		 * }
		 * }
		 * }
		 * }
		 */
	}

	public void unloadModules()
	{
		OpenHABBO.getInstance().getLogger().info("ModuleMgr", "Unloading modules...");
		int unloaded = 0;
		synchronized(m_modules)
		{
			for(String name : m_modules.keySet())
			{
				if(this.unloadModule(name))
				{
					unloaded++;
				}
			}
			m_modules.clear();
		}
		OpenHABBO.getInstance().getLogger().info("ModuleMgr", String.format("Unloaded %d modules.", unloaded));
	}

	public void reloadModules()
	{
		OpenHABBO.getInstance().getLogger().info("ModuleMgr", "Reload of all modules issued.");
		this.unloadModules();
		this.loadModules();
	}

	public Module getModule(String name)
	{
		return m_modules.get(name);
	}

	private boolean loadModule(String name)
	{
		OpenHABBO.getInstance().getLogger().info("ModuleMgr", String.format("Loaded %s.", name));
		return true;
	}

	private boolean unloadModule(String name)
	{
		OpenHABBO.getInstance().getLogger().debug("ModuleMgr", String.format("Unloaded %s.", name));
		return true;
	}

	public int count()
	{
		return m_modules.size();
	}
}
