package org.openhabbo.registries;

import java.util.HashMap;
import java.util.Map;

import org.openhabbo.items.Item;

public final class ItemImplRegistry
{
	private final static Map<String, Class<? extends Item>> entries = new HashMap<String, Class<? extends Item>>();

	private ItemImplRegistry()
	{
		// Hide constructor
	}

	public final static void register(String name, Class<? extends Item> implClass)
	{
		entries.put(name, implClass);
	}

	public final static void unregister(String name)
	{
		entries.remove(name);
	}

	public final static boolean isKnown(String name)
	{
		return entries.containsKey(name);
	}

	public final static Class<? extends Item> lookup(String name)
	{
		return entries.get(name);
	}

	public final static int count()
	{
		return entries.size();
	}
}
