package org.openhabbo.remote.std;

import org.openhabbo.OpenHABBO;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.remote.RemoteCommandHandler;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;

public class UserInventoryUpdateHandler implements RemoteCommandHandler
{
	@Override
	public String getCommand()
	{
		return "INVENTORY";
	}

	@Override
	public void handle(String payload)
	{
		int userId = Integer.parseInt(payload);

		Session sess = OpenHABBO.getInstance().getSessionMgr().getSessionByUserId(userId);
		if(sess != null)
		{
			sess.getItemInventory().reload();
			sess.send(new ServerMessage(EServerMessage.InventoryUpdate));
		}
	}
}
