package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.users.effects.AvatarEffect;

public class ApplyEffectHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get effect from inventory
		int effectId = request.readInt();
		AvatarEffect effect = session.getEffectInventory().getEffect(effectId);

		// User has this effect enabled? (-1 is no effect)
		if((effectId == -1) || (effect != null && effect.enabled))
		{
			// Apply the effect as the current effect
			session.getEffectInventory().setCurrentEffect(effectId);
			RoomUser user = session.getRoomUser();
			user.effectId = effectId;

			// Notify the room
			response.init(EServerMessage.AvatarEffect);
			response.appendInt(user.virtualId);
			response.appendInt(user.effectId);
			session.getRoomInstance().broadcast(response);
		}
	}
}
