package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.users.effects.AvatarEffect;

public class EnableEffectHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get effect from inventory
		int effectId = request.readInt();
		AvatarEffect effect = session.getEffectInventory().getEffect(effectId);

		// Not enabled yet?
		if(effect != null && !effect.enabled)
		{
			// Update the data object
			effect.enable();

			// Notify the user
			response.init(EServerMessage.AvatarEffectEnabled);
			response.appendInt(effect.effectId);
			session.send(response);
		}
	}
}
