package org.openhabbo.sessions.handlers;

import org.openhabbo.messenger.MessengerBuddy;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomInstance;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class FollowBuddyHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized buddies
		if(!session.getInstantMessenger().initialized()) return;

		// Determine buddy to follow / 'stalk'
		int buddyId = request.readInt();
		MessengerBuddy buddy = session.getInstantMessenger().getBuddy(buddyId);

		// Buddy on buddylist, online and in a room?
		if(buddy != null && buddy.inRoom())
		{
			// Send the room info
			RoomInstance room = buddy.messenger.getSession().getRoomInstance();
			response.init(EServerMessage.RoomForward);
			response.appendBool(room.getInfo().isPublicRoom());
			response.appendInt(room.getInfo().id);
			session.send(response);

			// Skip to TryRoom?
			if(room.getInfo().isGuestRoom())
			{
				session.tryRoom(room.getInfo().id, "");
			}
		}
	}
}
