package org.openhabbo.sessions.handlers;

import org.openhabbo.messenger.MessengerBuddy;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class FriendsListUpdateHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Serialize all the updated buddies, for simplicity's sake, we assume all buddies are updated everytime so we don't miss out on any updates
		ServerMessage msg = new ServerMessage(EServerMessage.FriendListUpdate);
		msg.appendInt(0);
		msg.appendInt(session.getInstantMessenger().getBuddies().size());
		msg.appendInt(0);
		for(MessengerBuddy buddy : session.getInstantMessenger().getBuddies())
		{
			msg.appendObject(buddy);
			msg.appendBool(false);
		}
		session.send(msg);
	}
}
