package org.openhabbo.sessions.handlers;

import java.util.List;

import org.openhabbo.OpenHABBO;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.Room;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetHighRatedRoomsHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the list with toprated rooms from the navigator
		List<Room> rooms = OpenHABBO.getInstance().getNavigator().getTopRatedRooms();

		// Serialize the rooms
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(0);
		response.appendInt(2);
		response.appendStr("");
		response.appendInt(rooms.size());
		for(Room room : rooms)
		{
			response.appendObject(room);
		}
		session.send(response);
	}
}
