package org.openhabbo.sessions.handlers;

import org.openhabbo.OpenHABBO;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.Room;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetPubHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the requested room info
		int roomId = request.readInt();
		Room room = OpenHABBO.getInstance().getRoomMgr().getRoomInfo(roomId);

		// Public room exists?
		if(room == null || !room.isPublicRoom())
		{
			session.sendNotif(String.format("Public room #%d does not exist.", roomId));
		}
		else
		{
			response.init(EServerMessage.GetPublicRoomFiles);
			response.appendInt(room.id);
			response.appendStr(room.files);
			response.appendInt(room.id);
			session.send(response);
		}
	}
}
