package org.openhabbo.sessions.handlers;

import java.util.Map.Entry;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetUserBadgesHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the user to get the badges of
		int userId = request.readInt();
		RoomUser user = session.getRoomInstance().getRoomUserByUserId(userId);

		// User in the room?
		if(user != null)
		{
			// Serialize equipped badges list
			response.init(EServerMessage.UserBadges);
			response.appendInt(user.getUser().id);
			response.appendInt(user.getUser().equippedBadges.size());
			for(Entry<Byte, String> badge : user.getUser().equippedBadges.entrySet())
			{
				response.appendInt(badge.getKey());
				response.appendStr(badge.getValue());
			}
			session.send(response);
		}
	}
}
