package org.openhabbo.sessions.handlers;

import java.util.Map.Entry;

import org.openhabbo.messenger.MessengerBuddy;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class InitMessengerHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Messenger not initialized yet? Then do it!
		if(!session.getInstantMessenger().initialized())
		{
			session.getInstantMessenger().initialize();
		}

		// Send buddy list
		response.init(EServerMessage.MessengerInit);
		response.appendInt(600);
		response.appendInt(200);
		response.appendInt(600);
		response.appendInt(900);
		response.appendBool(false);
		response.appendInt(session.getInstantMessenger().getBuddies().size());
		for(MessengerBuddy buddy : session.getInstantMessenger().getBuddies())
		{
			response.appendObject(buddy);
		}
		session.send(response);

		// Send buddy requests
		response.init(EServerMessage.BuddyRequests);
		response.appendInt(session.getInstantMessenger().getRequests().size());
		response.appendInt(session.getInstantMessenger().getRequests().size());
		for(Entry<Integer, String> buddyRequest : session.getInstantMessenger().getRequests())
		{
			response.appendInt(buddyRequest.getKey());
			response.appendStr(buddyRequest.getValue());
			response.appendStr(Integer.toString(buddyRequest.getKey()));
		}
		session.send(response);
	}
}
