package org.openhabbo.sessions.handlers;

import org.openhabbo.items.EItemBehaviour;
import org.openhabbo.items.Item;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class RedeemExchangeFurniHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		int itemId = request.readInt();

		// Only the room owner can redeem items
		if(session.getRoomUser().hasRoomRights)
		{
			// Fetch the item
			Item item = session.getRoomInstance().getItem(itemId);

			// Is this a redeemable type of item?
			if(item.is(EItemBehaviour.REDEEMABLE))
			{
				// Remove from the room
				session.getRoomInstance().pickupItem(itemId, session);

				// Add the credits to the user's credit balance
				session.getUser().credits += Integer.parseInt(item.customData);
				session.getUser().saveCreditsAndPixels();
				session.sendCreditBalance();

				// Delete the item from the game
				item.delete();
			}
		}
	}
}
