package org.openhabbo.sessions.handlers;

import org.openhabbo.OpenHABBO;
import org.openhabbo.messenger.MessengerBuddy;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class RemoveBuddyHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized messenger
		if(!session.getInstantMessenger().initialized()) return;

		// Determine amount of user IDs in the message
		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			// Read this user ID
			int userId = request.readInt();

			// If this user is really a buddy, then destroy the relations and update the messengers
			MessengerBuddy buddy = session.getInstantMessenger().getBuddy(userId);
			if(buddy != null)
			{
				session.getInstantMessenger().removeBuddy(buddy.userId);
				if(buddy.online())
				{
					buddy.messenger.removeBuddy(session.getUser().id);
				}
				OpenHABBO.getInstance().getImSvc().deleteRelation(session.getUser().id, buddy.userId);
			}
		}
	}
}
