package org.openhabbo.sessions.handlers;

import org.openhabbo.messenger.MessengerBuddy;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class SendInstantMessageHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized messenger
		if(!session.getInstantMessenger().initialized()) return;

		// Parse receiver ID + msg text
		int receiverId = request.readInt();
		String text = request.readStr();
		int errorCode = 0;

		// Get receiver
		MessengerBuddy receiver = session.getInstantMessenger().getBuddy(receiverId);
		if(receiver == null)
		{
			errorCode = 6;
		}
		else if(!receiver.online())
		{
			errorCode = 5;
		}
		// TODO: check for this user / buddy muted

		// Any errors?
		if(errorCode != 0)
		{
			response.init(EServerMessage.InstantMessageError);
			response.appendInt(errorCode);
			response.appendInt(receiverId);
			session.send(response);
		}
		else
		{
			receiver.messenger.deliverInstantMessage(session.getUser().id, text);
		}
	}
}
