package org.openhabbo.storage;

import java.sql.Connection;

public final class DatabaseConnection
{
	public final int id;
	private Connection m_conn;
	private DatabaseConnectionManager m_mgr;
	private long m_lastAccessTime;
	private boolean m_available;

	public DatabaseConnection(int id, Connection conn, DatabaseConnectionManager mgr)
	{
		this.id = id;
		m_conn = conn;
		m_mgr = mgr;
	}

	public Connection getInnerConnection()
	{
		return m_conn;
	}

	public DatabaseConnectionManager getMgr()
	{
		return m_mgr;
	}

	public long getLastAccessTime()
	{
		return m_lastAccessTime;
	}

	public long getIdleSeconds()
	{
		return((System.currentTimeMillis() - m_lastAccessTime) / 1000);
	}

	public boolean isAvailable()
	{
		return m_available;
	}

	public void available(boolean isAvailable)
	{
		m_available = isAvailable;
		m_lastAccessTime = System.currentTimeMillis();
	}
}
