package org.openhabbo.communication.requests.navigator;

import java.util.List;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.NavigatorFrontpageItem;
import org.openhabbo.rooms.RoomNavigator;
import org.openhabbo.sessions.Session;

public class GetNavigatorFrontpage implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the configured frontpage items of the navigator
		List<NavigatorFrontpageItem> fpis = RoomNavigator.getInstance().getFrontpageItems();

		// Serialize the frontpage items
		response.init(EServerMessage.NavigatorFrontPageResult);
		response.appendInt(fpis.size());
		for(NavigatorFrontpageItem fpi : fpis)
		{
			response.appendInt(fpi.id);
			
			// Category or room?
			if(fpi.category != null)
			{
				response.appendStr(fpi.name);
				response.appendStr("");
				response.appendBool(true);
				response.appendStr("");
				response.appendStr("");
				response.appendBool(false);
				response.appendBool(false);
				response.appendInt(4);
				response.appendBool(false);
			}
			else
			{
				response.appendStr(fpi.bannerType == 1 ? fpi.name : fpi.room.name);
				response.appendStr(fpi.room.description);
				response.appendInt(fpi.bannerType);
				response.appendStr(fpi.name);
				response.appendStr(fpi.imageIsExternal ? fpi.image : "");
				response.appendInt(0); // Parent ID
				response.appendInt(fpi.room.usersNow);
				response.appendInt(3);
				response.appendStr(fpi.imageIsExternal ? "" : fpi.image);
				response.appendInt(1337); // unk
				response.appendBool(true);
				response.appendStr(fpi.room.files);
				response.appendInt(fpi.room.usersMax);
			}
		}
		session.send(response);
	}
}
