package org.openhabbo.communication.requests.room.chat;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.ChatUtil;
import org.openhabbo.util.SecurityUtil;

public class ShoutHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		String text = SecurityUtil.filterStr(request.readStr());
		if(session.inRoom())
		{
			// Is this a chatcommand that executes successfully?
			if(!ChatUtil.parseAndHandleCommand(session, text))
			{
				if(Session.onChat.fire(session, text))
				{
					session.getRoomUser().chat(text, true);
				}
			}
		}
	}
}
