package org.openhabbo.communication.requests.room.content;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class GetHeightMapHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Send real heightmap
		response.init(EServerMessage.HeightMap);
		response.appendStr(session.getRoomInstance().getModel().getHeightMapString());
		session.send(response);

		// Send actual floormap with door tile etc taken into account
		response.init(EServerMessage.FloorHeightMap);
		response.appendStr(session.getRoomInstance().getModel().getFloorMapString());
		session.send(response);
	}
}
