package org.openhabbo.communication.requests.room.content;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class GetSpriteIndexHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// A long time ago, the sprite index has been replaced by the 'furnidata' file, hence it contains no sprite id list!
		// The client downloads this as an asset ather than retrieving it from the gameserver
		response.init(EServerMessage.SpriteIndex);
		response.appendInt(0);
		session.send(response);
	}
}
