package org.openhabbo.communication.requests.room.items;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.items.EItemFlags;
import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;

public class MoveFloorItemHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Allowed to move items?
		RoomUser user = session.getRoomUser();
		if(user == null || !user.hasRoomRights)
		{
			return;
		}

		// Parse position data
		int itemId = request.readInt();
		int newX = request.readInt();
		int newY = request.readInt();
		byte newRotation = (byte) request.readInt();

		// Move the flooritem
		Item item = session.getRoomInstance().getItem(itemId);
		if(item.is(EItemFlags.FLOORITEM))
		{
			session.getRoomInstance().moveFloorItem(item, newX, newY, newRotation, session);
		}
	}
}
