package org.openhabbo.communication.requests.room.items;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;

public class ToggleItemHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// In room?
		if(!session.inRoom())
		{
			return;
		}
		
		// Trigger instructions
		int itemId = request.readInt();
		int instruction = request.remaining() > 0 ? request.readInt() : 0;

		// Get the item
		Item item = session.getRoomInstance().getItem(itemId);
		if(item != null)
		{
			item.toggle(session.getRoomUser(), instruction);
		}
	}
}
