package org.openhabbo.communication.requests.room.self;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;

public class DanceHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read & verify the ID of the dance to start
		int danceId = request.readInt();
		if(danceId < 0 || danceId > 4)// || (danceId != 1 && !session.getUser().rights.contains("fuse_use_club_dance")))
		{
			danceId = 0;
		}

		// User is in the room?
		RoomUser user = session.getRoomUser();
		if(user != null)
		{
			// Unidle the user and update the dance ID
			user.unidle();
			user.stopCarryItem();
			user.danceId = danceId;

			// Broadcast update to the room to get this user dancing!
			response.init(EServerMessage.Dance);
			response.appendInt(user.avatarId);
			response.appendInt(user.danceId);
			session.getRoomInstance().broadcast(response);
		}
	}
}
