package org.openhabbo.communication.requests.user;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.items.EItemFlags;
import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;

public class GetInventoryHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		response.init(EServerMessage.FurniList);
		response.appendStr("S");
		response.appendInt(1);
		response.appendInt(1);
		response.appendInt(session.getItemInventory().getItems().size());
		for(Item item : session.getItemInventory().getItems())
		{
			response.appendInt(item.id);
			response.appendStr(Character.toUpperCase(item.definition.getType()));
			response.appendInt(item.id);
			response.appendInt(item.definition.spriteId);
			response.appendInt(item.definition.inventoryType);
			response.appendStr(item.state);
			response.appendBool(item.is(EItemFlags.ALLOW_RECYCLE));
			response.appendBool(item.is(EItemFlags.ALLOW_TRADE));
			response.appendBool(true);//item.is(EItemBehavior.ALLOW_INVENTORYSTACK));
			response.appendBool(item.is(EItemFlags.ALLOW_MARKETPLACE));
			response.appendInt(-1);
			if(item.is(EItemFlags.FLOORITEM))
			{
				response.appendStr("");
				response.appendInt(-1);
			}
		}
		session.send(response);
	}
}
