package org.openhabbo.events;

import java.util.Map.Entry;

import org.openhabbo.core.AutoManageProxy;

public final class EventAutoManageProxy extends AutoManageProxy<EventListener, Event>
{
	@Override
	public void load()
	{
		for(Entry<EventListener, Event> pair : this.getContents())
		{
			Event event = pair.getValue();
			EventListener listener = pair.getKey();
			event.addListener(listener);
		}
	}

	@Override
	public void unload()
	{
		for(Entry<EventListener, Event> pair : this.getContents())
		{
			Event event = pair.getValue();
			EventListener listener = pair.getKey();
			event.removeListener(listener);
		}
	}
}
