package org.openhabbo.storage;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public final class SQLHelper
{
	private final static Date DATE_OBJECT = new Date();
	private final static SimpleDateFormat DATE_FORMATTER = new SimpleDateFormat("yyyy-MM-d HH:mm:ss");
	private final static Pattern ESCAPE_PATTERN = Pattern.compile("['\"\\\\]");
	private final static Matcher ESCAPE_MATCHER = ESCAPE_PATTERN.matcher("");
	
	public final static String escape(String str)
	{
		if(str == null)
		{
			return "";
		}
		else
		{
			return ESCAPE_MATCHER.reset(str).replaceAll("\\\\$0");
		}
	}

	public final static String formatDate(long millis)
	{
		DATE_OBJECT.setTime(millis);
		return DATE_FORMATTER.format(DATE_OBJECT);
	}

	public final static String getDateTimeStr()
	{
		return SQLHelper.formatDate(System.currentTimeMillis());
	}
}
