package mod_badges;

import java.util.Map.Entry;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class GetBadgesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get badgeinventory
		BadgeInventory badges = session.get("badges");
		if(badges == null)
		{
			return;
		}

		// Build the response
		response.init(EServerMessage.Badges);
		response.appendInt(badges.getBadges().size());
		for(Entry<String, Byte> badge : badges.getBadges().entrySet())
		{
			response.appendBool(badge.getValue() != 0);
			response.appendStr(badge.getKey());
		}

		// Append all equipped badges of this user
		response.appendInt(badges.getEquipped().size());
		for(Entry<Byte, String> badge : badges.getEquipped().entrySet())
		{
			response.appendInt(badge.getKey());
			response.appendStr(badge.getValue());
		}

		// Enqueue the response
		session.send(response);
	}
}
