package mod_corechatcmds;

import java.util.Map.Entry;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.ChatUtil;
import org.openhabbo.util.GameError;

public class HelpCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Shows a list with your available chatcommands";
	}

	@Override
	public String getRequiredRight()
	{
		return "default";
	}
	
	@Override
	public String[] getSyntax()
	{
		return null;
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		// Build the response
		StringBuilder notif = new StringBuilder();
		notif.append("The following chatcommands are available for you:");
		notif.append("\r\r");
		for(Entry<String, ChatCommandHandler> cmd : ChatUtil.getAvailableChatCommands(session.getUser().rights).entrySet())
		{
			notif.append(ChatCommandHandler.COMMAND_HEAD);
			notif.append(cmd.getKey());
			notif.append("\t\t");
			notif.append(cmd.getValue().getDescription());
			notif.append("\r\r");
		}
		notif.append("End of command list.");
		session.sendSystemNotif(notif.toString());
	}
}
