package mod_corechatcmds;

import org.openhabbo.OpenHABBO;
import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameError;

public class ReloadModulesCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Reloads all enabled server modules";
	}

	@Override
	public String getRequiredRight()
	{
		return "reload_server";
	}
	
	@Override
	public String[] getSyntax()
	{
		return null;
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		OpenHABBO.getInstance().getModMgr().reloadModules();
		session.sendNotif(String.format("Reloaded %d modules.", OpenHABBO.getInstance().getModMgr().count()));
	}
}
