package mod_corechatcmds;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.rooms.RoomManager;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameError;

public class ReloadRoomModelsCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Reloads all room models";
	}

	@Override
	public String getRequiredRight()
	{
		return "reload_server";
	}
	
	@Override
	public String[] getSyntax()
	{
		return null;
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		RoomManager.getInstance().reloadModels();
		session.sendNotif(String.format("Reloaded %d room models.", RoomManager.getInstance().getAllRoomModels().size()));
	}
}
