package mod_effects;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class ApplyEffectHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get effect inventory
		EffectInventory effects = session.get("effects");
		if(effects == null)
		{
			return;
		}

		// User applies an enabled effect, or disables the current effect?
		int effectId = request.readInt();
		if(effectId > 0)
		{
			UserEffect effect = effects.getEffect(effectId);
			if(effect != null && effect.enabled)
			{
				effects.setCurrentEffect(effectId);
			}
		}
		else
		{
			effects.setCurrentEffect(0);
		}
	}
}
