package mod_effects;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionManager;

public class EffectExpirationChecker extends Thread
{
	@Override
	public void run()
	{
		// Process all in-room sessions, check their effects
		while(this.isAlive())
		{
			for(Session session : SessionManager.getInstance().getAllSessions())
			{
				if(session.inRoom())
				{
					EffectInventory effects = session.get("effects");
					if(effects != null)
					{
						effects.checkAndStopExpiredEffects();
					}
				}
			}

			// Sleep...
			try
			{
				Thread.sleep(1000);
			}
			catch(InterruptedException e)
			{
				return;
			}
		}
	}
}
