package mod_effects;

import org.openhabbo.OpenHABBO;
import org.openhabbo.storage.SQLHelper;

public final class UserEffect
{
	public int userId;
	public int effectId;
	public int totalDuration;
	public boolean enabled;
	public long enabledAt;

	public int getTimeLeft()
	{
		if(this.enabled)
		{
			int timeSinceEnabling = (int) ((System.currentTimeMillis() - this.enabledAt) / 1000);
			if(timeSinceEnabling >= this.totalDuration)
			{
				return 0;
			}
			else
			{
				return(this.totalDuration - timeSinceEnabling);
			}
		}
		else
		{
			return -1;
		}
	}

	public boolean hasExpired()
	{
		return(this.getTimeLeft() == 0);
	}

	public void enable()
	{
		this.enabled = true;
		this.enabledAt = System.currentTimeMillis();
		OpenHABBO.getInstance().getDb().execute("UPDATE user_effects SET enabled=1,enabled_at='" + SQLHelper.formatDate(this.enabledAt) + "' WHERE user_id=" + this.userId + " AND effect_id=" + this.effectId);
	}

	public void insert()
	{
		OpenHABBO.getInstance().getDb().execute("INSERT INTO user_effects(user_id,effect_id,total_duration) VALUES (" + this.userId + "," + this.effectId + "," + this.totalDuration + ")");
	}

	public void delete()
	{
		OpenHABBO.getInstance().getDb().execute("DELETE FROM user_effects WHERE user_id=" + this.userId + " AND effect_id=" + this.effectId);
	}
}
