package mod_favoriterooms;

import java.util.List;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.Room;
import org.openhabbo.rooms.RoomManager;
import org.openhabbo.sessions.Session;

public class AddFavoriteHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get favorites list
		List<Integer> favorites = session.get("favorites");

		// Get the room
		Integer roomId = request.readInt();
		Room room = RoomManager.getInstance().getRoomInfo(roomId);

		// Can add this room?
		if(room == null || !room.isGuestRoom() || favorites.contains(roomId) || favorites.size() >= mod_favoriterooms.MAX_FAVS_PER_USER)
		{
			session.sendGenericError(-9001);
			return;
		}

		// Add to list + save
		favorites.add(roomId);
		mod_favoriterooms.addFavoriteRoomForUser(session.getUser().id, roomId);

		// Notify user!
		response.init(EServerMessage.FavouriteChanged);
		response.appendInt(roomId);
		response.appendBool(true);
		session.send(response);
	}
}
