package mod_gate;

import org.openhabbo.rooms.instances.RoomMap;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameUtil;

import mod_switchstate.SwitchStateItem;

public class GateItem extends SwitchStateItem
{
	@Override
	public void onGenerateFloorMapTile(RoomMap map, RoomTile tile)
	{
		// Gate is closed/open?
		if(GameUtil.parseInt(this.state) == 0)
		{
			map.state[tile.x][tile.y] = RoomMap.CLOSED;
		}
		else
		{
			map.state[tile.x][tile.y] = RoomMap.OPEN;
		}
	}

	@Override
	public void onTrigger(Session session, int instruction)
	{
		// Only for users with room rights
		if(!session.getRoomUser().hasRoomRights)
		{
			return;
		}

		// Gates cannot operate when there is an avatar in the way
		RoomMap map = this.getRoom().getMap();
		for(RoomTile tile : map.getAffectedTiles(this))
		{
			if(map.avatars[tile.x][tile.y])
			{
				return;
			}
		}
		
		// Switch state (use mod_switchstate)
		super.onTrigger(session, instruction);
		
		// Generate floormap, new state is applied!
		this.getRoom().rebuildFloorMap();
	}
}
