package mod_messenger.msgs;

import mod_messenger.InstantMessenger;
import mod_messenger.InstantMessengerService;
import mod_messenger.MessengerBuddy;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class RemoveBuddyHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized messenger
		InstantMessenger messenger = session.get("messenger");
		if(messenger == null)
		{
			return;
		}

		// Determine amount of user IDs in the message
		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			// Read this user ID
			int userId = request.readInt();

			// If this user is really a buddy, then destroy the relations and update the messengers
			MessengerBuddy buddy = messenger.getBuddy(userId);
			if(buddy != null)
			{
				messenger.removeBuddy(buddy.userId);
				if(buddy.online())
				{
					buddy.messenger.removeBuddy(session.getUser().id);
				}
				InstantMessengerService.getInstance().deleteRelation(session.getUser().id, buddy.userId);
			}
		}
	}
}
