package mod_messenger.msgs;

import java.util.ArrayList;
import java.util.List;

import mod_messenger.InstantMessenger;
import mod_messenger.MessengerBuddy;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.SecurityUtil;

public class SendInstantInviteHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized messenger
		InstantMessenger messenger = session.get("messenger");
		if(messenger == null)
		{
			return;
		}

		// Get the buddies to invite + message string
		int count = request.readInt();
		List<MessengerBuddy> receivers = new ArrayList<MessengerBuddy>();
		for(int x = 0; x < count; x++)
		{
			int userId = request.readInt();
			MessengerBuddy buddy = messenger.getBuddy(userId);
			if(buddy != null)
			{
				receivers.add(buddy);
			}
		}
		String message = SecurityUtil.filterStr(request.readStr());

		// Send the message to the online buddies
		response.init(EMessengerMessage.RoomInvite);
		response.appendInt(session.getUser().id);
		response.appendStr(message);
		for(MessengerBuddy buddy : receivers)
		{
			if(buddy.online())
			{
				buddy.messenger.getSession().send(response);
			}
		}
	}
}
