package mod_moderation.chatcmds;

import mod_moderation.ModerationCenter;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameError;

public class RoomKickCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Kicks all users below your role from the room with a given message";
	}

	@Override
	public String getRequiredRight()
	{
		return "fuse_roomkick";
	}
	
	@Override
	public String[] getSyntax()
	{
		return new String[] { "message" };
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		// Issue roomkick
		ModerationCenter.getInstance().issueRoomKick(session.getUser().id, session.getRoomInstance().getInfo().id, args[0]);
	}
}
