package mod_roomevent;

import org.openhabbo.communication.requests.room.content.GetRoomContentDataHandler;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.rooms.instances.RoomInstance;
import org.openhabbo.sessions.Session;

@ModuleInfo
(
		name = "mod_roomevent",
		description = "Enables users to start/edit/stop 'room events', such as games, in their guestrooms. Also includes message handlers for listing ongoing room events in the game.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_roomevent/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_roomevent extends Module
{
	public mod_roomevent()
	{
		// Message handlers
		this.getAutoLoader().msgHandler(345, new CanCreateRoomEventHandler());
		this.getAutoLoader().msgHandler(346, new StartEventHandler());
		this.getAutoLoader().msgHandler(347, new StopEventHandler());
		this.getAutoLoader().msgHandler(348, new EditEventHandler());
		this.getAutoLoader().msgHandler(439, new GetEventsHandler());
		
		// Event listeners
		this.getAutoLoader().eventListener(Session.onLogout, new LogoutHook());
		this.getAutoLoader().eventListener(RoomInstance.onLoad, new RoomInstanceLoadHook());
		this.getAutoLoader().eventListener(GetRoomContentDataHandler.onSendRoomContent, new SendRoomContentHook());
	}
}
