package mod_roomvisits;

import java.util.List;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.Room;
import org.openhabbo.sessions.Session;

public class GetRecentRoomsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the recent rooms list for this user
		List<Room> rooms = mod_roomvisits.getRecentGuestRoomsForUser(session.getUser().id);

		// Serialize the rooms
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(0);
		response.appendInt(7);
		response.appendStr("");
		response.appendInt(rooms.size());
		for(Room room : rooms)
		{
			response.appendObject(room);
		}
		session.send(response);
	}
}
