package mod_subscription;

import java.util.List;

import org.openhabbo.events.EventListener;
import org.openhabbo.sessions.Session;

public class RebuildRightsListHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session)subject;
		
		List<UserSubscription> subscriptions = session.get("subscriptions");
		if(subscriptions != null)
		{
			for(UserSubscription subscription : subscriptions)
			{
				if(subscription.isValid())
				{
					if(subscription.type.specialRightsLevel > session.getUser().specialRightsLevel)
					{
						session.getUser().specialRightsLevel = subscription.type.specialRightsLevel;
					}
					session.getUser().rights.addAll(subscription.type.rights);
				}
			}
		}
		
		return true;
	}
}
