package mod_subscription;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.sessions.Session;

@ModuleInfo
(
		name = "mod_subscription",
		description = "Enables support for user subscriptions. User subscriptions can be purchased and extended and come with user rights, badges, items and other goodies",
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_subscription/",
		version = "1.0.0",
		dependencies = {}
)
public final class mod_subscription extends Module
{
	public mod_subscription()
	{
		this.getAutoLoader().eventListener(Session.onLogin, new LoginHook());
		this.getAutoLoader().eventListener(Session.onRebuildRightsList, new RebuildRightsListHook());

		this.getAutoLoader().chatCmd("reloadsubscriptions", new ReloadSubscriptionsCommandHandler());
		
		this.getAutoLoader().msgHandler(26, new GetSubscriptionDataHandler());
	}
	
	@Override
	protected boolean onLoad()
	{
		SubscriptionManager.getInstance().reload();
		return true;
	}
}
