package mod_tags;

import java.util.List;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;

public class GetUserTagsHandler implements RequestHandler
{
	private final static int UserTags = 350;

	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the user to get tags for
		int userId = request.readInt();
		RoomUser user = session.getRoomInstance().getUserByUserId(userId);

		// User exists?
		if(user != null)
		{
			// Get and send the tag list of this user
			List<String> tags = user.getSession().get("tags");
			if(tags != null)
			{
				response.init(GetUserTagsHandler.UserTags);
				response.appendInt(user.getInfo().id);
				response.appendInt(tags.size());
				for(String tag : tags)
				{
					response.appendStr(tag);
				}
				session.send(response);
			}
		}
	}
}
