package mod_triggereffect;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomAvatar;
import org.openhabbo.rooms.instances.RoomMap;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.util.GameUtil;

public final class TriggerEffectItem extends Item
{
	@Override
	public void onGenerateFloorMapTile(RoomMap map, RoomTile tile)
	{
		super.onGenerateFloorMapTile(map, tile);
		
		tile.state = (RoomTile.OPEN | RoomTile.ITEM);
		if(this.definition.sprite.contains("water"))
		{
			tile.state |= RoomTile.WATER;
		}
	}
	
	@Override
	public void onAvatarStepOn(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			RoomUser user = (RoomUser)avatar;
			int effectId = GameUtil.parseInt(this.definition.data);
			if(effectId > 0)
			{
				user.tmpEffectId = effectId;
			}
		}
	}
	
	@Override
	public void onAvatarStepOff(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			
		}
	}
}
