package mod_wardrobe;

import java.util.List;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class GetWardrobeHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get wardrobe contents
		List<WardrobeEntry> entries = mod_wardrobe.getWardrobeForUser(session.getUser().id);
		
		// Send wardrobe contents
		response.init(267);
		response.appendBool(true); // Enable
		response.appendInt(entries.size());
		for(WardrobeEntry entry : entries)
		{
			response.appendInt(entry.slot);
			response.appendStr(entry.figure);
			response.appendStr(entry.gender);
		}
		session.send(response);
	}
}
