package mod_helptool;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class InitHelpToolHandler implements RequestHandler
{

	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		HelpTool tool = HelpTool.getInstance();
		
		response.init(518);
		response.appendInt(tool.getImportantTopics().size());
		for(HelpTopic topic : tool.getImportantTopics())
		{
			response.appendInt(topic.id);
			response.appendStr(topic.title);
		}
		response.appendInt(tool.getKnownIssues().size());
		for(HelpTopic topic : tool.getKnownIssues())
		{
			response.appendInt(topic.id);
			response.appendStr(topic.title);
		}
		session.send(response);
	}
}
