package mod_pets;

import java.util.List;

import org.openhabbo.events.EventListener;
import org.openhabbo.rooms.instances.RoomInstance;

public class RoomInstanceLoadHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		RoomInstance instance = (RoomInstance)subject;
		
		if(instance.getInfo().isGuestRoom())
		{
			List<Pet> pets = mod_pets.getPetsForRoom(instance.getInfo().id);
			for(Pet pet : pets)
			{
				RoomPet avatar = new RoomPet(pet);
				avatar.x = pet.x;
				avatar.y = pet.y;
				avatar.z = pet.z;
				instance.spawnAvatar(avatar);
			}
		}
		
		return true;
	}
}
