package mod_pets.msgs;


import mod_pets.Pet;
import mod_pets.RoomPet;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class GetPetCommandsHandler implements RequestHandler
{
	public final static int COMMANDS = 64;
	
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the requested pet from room instance
		int petId = request.readInt();
		RoomPet avatar = (RoomPet) session.getRoomInstance().getAvatarByAvatarKey("p" + petId);
		if(avatar == null)
		{
			return;
		}

		// Extract pet info
		Pet pet = avatar.getInfo();

		// Send available commands
		response.init(605);
		response.appendInt(pet.id);
		response.appendInt(COMMANDS);
		for(int cmd = 0; cmd <= COMMANDS; cmd++)
		{
			response.appendInt(cmd);
		}
		for(int cmd = 0; cmd < pet.level; cmd++)
		{
			response.appendInt(cmd);
		}
		session.send(response);
	}
}
