package mod_wired;

import java.util.List;

import org.openhabbo.communication.ServerMessage;
import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;

public abstract class WiredCondition extends WiredItem
{
	public abstract boolean evaluate(RoomUser user);
	
	@Override
	public ServerMessage serializeDialog()
	{
		// Aggregrate lists
		List<Item> selected = this.getSelectedItems();
		
		// Serialize info
		ServerMessage msg = new ServerMessage(652);
		msg.appendBool(false); // Disable advanced selection options
		msg.appendInt(5);
		msg.appendInt(selected.size());
		for(Item item : selected)
		{
			msg.appendInt(item.id);
		}
		msg.appendInt(this.definition.displayId);
		msg.appendInt(this.id);
		msg.appendStr(this.getText());
		msg.appendInt(this.getParams().length);
		for(int param : this.getParams())
		{
			msg.appendInt(param);
		}
		msg.appendInt(this.getSelectionType());
		msg.appendInt(this.getInterface());

		return msg;
	}
}
