package mod_wired;

public abstract class WiredTimer extends WiredTrigger
{
	public final static int PARAM_PULSES = 0;
	
	private int elapsed;
	
	public final void resetTimer()
	{
		this.elapsed = 0;
		this.clearTimeout();
	}
	
	@Override
	protected void onTimeout()
	{
		this.execute(null);
	}
	
	@Override
	protected void onPulse()
	{
		if(this.isRunning())
		{
			this.elapsed++;
		}
	}
	
	public final boolean isRunning()
	{
		return this.hasTimeout();
	}
	
	public final int getElapsedTime()
	{
		return this.elapsed;
	}
}
