package mod_wired.actions;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.util.GameUtil;

import mod_wired.WiredAction;

public class WiredMoveRotateItemsAction extends WiredAction
{
	public final static int MOVE = 0;
	public final static int ROTATE = 1;
	public final static Byte[] ROTATIONS = new Byte[] { 0, 2, 4, 6 };
	
	@Override
	protected int getInterface()
	{
		return 4;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 2;
	}
	
	@Override
	public boolean requiresUser()
	{
		return false;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		int move = this.getParam(MOVE);
		int rotate = this.getParam(ROTATE);
		for(Item item : this.getSelectedItems())
		{
			// Determine new position
			int x = item.x, y = item.y;
			if(move == 1)
			{
				// Move on X or Y?
				if(GameUtil.getRandomInt(0, 1) == 0)
				{
					x += GameUtil.getRandomDelta(-1, 1);
				}
				else
				{
					y += GameUtil.getRandomDelta(-1, 1);
				}
			}
			else if(move == 2)
			{
				
			}
			
			// Determine new rotation
			byte rotation = item.rotation;
			if(rotate == 1)
			{
				rotation += 2;
			}
			else if(rotate == 2)
			{
				rotation -= 2;
			}
			else if(rotate == 3)
			{
				rotation = GameUtil.getRandomElement(ROTATIONS);
			}
			
			// Validate new rotation
			if(rotation > 6)
			{
				rotation = 0;
			}
			else if(rotation < 0)
			{
				rotation = 6;
			}
			
			// Issue the move
			this.getRoom().moveFloorItem(item, x, y, rotation, null);
		}
	}
}
