package mod_wired.actions;

import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;

import mod_wired.WiredAction;

public class WiredShowMsgAction extends WiredAction
{	
	@Override
	public void execute(RoomUser user)
	{
		String msg = this.getSetting("msg");
		if(msg != null && !msg.isEmpty())
		{
			user.getSession().sendWhisperNotif(msg);
		}
	}
	
	@Override
	public void onToggle(RoomUser user, int operation)
	{
		// Require room rights
		if(!user.hasRoomRights)
		{
			return;
		}
        
		// Send info
		ServerMessage msg = new ServerMessage(651);
        msg.appendInt(0);
        msg.appendInt(0);
        msg.appendInt(0);
        msg.appendInt(this.definition.spriteId);
        msg.appendInt(this.id);
        msg.appendStr((String)this.getSetting("msg"));
        msg.appendInt(0);
        msg.appendInt(0);
        msg.appendInt(7);
        msg.appendInt(0);
        msg.appendInt(0);
        user.getSession().send(msg);
	}
}
