package mod_wired.actions;

import java.util.List;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.util.GameUtil;

import mod_wired.WiredAction;

public class WiredTeleportToItemAction extends WiredAction
{
	@Override
	protected int getInterface()
	{
		return 0;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		// Get the item
		Item target = this.getRandomSelectedItem();
		if(target != null)
		{
			// Warp the user
			this.getRoom().updateAvatarPosition(user, target.x, target.y, false);
		}
	}
	
	private Item getRandomSelectedItem()
	{
		List<Item> selected = this.getSelectedItems();
		if(selected.isEmpty())
		{
			return null;
		}
		else if(selected.size() == 1)
		{
			return selected.get(0);
		}
		else
		{
			return GameUtil.getRandomElement(selected);
		}
	}
}
