package mod_wired.conditions;

import java.util.List;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.rooms.instances.RoomUser;

import mod_wired.WiredCondition;

public class WiredItemHasItemOnTopCondition extends WiredCondition
{
	private final static int PARAM_REQUIREALL = 0;
	
	@Override
	protected int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 1;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Check items
		List<Item> selected = this.getSelectedItems();
		int count = 0;
		for(Item item : selected)
		{
			// Check all tiles of the selected item
			for(RoomTile tile : this.getRoom().getMap().getAffectedTiles(item))
			{
				// Top item of the tile is higher than the selected item?
				if(tile.topItem.z > item.z)
				{
					count++;
					break; // This item is okay, check the next item!
				}
			}
		}
		
		// Selected item hasn't got items on top
		if(this.getParam(PARAM_REQUIREALL) == 0)
		{
			// Atleast one is needed
			return count > 0;
		}
		else
		{
			// All items need to have items on 'em!
			return (count == selected.size());
		}
	}
}
