package mod_wired.conditions;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.rooms.instances.RoomUser;

import mod_wired.WiredCondition;

public class WiredItemHasItemOnTopCondition extends WiredCondition
{
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Get selected item
		Item selected = this.getSelectedItem();
		if(selected != null)
		{
			// Check all tiles of the selected item
			for(RoomTile tile : this.getRoom().getMap().getAffectedTiles(selected))
			{
				// Top item of this tile is different than the selected item?
				if(tile.topItem != selected)
				{
					return true;
				}
			}
		}
		
		// Selected item hasn't got items on top
		return false;
	}
}
