package mod_wired.conditions;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;

import mod_wired.WiredCondition;
import mod_wired.triggers.WiredTimerTrigger;

public class WiredTimerElapsedLessThanCondition extends WiredCondition
{
	public final static int PARAM_TIME = 0;
	
	@Override
	protected int getInterface()
	{
		return 4;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 1;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Find one timer that matches the criteria (since they all have the same reset time)
		for(Item item : this.getStackedItems())
		{
			if(item instanceof WiredTimerTrigger)
			{
				WiredTimerTrigger timer = (WiredTimerTrigger)item;
				if(timer.getElapsedTime() < this.getParam(PARAM_TIME))
				{
					return true;
				}
			}
		}
		
		// Not time yet!
		return false;
	}
}
