package mod_wired.conditions;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.rooms.instances.RoomUser;

import mod_wired.WiredCondition;

public class WiredTriggeringUserOnItemCondition extends WiredCondition
{
	@Override
	protected int getInterface()
	{
		return 8;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Check the selected items
		for(Item item : this.getSelectedItems())
		{
			// Check all the tiles of this item
			for(RoomTile tile : item.getTiles())
			{
				// Is the triggering user here?
				if(user.at(tile))
				{
					return true;
				}
			}
		}
		
		// The triggering user was NOT on one of the the selected items
		return false;
	}
}
