package mod_wired.conditions;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.rooms.instances.RoomUser;

import mod_wired.WiredCondition;

public class WiredTriggeringUserOnItemCondition extends WiredCondition
{
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Get the selected item
		Item selected = this.getSelectedItem();
		if(selected != null)
		{
			// Check all the tiles of this item
			for(RoomTile tile : selected.getTiles())
			{
				// Is the triggering user here?
				if(user.at(tile))
				{
					return true;
				}
			}
		}
		
		// The triggering user was NOT on the selected item
		return false;
	}
}
