package mod_wired.msgs;

import mod_wired.actions.WiredRestoreItemsToSnapshotsAction;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class UpdateSnapshotsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User in room + has rights?
		if(!(session.inRoom() && session.getRoomUser().hasRoomRights))
		{
			return;
		}
		
		// Get the item
		WiredRestoreItemsToSnapshotsAction item = (WiredRestoreItemsToSnapshotsAction) session.getRoomInstance().getItem(request.readInt());
		if(item != null)
		{
			// Update the snapshots of the selected items
			item.updateSnapshots();
		}
	}
}
