package mod_wired.triggers;

import mod_wired.WiredTimer;

public class WiredRepeatTrigger extends WiredTimer
{
	@Override
	protected int getInterface()
	{
		return 6;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 1;
	}
	
	@Override
	protected boolean suppliesUser()
	{
		return false;
	}
	
	@Override
	public boolean requiresPulse()
	{
		return true;
	}
	
	@Override
	protected void onPulse()
	{
		super.onPulse();
		
		// Not running (anymore)?
		if(!this.isRunning())
		{
			// Repeat! Start counting down again
			int pulses = this.getParam(PARAM_PULSES);
			if(pulses > 0)
			{
				this.setTimeout(pulses);
			}
		}
	}
}
