package com.fjordev.eventgraph.actor

import akka.actor.{Actor, ActorLogging, ActorRef}

import com.fjordev.eventgraph.util.{FacebookAPI, EventFetching}

import EventFetcher._

class EventFetcher(db: ActorRef) extends Actor with ActorLogging with EventFetching
{
  val apiClient = FacebookAPI.get()

  log.info("Ready to fetch events & forward them to database! (key={}xxx)", apiClient.getOAuthAccessToken.getToken.substring(0, 32))

  def receive =
  {
    case FetchEvent(id) =>
    {
      log.info("fetching #{}", id)

      fetchEvent(id, apiClient) foreach (e => db ! EventDatabase.UpdateEvent(e))
    }
  }
}

object EventFetcher
{
  case class FetchEvent(id: Long)
}
