package com.fjordev.eventgraph.model

import org.joda.time.DateTime

import facebook4j.internal.org.json.{JSONArray, JSONObject}

object EventFQL
{
  private implicit def str2DateTime(s: String) = if (s != null) DateTime.parse(s) else null

  def createEventFQL(eventId: Long) = "SELECT eid,name,description,start_time,end_time,location,venue FROM event WHERE eid=" + eventId

  def parseEventResult(data: JSONObject) =
  {
    val vd = data.optJSONObject("venue")

    Event(data.getLong("eid"),
      data.getString("name"),
      data.getString("description"),
      data.getString("start_time"),
      data.getString("end_time"),
      data.getString("location"),
      if (vd == null) null
      else Venue(
        vd.optLong("id"),
        vd.optString("country"),
        vd.optString("state"),
        vd.optString("city"),
        vd.optString("street"),
        vd.optString("zip"),
        vd.optDouble("latitude"),
        vd.optDouble("longitude")))
  }

  def createAttendingFQL(eventId: Long) = "SELECT uid,first_name,last_name,sex FROM user WHERE uid IN(SELECT uid FROM event_member WHERE eid=" + eventId + " AND rsvp_status='attending' LIMIT 999999) LIMIT 999999"

  def parseAttendingResults(data: JSONArray) =
  {
    for (i <- (0 until data.length).toStream; u = data.getJSONObject(i))
    yield AttendingUser(
      u.getString("uid").toLong,
      u.getString("first_name"),
      u.getString("last_name"),
      Gender.parse(u.getString("sex")))
  }
}
