package com.fjordev.popbird.internal

import twitter4j.Twitter

private[popbird] object Twitter4JUtil
{
  // TwitterBaseImpl#http (of type HttpClientBase)
  val TwitterBaseImpl = Class.forName("twitter4j.TwitterBaseImpl")
  val TwitterBaseImpl_http = TwitterBaseImpl.getDeclaredField("http")

  // HttpClientBase#requestHeaders (of type java.util.Map[String, String])
  val HttpClientBase = Class.forName("twitter4j.HttpClientBase");
  val HttpClientBase_requestHeaders = HttpClientBase.getDeclaredField("requestHeaders")

  // They are 'private', make them accessible
  TwitterBaseImpl_http.setAccessible(true)
  HttpClientBase_requestHeaders.setAccessible(true)

  def neuterHttpHeaders(twitter: Twitter)
  {
    // Dig to the request header map, deep inside the instance
    val httpClient = TwitterBaseImpl_http.get(twitter)
    val requestHeaders = HttpClientBase_requestHeaders.get(httpClient).asInstanceOf[java.util.HashMap[String, String]]

    // Remove the relevant headers
    requestHeaders.remove("X-Twitter-Client-Version")
    requestHeaders.remove("X-Twitter-Client-URL")
    requestHeaders.remove("X-Twitter-Client")
    requestHeaders.remove("User-Agent")
  }

  def silenceLoggers()
  {
    System.setProperty("twitter4j.loggerFactory", "twitter4j.internal.logging.NullLoggerFactory");
  }
}
