package net.nillus.habbo.communication.messages.outgoing.inventory.badges;

import java.util.List;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.users.badges.Badge;

public class BadgesMessageComposer
{
	public final static ServerMessage compose(List<Badge> all, List<Badge> equipped)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Badges);
		msg.appendInt(all.size());
		for(Badge badge : all)
		{
			msg.appendBool(badge.isEquipped());
			msg.appendStr(badge.code);
		}
		msg.appendInt(equipped.size());
		for(Badge badge : equipped)
		{
			msg.appendInt(badge.slot);
			msg.appendStr(badge.code);
		}
		
		return msg;
	}
}
