package net.nillus.habbo.communication.messages.outgoing.navigator;

import java.util.List;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.Room;

public class GuestRoomSearchResultMessageComposer
{
	public final static ServerMessage compose(int type, int categoryId, String criteria, List<Room> rooms)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.GuestRoomResult);
		msg.appendInt(categoryId);
		msg.appendInt(type);
		msg.appendStr(criteria);
		for(Room room : rooms)
		{
			GuestRoomSearchResultMessageComposer.serializeGuestRoom(room, msg);
		}
		
		return msg;
	}
	
	public final static void serializeGuestRoom(Room room, ServerMessage msg)
	{
		msg.appendInt(room.id);
		msg.appendBool(false); // Has event?
		msg.appendStr(room.name);
		msg.appendStr(room.ownerName);
		msg.appendInt(room.state);
		msg.appendInt(room.usersNow);
		msg.appendInt(room.usersMax);
		msg.appendStr(room.description);
		msg.appendBool(true); // ??
		msg.appendBool(true); // Trading allowed
		msg.appendInt(room.rating);
		msg.appendInt(room.categoryId);
		msg.appendStr("");
		msg.appendStrList(room.tags);
		msg.append(room.icon);
		msg.appendBool(true);
		msg.appendBool(true);
	}
}
