package net.nillus.habbo.communication.messages.outgoing.room.engine;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.game.rooms.instances.RoomAvatar;
import net.nillus.habbo.game.rooms.instances.RoomTile;

public class SlideObjectBundleMessageComposer
{
	public final static ServerMessage compose(Item item, RoomTile from, float fromZ, int rollerId)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.SlideObjectBundle);
		msg.appendInt(from.x);
		msg.appendInt(from.y);
		msg.appendInt(item.x);
		msg.appendInt(item.y);
		msg.appendInt(1);
		msg.appendInt(item.id);
		msg.appendStr(fromZ);
		msg.appendStr(item.z);
		msg.appendInt(rollerId);
		
		return msg;
	}
	
	public final static ServerMessage compose(RoomAvatar avatar, RoomTile from, float fromZ, int rollerId)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.SlideObjectBundle);
		msg.appendInt(from.x);
		msg.appendInt(from.y);
		msg.appendInt(avatar.tile.x);
		msg.appendInt(avatar.tile.y);
		msg.appendInt(0);
		msg.appendInt(rollerId);
		msg.appendInt(2);
		msg.appendInt(avatar.avatarId);
		msg.appendStr(fromZ);
		msg.appendStr(avatar.tile.height);
		
		return msg;
	}
}
