package net.nillus.habbo.communication.messages.incoming.avatar;

import java.util.List;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.users.UserManager;
import net.nillus.habbo.game.users.WardrobeOutfit;
import net.nillus.habbo.sessions.Session;

public class GetWardrobeHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get wardrobe contents
		List<WardrobeOutfit> outfits = UserManager.getInstance().getWardrobeForUser(session.getUser().id);
		
		// Send wardrobe contents
		response.init(EServerMessage.UserWardrobe);;
		response.appendBool(true); // Enable
		response.appendInt(outfits.size());
		for(WardrobeOutfit entry : outfits)
		{
			response.appendInt(entry.slot);
			response.appendStr(entry.figure);
			response.appendStr(entry.gender);
		}
		session.send(response);
	}
}
