package net.nillus.habbo.communication.messages.incoming.navigator;

import java.util.List;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.Room;
import net.nillus.habbo.game.rooms.RoomManager;
import net.nillus.habbo.sessions.Session;

public class GetFavoriteRoomsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get list with favorite room IDs
		List<Integer> favorites = session.get("favorites");

		// Send room data of all rooms
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(0);
		response.appendInt(6);
		response.appendStr("");
		response.appendInt(favorites.size());
		for(int roomId : favorites)
		{
			Room room = RoomManager.getInstance().getRoomInfo(roomId);
			if(room != null)
			{
				response.appendObject(room);
			}
		}
		session.send(response);
	}
}
