package net.nillus.habbo.communication.messages.incoming.pets;

import mod_pets.PetUtil;
import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.sessions.Session;


public class CheckPetNameHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read proposed pet name
		String name = request.readStr();

		// Run checks
		int errorCode = 0;
		if(!PetUtil.validatePetName(name))
		{
			errorCode = 2;
		}

		// Send check result
		response.init(36);
		response.appendInt(errorCode);
		session.send(response);
	}
}
