package net.nillus.habbo.communication.messages.incoming.pets;


import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.pets.Pet;
import net.nillus.habbo.game.items.pets.PetInventory;
import net.nillus.habbo.sessions.Session;

public class GetPetsInventoryHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get pet inventory
		PetInventory inventory = session.getPetInventory();
		
		// Serialize the info about the pets
		response.init(600);
		response.appendInt(inventory.getPets().size());
		for(Pet pet : inventory.getPets())
		{
			response.appendObject(pet);
		}
		session.send(response);
	}
}
