package net.nillus.habbo.communication.messages.incoming.room.engine;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.game.items.impl.PostItItem;
import net.nillus.habbo.sessions.Session;

public class PlacePostItHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Allowed to place items in this room?
		if(!session.getRoomUser().hasRoomRights)
		{
			return;
		}

		// Read info
		int itemId = request.readInt();
		String position = request.readStr();
		
		// Validate item from inventory
		Item item = session.getItemInventory().getItem(itemId);
		if(item == null || !(item instanceof PostItItem))
		{
			return;
		}

		// Issue placement
		if(session.getRoomInstance().placeWallItem(item, position, session))
		{
			session.getItemInventory().removeItem(item.id);
		}
	}
}
