package net.nillus.habbo.communication.messages.incoming.room.items;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.sessions.Session;

public class RedeemExchangeItemHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// In room?
		if(!session.inRoom())
		{
			return;
		}
		
		// Trigger instructions
		int itemId = request.readInt();
		int instruction = request.remaining() > 0 ? request.readInt() : 0;

		// Get the item
		Item item = session.getRoomInstance().getItem(itemId);
		if(item != null)
		{
			item.toggle(session.getRoomUser(), instruction);
		}
	}
}
