package habbod.game.chatcommands.admin;

import habbod.ServerInstance;
import habbod.game.catalog.VoucherManager;
import habbod.game.chatcommands.ChatCommandHandler;
import habbod.game.util.GameError;
import habbod.game.util.GameUtil;
import habbod.sessions.Session;

public class CreateVoucherCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		// Determine amount of credits + code
		int credits = GameUtil.parseInt(args[0]);
		VoucherManager mgr = ServerInstance.get().getGameMgr().getVoucherMgr();
		String code = args[1].isEmpty() ? mgr.generateRandomCode() : args[1];
		
		// Create voucher?
		if(credits > 0)
		{
			// Insert in voucher database
			mgr.createVoucher(code, "credits", Integer.toString(credits));
		
			// Yay!
			session.sendNotif(String.format("A voucher with code '%s' has been created. Its value is %d credits.", code, credits));
		}
		else
		{
			throw new GameError("invalid credit value specified");
		}
	}
}
