package habbod.game.chatcommands.core;

import habbod.game.chatcommands.ChatCommandHandler;
import habbod.game.util.ChatUtil;
import habbod.game.util.GameError;
import habbod.sessions.Session;


public class HelpCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		// Build the response
		StringBuilder notif = new StringBuilder();
		notif.append("The following chatcommands are available for you:");
		notif.append("\r\r");
		for(ChatCommandHandler cmd : ChatUtil.getAvailableChatCommands(session.getUser().rights))
		{
			notif.append(ChatCommandHandler.COMMAND_HEAD);
			notif.append(cmd.getCommand());
			notif.append("\t\t");
			notif.append(cmd.getDescription());
			notif.append("\r\r");
		}
		notif.append("End of command list.");
		session.sendSystemNotif(notif.toString());
	}
}
