package net.nillus.habbo.game.chatcommands.core;

import net.nillus.habbo.game.chatcommands.ChatCommandHandler;
import net.nillus.habbo.game.items.ItemManager;
import net.nillus.habbo.game.util.GameError;
import net.nillus.habbo.sessions.Session;

public class ReloadItemDefinitionsCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Reloads all item definitions";
	}

	@Override
	public String getRequiredRight()
	{
		return "reload_server";
	}
	
	@Override
	public String[] getSyntax()
	{
		return null;
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		ItemManager.getInstance().reloadDefinitions();
		session.sendNotif(String.format("Reloaded %d item definitions.", ItemManager.getInstance().getAllDefinitions().size()));
	}
}
