package net.nillus.habbo.game.chatcommands.core;

import net.nillus.habbo.game.chatcommands.ChatCommandHandler;
import net.nillus.habbo.game.rooms.RoomManager;
import net.nillus.habbo.game.util.GameError;
import net.nillus.habbo.sessions.Session;

public class ReloadRoomModelsCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Reloads all room models";
	}

	@Override
	public String getRequiredRight()
	{
		return "reload_server";
	}
	
	@Override
	public String[] getSyntax()
	{
		return null;
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		RoomManager.getInstance().reloadModels();
		session.sendNotif(String.format("Reloaded %d room models.", RoomManager.getInstance().getAllRoomModels().size()));
	}
}
