package habbod.communication.messages.outgoing.friendslist;

import habbod.communication.EServerMessage;
import habbod.communication.ServerMessage;
import habbod.game.messenger.MessengerBuddy;

import java.util.List;


public class UserSearchResultMessageComposer
{
	public final static ServerMessage compose(List<MessengerBuddy> buddies, List<MessengerBuddy> nonBuddies)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.HabboSearchResult);
		msg.appendInt(buddies.size());
		for(MessengerBuddy user : buddies)
		{
			serializeBuddy(user, msg);
		}
		msg.appendInt(nonBuddies.size());
		for(MessengerBuddy user : nonBuddies)
		{
			serializeBuddy(user, msg);
		}
		
		return msg;
	}
	
	private static void serializeBuddy(MessengerBuddy buddy, ServerMessage msg)
	{
		msg.appendInt(buddy.userId);
		msg.appendStr(buddy.username);
		msg.appendStr(buddy.motto);
		msg.appendBool(buddy.online());
		msg.appendBool(buddy.inRoom());
		msg.appendStr("");
		msg.appendBool(false);
		msg.appendStr(buddy.figure);
		msg.appendStr(buddy.getLastOnlineTime());
		msg.appendStr("");
	}
}
