package habbod.communication.messages.outgoing.moderation;

import habbod.communication.ServerMessage;
import habbod.game.moderation.ModerationTicket;

public class ModerationTicketMessageComposer
{
	public final static ServerMessage compose(ModerationTicket ticket)
	{
		ServerMessage msg = ServerMessage.create(530);
		msg.appendInt(ticket.id);
		if(ticket.status == ModerationTicket.STATUS_OPEN)
		{
			msg.appendInt(1); // "Open tickets"
		}
		else if(ticket.status == ModerationTicket.STATUS_PICKED)
		{
			msg.appendInt(2); // "Picked tickets"
		}
		else
		{
			msg.appendInt(0); // "Resolved tickets"
		}
		msg.appendInt(11); // Per page (?)
		msg.appendInt(ticket.type);
		msg.appendInt(11); // Per page (?)
		msg.appendInt(ticket.priority);
		msg.appendInt(ticket.userId);
		msg.appendStr(ticket.userUsername);
		msg.appendInt(ticket.reportedUserId);
		msg.appendStr(ticket.reportedUsername);
		msg.appendInt(ticket.pickerId);
		msg.appendStr(ticket.pickerUsername);
		msg.appendStr(ticket.message);
		msg.appendInt(ticket.roomId);
		msg.appendStr(ticket.roomName);
		
		return msg;
	}
}
