package habbod.communication;

import habbod.communication.messages.incoming.avatar.UpdateMottoHandler;
import habbod.communication.messages.incoming.avatar.UpdateOutfitHandler;
import habbod.communication.messages.incoming.catalog.GetCatalogIndexHandler;
import habbod.communication.messages.incoming.catalog.GetCatalogPageHandler;
import habbod.communication.messages.incoming.catalog.GetSpecialCataPages2Handler;
import habbod.communication.messages.incoming.catalog.GetSpecialCataPagesHandler;
import habbod.communication.messages.incoming.catalog.PurchaseFromCatalogHandler;
import habbod.communication.messages.incoming.handshake.GetSessionParametersHandler;
import habbod.communication.messages.incoming.handshake.GetUserInfoHandler;
import habbod.communication.messages.incoming.handshake.HeartbeatHandler;
import habbod.communication.messages.incoming.handshake.SSOTicketHandler;
import habbod.communication.messages.incoming.inventory.achievements.GetAchievementsHandler;
import habbod.communication.messages.incoming.inventory.items.GetInventoryItemsHandler;
import habbod.communication.messages.incoming.inventory.purse.GetBalanceInfoHandler;
import habbod.communication.messages.incoming.navigator.CanCreateRoomHandler;
import habbod.communication.messages.incoming.navigator.CreateGuestRoomHandler;
import habbod.communication.messages.incoming.navigator.GetGuestRoomHandler;
import habbod.communication.messages.incoming.navigator.GetHomeRoomHandler;
import habbod.communication.messages.incoming.navigator.GetNavigatorFrontpageHandler;
import habbod.communication.messages.incoming.navigator.GetOwnRoomsHandler;
import habbod.communication.messages.incoming.navigator.GetPopularRoomTagsHandler;
import habbod.communication.messages.incoming.navigator.GetPopularRoomsHandler;
import habbod.communication.messages.incoming.navigator.GetPublicRoomFilesHandler;
import habbod.communication.messages.incoming.navigator.GetTopRatedRoomsHandler;
import habbod.communication.messages.incoming.navigator.GetUserFlatCatsHandler;
import habbod.communication.messages.incoming.navigator.GuestRoomSearchHandler;
import habbod.communication.messages.incoming.navigator.PerformRoomSearchByTagsHandler;
import habbod.communication.messages.incoming.navigator.SetHomeRoomHandler;
import habbod.communication.messages.incoming.navigator.TakeAllRightsHandler;
import habbod.communication.messages.incoming.room.action.AssignRightsHandler;
import habbod.communication.messages.incoming.room.action.BanUserHandler;
import habbod.communication.messages.incoming.room.action.KickBotHandler;
import habbod.communication.messages.incoming.room.action.KickUserHandler;
import habbod.communication.messages.incoming.room.action.LetUserInHandler;
import habbod.communication.messages.incoming.room.action.RemoveRightsHandler;
import habbod.communication.messages.incoming.room.avatar.DanceHandler;
import habbod.communication.messages.incoming.room.avatar.LookToHandler;
import habbod.communication.messages.incoming.room.avatar.MoveHandler;
import habbod.communication.messages.incoming.room.avatar.WaveHandler;
import habbod.communication.messages.incoming.room.chat.ChatHandler;
import habbod.communication.messages.incoming.room.chat.ShoutHandler;
import habbod.communication.messages.incoming.room.chat.StartTypingHandler;
import habbod.communication.messages.incoming.room.chat.StopTypingHandler;
import habbod.communication.messages.incoming.room.chat.WhisperHandler;
import habbod.communication.messages.incoming.room.engine.GetHeightMapHandler;
import habbod.communication.messages.incoming.room.engine.GetRoomContentDataHandler;
import habbod.communication.messages.incoming.room.engine.MoveFloorItemHandler;
import habbod.communication.messages.incoming.room.engine.MoveWallItemHandler;
import habbod.communication.messages.incoming.room.engine.PickupItemHandler;
import habbod.communication.messages.incoming.room.engine.PlaceItemHandler;
import habbod.communication.messages.incoming.room.engine.UseObjectHandler;
import habbod.communication.messages.incoming.room.session.GoToGuestRoomHandler;
import habbod.communication.messages.incoming.room.session.LeaveRoomHandler;
import habbod.communication.messages.incoming.room.session.OpenGuestRoomHandler;
import habbod.communication.messages.incoming.room.session.OpenPublicRoomHandler;
import habbod.communication.messages.incoming.roomsettings.DeleteRoomHandler;
import habbod.communication.messages.incoming.roomsettings.GetRoomSettingsHandler;
import habbod.communication.messages.incoming.roomsettings.SaveRoomSettingsHandler;
import habbod.communication.messages.incoming.roomsettings.UpdateRoomIconHandler;
import habbod.communication.messages.incoming.users.IgnoreUserHandler;
import habbod.communication.messages.incoming.users.RespectUserHandler;
import habbod.communication.messages.incoming.users.UnignoreUserHandler;
import habbod.core.Registry;

public final class ClientRequestRegistry
{
	private final static Registry<Integer, RequestHandler> registry = new Registry<Integer, RequestHandler>();

	public final static Registry<Integer, RequestHandler> get()
	{
		return registry;
	}

	static
	{
		// Stock msg handlers
		registry.register(206, new GetSessionParametersHandler());
		registry.register(415, new SSOTicketHandler());
		registry.register(7, new GetUserInfoHandler());
		registry.register(8, new GetBalanceInfoHandler());
		registry.register(44, new UpdateOutfitHandler());
		registry.register(484, new UpdateMottoHandler());
		registry.register(404, new GetInventoryItemsHandler());
		registry.register(391, new OpenGuestRoomHandler());
		registry.register(388, new GetPublicRoomFilesHandler());
		registry.register(2, new OpenPublicRoomHandler());
		registry.register(53, new LeaveRoomHandler());
		registry.register(151, new GetUserFlatCatsHandler());
		registry.register(233, new GetHomeRoomHandler());
		registry.register(380, new GetNavigatorFrontpageHandler());
		registry.register(385, new GetGuestRoomHandler());
		registry.register(430, new GetPopularRoomsHandler());
		registry.register(431, new GetTopRatedRoomsHandler());
		registry.register(434, new GetOwnRoomsHandler());
		registry.register(382, new GetPopularRoomTagsHandler());
		registry.register(437, new GuestRoomSearchHandler());
		registry.register(438, new PerformRoomSearchByTagsHandler());
		//registry.register(215, new GetCampaignItemsHandler());
		registry.register(390, new GetHeightMapHandler());
		registry.register(126, new GetRoomContentDataHandler());
		registry.register(52, new ChatHandler());
		registry.register(55, new ShoutHandler());
		registry.register(56, new WhisperHandler());
		registry.register(75, new MoveHandler());
		registry.register(387, new CanCreateRoomHandler());
		registry.register(29, new CreateGuestRoomHandler());
		registry.register(400, new GetRoomSettingsHandler());
		registry.register(386, new UpdateRoomIconHandler());
		registry.register(401, new SaveRoomSettingsHandler());
		registry.register(96, new AssignRightsHandler());
		registry.register(97, new RemoveRightsHandler());
		registry.register(155, new TakeAllRightsHandler());
		registry.register(95, new KickUserHandler());
		registry.register(320, new BanUserHandler());
		registry.register(384, new SetHomeRoomHandler());
		registry.register(23, new DeleteRoomHandler());
		registry.register(79, new LookToHandler());
		registry.register(317, new StartTypingHandler());
		registry.register(318, new StopTypingHandler());
		registry.register(319, new IgnoreUserHandler());
		registry.register(322, new UnignoreUserHandler());
		registry.register(94, new WaveHandler());
		registry.register(93, new DanceHandler());
		registry.register(98, new LetUserInHandler());
		registry.register(59, new GoToGuestRoomHandler());
		registry.register(67, new PickupItemHandler());
		registry.register(73, new MoveFloorItemHandler());
		registry.register(90, new PlaceItemHandler());
		registry.register(91, new MoveWallItemHandler());
		registry.register(392, new UseObjectHandler()); // Generic trigger item
		registry.register(393, new UseObjectHandler()); // Generic trigger item
		registry.register(371, new RespectUserHandler());
		registry.register(314, new UseObjectHandler()); // Love Shuffler
		registry.register(441, new KickBotHandler());
		registry.register(315, new HeartbeatHandler());
		registry.register(101, new GetCatalogIndexHandler());
		registry.register(102, new GetCatalogPageHandler());
		registry.register(100, new PurchaseFromCatalogHandler());
		registry.register(3011, new GetSpecialCataPagesHandler());
		registry.register(473, new GetSpecialCataPages2Handler());
		registry.register(370, new GetAchievementsHandler());
	}
}
