package habbod.core;

import habbod.ServerInstance;
import habbod.storage.DatabaseResult;
import habbod.storage.SQLHelper;

import java.util.HashMap;
import java.util.Map;


public class LocalizationManager
{
	private Map<String, String> localization;
	
	public LocalizationManager(String locale)
	{
		this.localization = new HashMap<String, String>();
		
		DatabaseResult result = ServerInstance.get().getDb().query("SELECT `key`,`value` FROM system_locale WHERE locale = '" + SQLHelper.escape(locale) + "'");
		while(result.row())
		{
			this.localization.put(result.getString("key"), result.getString("value"));
		}
		result.release();
	}
	
	public String localize(String key, Object... args)
	{
		String value = this.localization.get(key);
		if(value != null)
		{
			return String.format(value, args);
		}
		else
		{
			return key;
		}
	}
}
