package net.nillus.habbo.communication.messages.incoming.inventory.avatareffect;

import mod_effects.EEffectMessage;
import mod_effects.EffectInventory;
import mod_effects.UserEffect;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class EnableEffectHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get effect inventory
		EffectInventory effects = session.get("effects");
		if(effects == null)
		{
			return;
		}

		// Get effect from inventory
		int effectId = request.readInt();
		UserEffect effect = effects.getEffect(effectId);

		// Not enabled yet?
		if(effect != null && !effect.enabled)
		{
			// Update the data object
			effect.enable();

			// Notify the user
			response.init(EEffectMessage.AvatarEffectEnabled);
			response.appendInt(effect.effectId);
			session.send(response);
		}
	}
}
