package net.nillus.habbo.communication.messages.incoming.navigator;

import java.util.List;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.rooms.Room;
import net.nillus.habbo.rooms.RoomManager;
import net.nillus.habbo.sessions.Session;

public class GetOwnRoomsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get this user's own room list
		List<Room> rooms = RoomManager.getInstance().getRoomsForUser(session.getUser().id);

		// Serialize the rooms
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(0);
		response.appendInt(5);
		response.appendStr("");
		response.appendInt(rooms.size());
		for(Room room : rooms)
		{
			response.appendObject(room);
		}
		session.send(response);
	}
}
