package net.nillus.habbo.communication.messages.incoming.navigator;

import java.util.List;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.rooms.Room;
import net.nillus.habbo.rooms.RoomCategory;
import net.nillus.habbo.rooms.RoomNavigator;
import net.nillus.habbo.sessions.Session;

public class GetPopularRoomsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the requested category from the navigator
		int categoryId = request.readParseFixedInt();
		List<Room> rooms;
		if(categoryId == -1)
		{
			rooms = RoomNavigator.getInstance().getBusiestGuestRooms();
		}
		else
		{
			RoomCategory category = RoomNavigator.getInstance().getCategory(categoryId);
			if(category == null)
			{
				return;
			}
			else
			{
				rooms = category.rooms;
			}
		}

		// Serialize the rooms
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(categoryId);
		response.appendInt(1);
		response.appendStr("");
		response.appendInt(rooms.size());
		for(Room room : rooms)
		{
			response.appendObject(room);
		}
		session.send(response);
	}
}
