package net.nillus.habbo.communication.messages.incoming.navigator;

import java.util.List;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.rooms.Room;
import net.nillus.habbo.rooms.RoomNavigator;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.util.SecurityUtil;

public class PerformRoomSearchByTagsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read and trim the tag to search for
		String tag = SecurityUtil.filterStr(request.readStr().split(" ")[0]);

		// Actually a tag given?
		if(tag.length() > 0)
		{
			// Get search result
			List<Room> rooms = RoomNavigator.getInstance().getGuestRoomSearchResult(tag, true);

			// Serialize the result
			response.init(EServerMessage.GuestRoomSearchResult);
			response.appendInt(1);
			response.appendInt(9);
			response.appendStr(tag);
			response.appendInt(rooms.size());
			for(Room room : rooms)
			{
				response.appendObject(room);
			}
			session.send(response);
		}
	}
}
