package net.nillus.habbo.communication.messages.incoming.navigator;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.rooms.Room;
import net.nillus.habbo.rooms.RoomManager;
import net.nillus.habbo.sessions.Session;

public class SetHomeRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get room info
		int roomId = request.readInt();
		Room room = (roomId != 0) ? RoomManager.getInstance().getRoomInfo(roomId) : null;

		// Users can only set their own rooms as homeroom, or no homeroom (id=0)
		if(roomId == 0 || room.ownerId == session.getUser().id)
		{
			session.getUser().homeRoomId = roomId;

			response.init(EServerMessage.HomeRoom);
			response.appendInt(roomId);
			session.send(response);
		}
	}
}
