package net.nillus.habbo.communication.messages.incoming.room.action;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.sessions.SessionManager;

public class LetUserInHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User allowed to answer doorbells?
		if(session.inRoom() && session.getRoomUser().hasRoomRights)
		{
			// Determine user to allow/deny
			String username = request.readStr();
			boolean allowEnter = request.readFixedBool();
			
			// Issue decision, first come = first serve
			Session otherSession = SessionManager.getInstance().getSessionByUsername(username);
			if(otherSession != null && otherSession.waitingForDoorbell == session.getRoomInstance().getInfo().id)
			{
				if(allowEnter)
				{
					otherSession.send(new ServerMessage(EServerMessage.FlatAccessible));
				}
				else
				{
					otherSession.send(new ServerMessage(EServerMessage.FlatAccessDenied));
				}
			}
		}
	}
}
