package net.nillus.habbo.communication.messages.incoming.room.engine;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.items.Item;
import net.nillus.habbo.items.impl.PostItItem;
import net.nillus.habbo.sessions.Session;

public class DeletePostItHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Has room owner?
		if(!session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Get item, delete it
		Item item = session.getRoomInstance().getItem(request.readInt());
		if(item != null && item instanceof PostItItem)
		{
			session.getRoomInstance().pickupAndDeleteItem(item.id);
		}
	}
}
