package net.nillus.habbo.communication.messages.incoming.room.engine;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.items.impl.RoomDimmerItem;
import net.nillus.habbo.sessions.Session;

public class GetRoomDimmerDataHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Only room owners can deal with the room dimmer
		RoomDimmerItem dimmer = session.getRoomInstance().get("dimmer");
		if(dimmer == null || !session.getRoomUser().hasRoomOwner)
		{
			return;
		}

		// Send all presets
		response.init(365);
		response.appendInt(dimmer.getPresets().length);
		response.appendInt(dimmer.currentPreset);
		for(RoomDimmerItem.Preset preset : dimmer.getPresets())
		{
			response.appendInt(preset.id);
			response.appendInt(preset.backgroundOnly ? 2 : 1);
			response.appendStr(preset.color);
			response.appendInt(preset.intensity);
		}
		session.send(response);
	}
}
