package net.nillus.habbo.communication.messages.incoming.room.engine;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.items.EItemFlags;
import net.nillus.habbo.items.Item;
import net.nillus.habbo.rooms.instances.RoomUser;
import net.nillus.habbo.sessions.Session;

public class MoveFloorItemHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Allowed to move items?
		RoomUser user = session.getRoomUser();
		if(user == null || !user.hasRoomRights)
		{
			return;
		}

		// Parse position data
		int itemId = request.readInt();
		int newX = request.readInt();
		int newY = request.readInt();
		byte newRotation = (byte) request.readInt();

		// Move the flooritem
		Item item = session.getRoomInstance().getItem(itemId);
		if(item.is(EItemFlags.FLOORITEM))
		{
			session.getRoomInstance().moveFloorItem(item, newX, newY, newRotation, session);
		}
	}
}
