package net.nillus.habbo.communication.messages.incoming.room.engine;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.items.Item;
import net.nillus.habbo.items.impl.PostItItem;
import net.nillus.habbo.sessions.Session;

public class OpenPostItHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		Item item = session.getRoomInstance().getItem(request.readInt());
		if(item != null && item instanceof PostItItem)
		{
			response.init(EServerMessage.PostItData);
			response.appendStr(item.id);
			response.append(item.state);
			response.append(' ');
			response.appendStr(item.data);
			session.send(response);
		}
	}
}
