package net.nillus.habbo.items.impl;

import net.nillus.habbo.items.Item;
import net.nillus.habbo.rooms.instances.RoomUser;
import net.nillus.habbo.util.GameUtil;

public class SwitchStateItem extends Item
{
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		// User has room rights?
		if(user != null && !user.hasRoomRights)
		{
			return false;
		}
		
		// Parse current state + available states
		int state = GameUtil.parseInt(this.state);
		int availableStates = GameUtil.parseInt(this.definition.data);
		
		// Next state!
		state++;
		if(state >= availableStates)
		{
			state = 0;
		}
		this.setState(Integer.toString(state));
		
		return true;
	}
}
