package net.nillus.habbo.rooms.bots;

import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.rooms.instances.RoomAvatar;

public class RoomBot extends RoomAvatar
{
	private Bot bot;
	
	public RoomBot(Bot bot)
	{
		this.bot = bot;
	}
	
	public Bot getInfo()
	{
		return this.bot;
	}
	
	@Override
	protected void onChatFromAvatar(RoomAvatar from, String text, boolean isShout)
	{
		// Respond to questions etc!
	}

	@Override
	public void serialize(ServerMessage msg)
	{        
        msg.appendInt(this.bot.id);
        msg.appendStr(this.bot.name);
        msg.appendStr(this.bot.motto);
        msg.appendStr(this.bot.figure);
        msg.appendInt(this.avatarId);
        msg.appendInt(this.tile.x);
        msg.appendInt(this.tile.y);
        msg.appendStr(this.tile.height);
        msg.appendInt(4);
        msg.appendInt(3);
	}

	@Override
	public String getAvatarKey()
	{
		return "b" + this.bot.id;
	}
}
