package net.nillus.habbo.storage;

import java.sql.Connection;

public final class DatabaseConnection
{
	public final int id;
	private Connection conn;
	private DatabaseConnectionManager mgr;
	private long lastAccessTime;
	private boolean available;

	public DatabaseConnection(int id, Connection conn, DatabaseConnectionManager mgr)
	{
		this.id = id;
		this.conn = conn;
		this.mgr = mgr;
	}

	public Connection getInnerConnection()
	{
		return this.conn;
	}

	public DatabaseConnectionManager getMgr()
	{
		return this.mgr;
	}

	public long getLastAccessTime()
	{
		return this.lastAccessTime;
	}

	public long getIdleSeconds()
	{
		return((System.currentTimeMillis() - this.lastAccessTime) / 1000);
	}

	public boolean isAvailable()
	{
		return this.available;
	}

	public void available(boolean isAvailable)
	{
		this.available = isAvailable;
		this.lastAccessTime = System.currentTimeMillis();
	}
}
