package habbod.game.catalog;

import habbod.ServerInstance;
import habbod.communication.messages.incoming.catalog.ContentVoucher;
import habbod.storage.DatabaseResult;
import habbod.storage.SQLHelper;

import java.util.UUID;


public class VoucherManager
{
	public ContentVoucher getVoucher(String code)
	{
		DatabaseResult result = ServerInstance.get().getDb().query("SELECT code,type,data FROM vouchers WHERE code='" + SQLHelper.escape(code) + "'");
		ContentVoucher voucher = null;
		if(result.row())
		{
			voucher = new ContentVoucher();
			voucher.code = result.getString("code");
			voucher.type = result.getString("type");
			voucher.data = result.getString("data");
		}
		result.release();

		return voucher;
	}
	
	public void createVoucher(String code, String type, String data)
	{
		ServerInstance.get().getDb().execute("INSERT INTO vouchers(code,type,data) VALUES ('" + SQLHelper.escape(code) + "','" + SQLHelper.escape(type) + "','" + SQLHelper.escape(data) + "')");
	}
	
	public void deleteVoucher(String code)
	{
		ServerInstance.get().getDb().execute("DELETE FROM vouchers WHERE code='" + SQLHelper.escape(code) + "'");
	}
	
	public String generateRandomCode()
	{
		String code = UUID.randomUUID().toString();
		return (code.split("-")[0] + code.split("-")[1]).substring(0, 10);
	}
	

	/* Begin singleton */
	private final static VoucherManager instance = new VoucherManager();

	public final static VoucherManager getInstance()
	{
		return instance;
	}
	/* End singleton */
}
