package habbod.game.chatcommands;

import habbod.game.util.GameError;
import habbod.sessions.Session;

public abstract class ChatCommandHandler
{
	public final static char COMMAND_HEAD = ':';

	private String command;
	private String description;
	private String requiredRight;
	private String[] syntax;
	
	public String getCommand()
	{
		return this.command;
	}
	
	public String getDescription()
	{
		return this.description;
	}
	
	public String getRequiredRight()
	{
		return this.requiredRight;
	}
	
	public String[] getSyntax()
	{
		return this.syntax;
	}
	
	public void initialize(String command, String description, String requiredRight, String syntax)
	{
		this.command = command;
		this.description = description;
		this.requiredRight = requiredRight;
		if(syntax != null)
		{
			this.syntax = syntax.split(",");
		}
	}
	
	public abstract void handle(Session session, String[] args) throws GameError;
}
