package habbod.game.items;

import habbod.ServerInstance;
import habbod.game.rooms.items.RoomFloorItem;
import habbod.game.rooms.items.RoomItem;
import habbod.game.rooms.items.RoomWallItem;
import habbod.game.rooms.items.floor.GenericFloorItem;
import habbod.game.rooms.items.wall.GenericWallItem;

public final class InventoryItem extends ItemBase
{
	public void update(int ownerId)
	{
		ServerInstance.get().getDb().execute("UPDATE items SET owner_id=" + ownerId + ",room_id=0,x=NULL,y=NULL,z=NULL,rotation=NULL,wallposition=NULL WHERE id=" + this.id);
	}
	
	public RoomItem toRoomItem()
	{
		if(this.is(EItemFlags.WALLITEM))
		{
			return this.toWallItem();
		}
		else if(this.is(EItemFlags.FLOORITEM))
		{
			return this.toFloorItem();
		}
		else
		{
			return null;
		}
	}
	
	public RoomWallItem toWallItem()
	{
		RoomWallItem item = new GenericWallItem();
		item.id = this.id;
		item.definition = this.definition;
		item.state = this.state;
		item.data = this.data;
		
		return item;
	}
	
	public RoomFloorItem toFloorItem()
	{
		RoomFloorItem item = new GenericFloorItem();
		item.id = this.id;
		item.definition = this.definition;
		item.state = this.state;
		item.data = this.data;
		
		return item;
	}
}
