package habbod.game.items;

import habbod.ServerInstance;
import habbod.storage.SQLHelper;

public abstract class ItemBase
{
	public static final String ERROR_DATA = Character.toString((char)1);
	
	public int id;
	public ItemDefinition definition;
	public String state;
	public String data;
	
	private boolean requiresDbUpdate;
	
	public boolean is(char flag)
	{
		return this.definition.is(flag);
	}
	
	public final void requireDbUpdate()
	{
		this.requiresDbUpdate = true;
	}

	public final void dbUpdated()
	{
		this.requiresDbUpdate = false;
	}

	public final boolean requiresDbUpdate()
	{
		return this.requiresDbUpdate;
	}
	
	public boolean create(int ownerId)
	{
		// Will only be inserted if not inserted yet
		if(this.id == 0)
		{
			this.id = ServerInstance.get().getDb().executeReturnKey("INSERT INTO items(definition_id,owner_id,state,data) VALUES (" + this.definition.id + "," + ownerId + ",'" + SQLHelper.escape(this.state) + "','" + SQLHelper.escape(this.data) + "')");
			if(this.id > 0)
			{
				// Inserted successfully!
				return true;
			}
		}
		
		return false;
	}
	
	public void delete()
	{
		ServerInstance.get().getDb().execute("DELETE FROM items WHERE id=" + this.id);
	}
}
