package habbod.game.rooms.instances;

import habbod.communication.EServerMessage;
import habbod.communication.ServerMessage;

public abstract class RoomHuman extends RoomAvatar
{
	public boolean isAsleep;
	public int danceId;
	
	public int carryItemId;
	public int carryItemTimer;
	
	private int roomEffectId;
	private int ownEffectId;
	
	public void carryItem(int itemId)
	{
		// Set the ID + timer
		this.carryItemId = itemId;
		if(itemId > 0)
		{
			this.carryItemTimer = 240;
		}
		else
		{
			this.carryItemTimer = 0;
		}

		// Notify the roominstance
		ServerMessage msg = new ServerMessage(EServerMessage.CarryObject);
		msg.appendInt(this.avatarId);
		msg.appendInt(this.carryItemId);
		this.getRoom().broadcast(msg);
	}
	
	public void stopCarryItem()
	{
		this.carryItem(0);
	}
	
	public void setEffect(int effectId, boolean isOwn)
	{
		// Set the effect
		if(isOwn)
		{
			this.ownEffectId = effectId;
		}
		else
		{
			this.roomEffectId = effectId;
		}
		
		// Notify the room
		ServerMessage msg = new ServerMessage(485);
		msg.appendInt(this.avatarId);
		msg.appendInt(this.getCurrentEffect());
		msg.appendBool(false);
		this.getRoom().broadcast(msg);
	}
	
	public int getCurrentEffect()
	{
		if(this.roomEffectId > 0)
		{
			return this.roomEffectId;
		}
		else
		{
			return this.ownEffectId;
		}
	}
	
}
