package habbod.game.rooms.items.wired.actions;

import habbod.game.rooms.instances.RoomUser;
import habbod.game.rooms.items.RoomFloorItem;
import habbod.game.rooms.items.wired.WiredAction;
import habbod.game.rooms.items.wired.triggers.WiredTimerTrigger;


public class WiredResetTimersAction extends WiredAction
{
	@Override
	protected int getInterface()
	{
		return 10;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return false;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		for(RoomFloorItem item : this.getRoom().getFloorItems())
		{
			if(item instanceof WiredResetTimersAction)
			{
				WiredTimerTrigger timer = (WiredTimerTrigger)item;
				timer.reset();
			}
		}
	}
}
