package habbod.game.rooms.items.wired.addons;

import habbod.communication.EServerMessage;
import habbod.communication.ServerMessage;
import habbod.game.rooms.instances.RoomMap;
import habbod.game.rooms.instances.RoomTile;
import habbod.game.rooms.instances.RoomUser;
import habbod.game.rooms.items.RoomFloorItem;

public class WiredPuzzleBox extends RoomFloorItem
{
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		// User operating?
		if(user == null || user.next != null)
		{
			return false;
		}
		
		// Workout tiles
		RoomTile tile = this.getTile();
		RoomMap map = this.getRoom().getMap();
		RoomTile x1 = map.getTile(tile.x + 1, tile.y);
        RoomTile x2 = map.getTile(tile.x - 1, tile.y);
        RoomTile y1 = map.getTile(tile.x, tile.y + 1);
        RoomTile y2 = map.getTile(tile.x, tile.y - 1);
        
		// Require to be infront of the item
		if(!(user.getTile() == x1 || user.getTile() == x2 || user.getTile() == y1 || user.getTile() == y2))
		{
			return false;
		}
		
		// Workout next tile
		RoomTile to = null;
		if(user.getTile() == x1)
		{
			to = x2;
		}
		else if(user.getTile() == x2)
		{
			to = x1;
		}
		else if(user.getTile() == y1)
		{
			to = y2;
		}
		else if(user.getTile() == y2)
		{
			to = y1;
		}
		
		// Push!
		float oldZ = this.z;
		if(this.getRoom().moveFloorItem(this, to.x, to.y, this.rotation, null))
		{
			// Changed position?
			if(this.getTile() != tile)
			{
				// Slide over there!
				ServerMessage msg = new ServerMessage(EServerMessage.SlideObjectBundle);
				msg.appendInt(tile.x);
				msg.appendInt(tile.y);
				msg.appendInt(to.x);
				msg.appendInt(to.y);
				msg.appendInt(1);
				msg.appendInt(this.id);
				msg.appendStr(oldZ);
				msg.appendStr(this.z);
				msg.appendInt(-1);
				this.getRoom().broadcast(msg);
			}
		}
		
		return true;
	}
}
