package habbod.game.rooms.items.wired.conditions;

import habbod.game.rooms.instances.RoomUser;
import habbod.game.rooms.items.RoomFloorItem;
import habbod.game.rooms.items.wired.WiredCondition;

import java.util.List;



public class WiredItemsMatchCondition extends WiredCondition
{
	private final static int PARAM_MINMATCH = 0;
	private final static int PARAM_FORMATION = 1;
	
	@Override
	protected int getInterface()
	{
		return 9;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 2;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		int count = 0;
		int formation = this.getParam(PARAM_FORMATION);
		
		// Match states and formation of selected items
		List<RoomFloorItem> selected = this.getSelectedItems();
		for(RoomFloorItem item : selected)
		{
			for(RoomFloorItem someItem : selected)
			{
				if(someItem != item)
				{
					if(someItem.state.equals(item.state))
					{
						if((formation == 0 && someItem.y == item.y)  || (formation == 1 && someItem.x == item.x))
						{
							count++;
							break;
						}
					}
				}
			}
		}
		
		return (count >= this.getParam(PARAM_MINMATCH));
	}
}
