package habbod.game.rooms.items.wired.conditions;

import habbod.game.rooms.instances.RoomUser;
import habbod.game.rooms.items.RoomFloorItem;
import habbod.game.rooms.items.wired.WiredCondition;
import habbod.game.rooms.items.wired.triggers.WiredTimerTrigger;


public class WiredTimerElapsedMoreThanCondition extends WiredCondition
{
	public final static int PARAM_TIME = 0;
	
	@Override
	protected int getInterface()
	{
		return 3;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 1;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Find one timer that matches the criteria (since they all have the same reset time)
		for(RoomFloorItem item : this.getRoom().getFloorItems())
		{
			if(item instanceof WiredTimerTrigger)
			{
				WiredTimerTrigger timer = (WiredTimerTrigger)item;
				if(timer.getElapsedTime() > this.getParam(PARAM_TIME))
				{
					return true;
				}
			}
		}
		
		// Not time yet!
		return false;
	}
}
