package habbod.game.rooms.items.wired.triggers;

import habbod.game.rooms.items.wired.WiredTrigger;

public class WiredRepeatTrigger extends WiredTrigger
{
	public final static int PARAM_PULSES = 0;
	
	@Override
	protected int getInterface()
	{
		return 6;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 1;
	}
	
	@Override
	protected boolean suppliesUser()
	{
		return false;
	}
	
	@Override
	public boolean requiresPulse()
	{
		return true;
	}
	
	@Override
	protected void onTimeout()
	{
		this.execute(null);
	}
	
	@Override
	protected void onPulse()
	{
		super.onPulse();
		
		// Not running (anymore)?
		if(!this.hasTimeout())
		{
			// Repeat! Start counting down again
			int pulses = this.getParam(PARAM_PULSES);
			if(pulses > 0)
			{
				this.setTimeout(pulses);
			}
		}
	}
}
