package habbod.game.rooms.items.wired.triggers;

import habbod.game.rooms.items.wired.WiredTrigger;

public class WiredTimerTrigger extends WiredTrigger
{
	public final static int PARAM_PULSES = 0;
	
	private int elapsed;
	
	@Override
	protected int getInterface()
	{
		return 3;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 1;
	}
	
	@Override
	protected boolean suppliesUser()
	{
		return false;
	}
	
	@Override
	protected void onTimeout()
	{
		this.execute(null);
	}
	
	@Override
	protected void onPulse()
	{
		this.elapsed++;
	}
	
	public void reset()
	{
		this.elapsed = 0;
		this.clearTimeout();
		if(this.getParam(PARAM_PULSES) > 0)
		{
			this.setTimeout(this.getParam(PARAM_PULSES));
		}
	}
	
	public final int getElapsedTime()
	{
		return this.elapsed;
	}
}
