package habbod.game.rooms.navigator;

import habbod.ServerInstance;
import habbod.communication.messages.outgoing.navigator.FavoriteChangedMessageComposer;
import habbod.sessions.Session;
import habbod.storage.DatabaseResult;

import java.util.List;
import java.util.ArrayList;


public class FavoriteRoomList
{
	public final static int MAX_FAVS_PER_USER = 30;

	private Session session;
	private List<Integer> favorites;
	
	public FavoriteRoomList(Session session)
	{
		this.session = session;
		this.favorites = new ArrayList<Integer>();
	}
	
	public void reload()
	{
		this.favorites.clear();
		
		DatabaseResult result = ServerInstance.get().getDb().query("SELECT room_id FROM user_favoriterooms WHERE user_id=" + this.session.getUser().id);
		while(result.row())
		{
			this.favorites.add(result.getInt("room_id"));
		}
		result.release();
	}
	
	public void addFavorite(int roomId)
	{
		if(this.favorites.contains(roomId) || this.favorites.size() >= MAX_FAVS_PER_USER)
		{
			this.session.sendGenericError(-9001);
		}
		else
		{
			this.favorites.add(roomId);
			this.session.send(FavoriteChangedMessageComposer.compose(roomId, true));
			
			ServerInstance.get().getDb().execute("INSERT INTO user_favoriterooms(user_id,room_id) VALUES (" + this.session.getUser().id + "," + roomId + ")");
		}
	}

	public void removeFavorite(Integer roomId)
	{
		if(this.favorites.contains(roomId))
		{
			this.favorites.remove(roomId);
			this.session.send(FavoriteChangedMessageComposer.compose(roomId, false));
			
			ServerInstance.get().getDb().execute("DELETE FROM user_favoriterooms WHERE user_id=" + this.session.getUser().id + " AND room_id=" + roomId);
		}
	}
	
	public List<Integer> getFavorites()
	{
		return this.favorites;
	}
}
