package habbod.game.users.effects;

import habbod.sessions.Session;
import habbod.sessions.SessionManager;

public class EffectExpirationChecker extends Thread
{
	@Override
	public void run()
	{
		// Process all in-room sessions, check their effects
		while(this.isAlive())
		{
			for(Session session : SessionManager.getInstance().getAllSessions())
			{
				if(session.inRoom())
				{
					EffectInventory effects = session.getEffectInventory();
					if(effects != null)
					{
						effects.checkAndStopExpiredEffects();
					}
				}
			}

			// Sleep...
			try
			{
				Thread.sleep(1000);
			}
			catch(InterruptedException e)
			{
				return;
			}
		}
	}
}
