package net.nillus.habbo.game.items.impl;

import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.game.rooms.instances.RoomUser;
import net.nillus.habbo.game.util.GameUtil;

public class ExchangeItem extends Item
{
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		// Only for room owners
		if(user == null || !user.hasRoomOwner)
		{
			return false;
		}

		// Add the credits to the user's credit balance
		int creditValue = GameUtil.parseInt(this.definition.data);
		user.getSession().getUser().credits += creditValue;
		user.getSession().getUser().saveCreditsAndPixels();
		user.getSession().sendCreditBalance();
		
		// Remove from the room, delete from the game
		this.getRoom().pickupAndDeleteItem(this.id);
		
		return true;
	}
}
