package habbod.communication.messages.incoming.avatar;

import habbod.ServerInstance;
import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.users.UserManager;
import habbod.game.users.WardrobeOutfit;
import habbod.sessions.Session;

import java.util.List;


public class GetWardrobeHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get wardrobe contents
		List<WardrobeOutfit> outfits = UserManager.getInstance().getWardrobeForUser(session.getUser().id);
		List<WardrobeOutfit> outfits2 = ServerInstance.get().getGameMgr().getUserMgr().getWardrobeForUser(session.getUser().id);
		
		// Send wardrobe contents
		response.init(EServerMessage.UserWardrobe);;
		response.appendBool(true); // Enable
		response.appendInt(outfits.size());
		for(WardrobeOutfit entry : outfits)
		{
			response.appendInt(entry.slot);
			response.appendStr(entry.figure);
			response.appendStr(entry.gender);
		}
		session.send(response);
	}
}
