package habbod.communication.messages.incoming.help;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.help.HelpCategory;
import habbod.game.help.HelpTool;
import habbod.sessions.Session;

public class GetHelpCategoriesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		HelpTool tool = HelpTool.getInstance();

		response.init(519);
		response.appendInt(tool.getAllCategories().size());
		for(HelpCategory category : tool.getAllCategories())
		{
			response.appendInt(category.id);
			response.appendStr(category.name);
			response.appendInt(category.topics.size());
		}
		session.send(response);
	}
}
