package habbod.communication.messages.incoming.help;

import habbod.ServerInstance;
import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.help.HelpTool;
import habbod.game.help.HelpTopic;
import habbod.sessions.Session;

public class InitHelpToolHandler implements RequestHandler
{

	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		HelpTool tool = ServerInstance.get().getGameMgr().getHelpTool();
		
		response.init(518);
		response.appendInt(tool.getImportantTopics().size());
		for(HelpTopic topic : tool.getImportantTopics())
		{
			response.appendInt(topic.id);
			response.appendStr(topic.title);
		}
		response.appendInt(tool.getKnownIssues().size());
		for(HelpTopic topic : tool.getKnownIssues())
		{
			response.appendInt(topic.id);
			response.appendStr(topic.title);
		}
		session.send(response);
	}
}
