package habbod.communication.messages.incoming.moderation;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.moderation.ModerationActionError;
import habbod.game.moderation.ModerationCenter;
import habbod.game.util.SecurityUtil;
import habbod.sessions.Session;


public class ModSendUserCautionHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Can alert?
		if(!session.getUser().rights.contains("fuse_alert"))
		{
			return;
		}
		
		// Read info
		int userId = request.readInt();
		String message = SecurityUtil.filterStr(request.readStr());
		
		// Issue alert (caution)
		try
		{
			ModerationCenter.getInstance().issueUserAlert(session.getUser().id, userId, message, true);
		}
		catch(ModerationActionError err)
		{
			session.sendNotif(err.generateNotif());
		}
	}
}
