package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.RoomManager;
import habbod.game.rooms.RoomModel;
import habbod.game.util.SecurityUtil;
import habbod.sessions.Session;

public class CreateGuestRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read desired name and modelname of the room to create
		String name = SecurityUtil.filterStr(request.readStr());
		String modelName = request.readStr();

		// Valid room model?
		RoomModel model = RoomManager.getInstance().getModel(modelName);
		if(model == null || (model.clubOnly && false))
		{
			session.sendNotif("Invalid room model.");
			return;
		}

		// Attempt to create the room
		int roomId = RoomManager.getInstance().createGuestRoom(session.getUser().id, name, model.name);
		if(roomId == -1)
		{
			session.sendNotif("The server could not create your new guestroom. Please try again later.");
		}
		else
		{
			response.init(EServerMessage.GuestRoomResult);
			response.appendInt(roomId);
			response.appendStr(name);
			session.send(response);
		}
	}
}
