package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.navigator.RoomEvent;
import habbod.game.rooms.navigator.RoomEventManager;
import habbod.sessions.Session;

import java.util.List;


public class GetEventsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get events for event category
		int categoryId = request.readParseFixedInt();
		List<RoomEvent> events = RoomEventManager.getInstance().getEventsForCategory(categoryId);

		// Send event list
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(categoryId);
		response.appendInt(RoomEventManager.getInstance().getCategoryAmount());
		response.appendStr("");
		response.appendInt(events.size());
		for(RoomEvent event : events)
		{
			response.appendInt(event.room.id);
			response.appendBool(true);
			response.appendStr(event.name);
			response.appendStr(event.room.ownerName);
			response.appendInt(event.room.state);
			response.appendInt(event.room.usersNow);
			response.appendInt(event.room.usersMax);
			response.appendStr(event.description);
			response.appendBool(true);
			response.appendBool(true);
			response.appendInt(event.room.rating);
			response.appendInt(event.categoryId);
			response.appendStr(event.startTime);
			response.appendStrList(event.tags);
			response.appendStr(event.room.icon);
			response.appendBool(true);
		}
		session.send(response);
	}
}
