package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod.game.rooms.Room;
import habbod.game.rooms.navigator.RoomCategory;
import habbod.game.rooms.navigator.RoomNavigator;
import habbod.sessions.Session;

import java.util.List;


public class GetPopularRoomsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the requested category from the navigator
		int categoryId = request.readParseFixedInt();
		List<Room> rooms;
		if(categoryId == -1)
		{
			rooms = RoomNavigator.getInstance().getBusiestGuestRooms();
		}
		else
		{
			RoomCategory category = RoomNavigator.getInstance().getCategory(categoryId);
			if(category == null)
			{
				return;
			}
			else
			{
				rooms = category.rooms;
			}
		}

		// Send the rooms
		session.send(GuestRoomSearchResultMessageComposer.compose(1, categoryId, "", rooms));
	}
}
