package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.navigator.RoomCategory;
import habbod.game.rooms.navigator.RoomNavigator;
import habbod.sessions.Session;

import java.util.Collection;


public class GetUserFlatCatsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get all flat categories
		Collection<RoomCategory> categories = RoomNavigator.getInstance().getCategories();

		// Serialize the categories
		response.init(EServerMessage.UserFlatCats);
		response.appendInt(categories.size());
		for(RoomCategory category : categories)
		{
			response.appendInt(category.id);
			response.appendStr(category.name);
			response.appendStr(""); // ??
		}
		session.send(response);
	}
}
