package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod.game.rooms.Room;
import habbod.game.rooms.navigator.RoomNavigator;
import habbod.game.util.SecurityUtil;
import habbod.sessions.Session;

import java.util.List;



public class GuestRoomSearchHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read & trim criteria
		String criteria = SecurityUtil.filterStr(request.readStr().trim());

		// Actually criteria given?
		if(criteria.length() > 0)
		{
			// Get search result
			List<Room> rooms = RoomNavigator.getInstance().getGuestRoomSearchResult(criteria, false);

			// Send the result
			session.send(GuestRoomSearchResultMessageComposer.compose(9, 1, criteria, rooms));
		}
	}
}
