package habbod.communication.messages.incoming.pets;


import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.items.pets.Pet;
import habbod.game.items.pets.PetInventory;
import habbod.sessions.Session;

public class GetPetsInventoryHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get pet inventory
		PetInventory inventory = session.getPetInventory();
		
		// Serialize the info about the pets
		response.init(600);
		response.appendInt(inventory.getPets().size());
		for(Pet pet : inventory.getPets())
		{
			response.appendObject(pet);
		}
		session.send(response);
	}
}
