package habbod.communication.messages.incoming.pets;


import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.items.pets.RoomPet;
import habbod.sessions.Session;


public class PickUpPetHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the requested pet from room instance
		int petId = request.readInt();
		RoomPet pet = (RoomPet) session.getRoomInstance().getAvatarByAvatarKey("p" + petId);
		if(pet == null)
		{
			return;
		}
		
		// User is pet owner?
		if(session.getUser().id != pet.getInfo().ownerId)
		{
			return;
		}
		
		// Remove avatar from room
		session.getRoomInstance().removeAvatar(pet);
		
		// Add pet to inventory
		pet.syncAndSaveLocationInfo();
		session.getPetInventory().addPet(pet.getInfo());
	}
}
