package habbod.communication.messages.incoming.room.engine;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.instances.RoomUser;
import habbod.sessions.Session;

public class MoveWallItemHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Allowed to move items?
		RoomUser user = session.getRoomUser();
		if(user == null || !user.hasRoomRights)
		{
			return;
		}

		// Parse position data
		int itemId = request.readInt();
		String position = request.readStr();
		
		// Move the wallitem
		session.getRoomInstance().moveWallItem(itemId, position, session);
	}
}
