package habbod.communication.messages.incoming.room.engine;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.items.RoomWallItem;
import habbod.game.rooms.items.wall.PostItItem;
import habbod.sessions.Session;

public class OpenPostItHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		RoomWallItem item = session.getRoomInstance().getWallItem(request.readInt());
		if(item != null && item instanceof PostItItem)
		{
			response.init(EServerMessage.PostItData);
			response.appendStr(item.id);
			response.append(item.state);
			response.append(' ');
			response.appendStr(item.data);
			session.send(response);
		}
	}
}
