package habbod.communication.messages.incoming.room.engine;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.items.wall.RoomDimmerItem;
import habbod.sessions.Session;

public class SwitchRoomDimmerStatusHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Only room owners can deal with the room dimmer
		RoomDimmerItem dimmer = session.getRoomInstance().getRoomDimmer();
		if(dimmer == null || !session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Flip status and save
		dimmer.enabled = !dimmer.enabled;
		dimmer.saveSettings();
	}
}
