package habbod.communication.messages.incoming.room.items;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.items.RoomFloorItem;
import habbod.game.util.GameUtil;
import habbod.sessions.Session;

public class RedeemExchangeItemHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// In room?
		if(!session.inRoom() || !session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Get the item
		RoomFloorItem item = session.getRoomInstance().getFloorItem(request.readInt());
		if(item != null)
		{
			// Add the credits to the user's credit balance
			int creditValue = GameUtil.parseInt(item.definition.data);
			session.getUser().credits += creditValue;
			session.getUser().saveCreditsAndPixels();
			session.sendCreditBalance();
		}
	}
}
