package habbod.communication.messages.incoming.room.items;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.items.RoomFloorItem;
import habbod.sessions.Session;

public class SpinWheelOfFortuneHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// In room?
		if(!session.inRoom())
		{
			return;
		}
		
		// Trigger instructions
		int itemId = request.readInt();
		int instruction = request.remaining() > 0 ? request.readInt() : 0;

		// Get the item
		RoomFloorItem item = session.getRoomInstance().getFloorItem(itemId);
		if(item != null)
		{
			item.toggle(session.getRoomUser(), instruction);
		}
	}
}
