package habbod.communication.messages.incoming.room.items;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.items.RoomFloorItem;
import habbod.game.rooms.items.floor.DiceItem;
import habbod.game.rooms.items.floor.SpinningBottleItem;
import habbod.sessions.Session;

public class ThrowDiceHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		int itemId = request.readInt();
		RoomFloorItem item = session.getRoomInstance().getFloorItem(itemId);
		if(item != null && (item instanceof DiceItem || item instanceof SpinningBottleItem))
		{
			item.onToggle(session.getRoomUser(), 0);
		}
	}
}
