package habbod.communication.messages.incoming.roomsettings;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.Room;
import habbod.game.rooms.RoomManager;
import habbod.sessions.Session;

public class DeleteRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Retrieve the room info
		int roomId = request.readInt();
		Room room = RoomManager.getInstance().getRoomInfo(roomId);

		// Only the room owner can delete the room!
		if(room != null && session.getUser().id == room.ownerId)
		{
			RoomManager.getInstance().deleteGuestRoom(roomId);
		}
	}
}
