package habbod.communication.messages.incoming.users;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.users.subscriptions.UserSubscription;
import habbod.game.util.SecurityUtil;
import habbod.sessions.Session;

public class GetSubscriptionDataHandler implements RequestHandler
{
	@SuppressWarnings("unused")
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get sub
		String subId = request.readStr().toLowerCase();
		UserSubscription sub = null;
		
		// Send info
		response.init(EServerMessage.ScrSendUserInfo);
		if(sub == null)
		{
			response.appendStr(SecurityUtil.filterStr(subId));
			response.appendInt(0);
			response.appendBool(false);
			response.appendInt(0);
		}
		else
		{
			response.appendStr(sub.type.id);
			response.appendInt(sub.getDaysInMonthLeft());
			response.appendBool(true);
			response.appendInt(sub.getMonthsLeft());
			
			response.appendBool(true); // ??
			response.appendBool(true); // ??
			response.appendInt(sub.type.specialRightsLevel); // Special rights level (0 = none, 1 = HC, 2 = VIP, etc etc etc)
		}
		session.send(response);
	}
}
