package net.nillus.habbo.communication.messages.incoming.catalog;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.catalog.Catalog;
import net.nillus.habbo.game.catalog.CatalogProduct;
import net.nillus.habbo.game.items.EItemFlags;
import net.nillus.habbo.sessions.Session;

public class CanGiftHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Find the product
		int productId = request.readInt();
		CatalogProduct product = Catalog.getInstance().getProduct(productId);

		// Accessible?
		if(product != null && product.isPurchasableBy(session.getUser()))
		{
			// Determine giftable status
			boolean giftable = (product.isPhysicalItem() && !product.itemDefinition.is(EItemFlags.NOT_GIFTABLE));

			// Send giftable status
			response.init(622);
			response.appendInt(product.id);
			response.appendBool(giftable);
			session.send(response);
		}
	}
}
