package net.nillus.habbo.communication.messages.incoming.friendlist;

import java.util.ArrayList;
import java.util.List;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import net.nillus.habbo.game.messenger.InstantMessenger;
import net.nillus.habbo.game.messenger.MessengerBuddy;
import net.nillus.habbo.game.rooms.Room;
import net.nillus.habbo.sessions.Session;


public class GetRoomsWithFriendsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get messenger (contains the buddylist)
		InstantMessenger messenger = session.getMessenger();
		if(messenger == null)
		{
			return;
		}
		
		// Aggegrate the room info for rooms the buddies are in (no duplicates)
		List<Room> rooms = new ArrayList<Room>();
		for(MessengerBuddy buddy : messenger.getBuddies())
		{
			if(buddy.inRoom())
			{
				Room room = buddy.messenger.getSession().getRoomInstance().getInfo();
				if(!rooms.contains(room))
				{
					rooms.add(room);
				}
			}
		}
			
		// Send the result
		session.send(GuestRoomSearchResultMessageComposer.compose(4, 0, "", rooms));
	}
}
