package net.nillus.habbo.communication.messages.incoming.friendlist;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.messenger.InstantMessenger;
import net.nillus.habbo.game.messenger.InstantMessengerService;
import net.nillus.habbo.game.messenger.MessengerBuddy;
import net.nillus.habbo.sessions.Session;


public class RequestBuddyHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized messenger
		InstantMessenger messenger = session.getMessenger();
		if(messenger == null)
		{
			return;
		}

		// Find user
		String username = request.readStr();
		MessengerBuddy receiver = InstantMessengerService.getInstance().getBuddyInfoByUsername(username);
		if(receiver == null) return;

		// Not already a buddy?
		if(messenger.hasBuddy(receiver.userId))
		{
			return;
		}

		// Block buddyrequest?
		if(!receiver.blockRequests)
		{
			InstantMessengerService.getInstance().createBuddyRequest(session.getUser().id, session.getUser().username, receiver.userId);
		}
		else
		{
			response.init(EMessengerMessage.MessengerError);
			response.appendInt(39);
			response.appendInt(3);
			session.send(response);
		}
	}
}
