package net.nillus.habbo.communication.messages.incoming.inventory.avatareffect;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.users.effects.EffectInventory;
import net.nillus.habbo.game.users.effects.AvatarEffect;
import net.nillus.habbo.sessions.Session;

public class ApplyEffectHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get effect inventory
		EffectInventory effects = session.getEffectInventory();
		if(effects == null)
		{
			return;
		}

		// User applies an enabled effect, or disables the current effect?
		int effectId = request.readInt();
		if(effectId > 0)
		{
			AvatarEffect effect = effects.getEffect(effectId);
			if(effect != null && effect.enabled)
			{
				effects.setCurrentEffect(effectId);
			}
		}
		else
		{
			effects.setCurrentEffect(0);
		}
	}
}
