package net.nillus.habbo.communication.messages.incoming.moderation;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.moderation.ModerationCenter;
import net.nillus.habbo.game.moderation.ModerationTicket;
import net.nillus.habbo.sessions.Session;


public class ModReleaseTicketHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Has mod?
		if(!session.getUser().rights.contains("fuse_mod"))
		{
			return;
		}
		
		// Process all selected tickets
		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			// Get ticket
			int ticketId = request.readInt();
			ModerationTicket ticket = ModerationCenter.getInstance().getTicket(ticketId);
			
			// Ticket exists and picked by this user?
			if(ticket != null && ticket.status == ModerationTicket.STATUS_PICKED && ticket.pickerId == session.getUser().id)
			{
				// Release ticket
				ticket.pickerId = 0;
				ticket.pickerUsername = null;
				ticket.status = ModerationTicket.STATUS_OPEN;
				ticket.saveStatus();
				
				// Broadcast update
				ModerationCenter.getInstance().broadcastTicket(ticket);
			}
		}
	}
}
