package net.nillus.habbo.communication.messages.incoming.navigator;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.navigator.RoomEvent;
import net.nillus.habbo.game.rooms.navigator.RoomEventManager;
import net.nillus.habbo.game.util.GameUtil;
import net.nillus.habbo.game.util.SecurityUtil;
import net.nillus.habbo.sessions.Session;

public class CreateEventHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Can start event?
		if(RoomEvent.canCreateRoomEvent(session) != RoomEvent.ERROR_NONE)
		{
			return;
		}
		
		// Create event
		RoomEvent event = new RoomEvent();
		event.categoryId = request.readInt();
		event.name = SecurityUtil.filterStr(request.readStr());
		event.description = SecurityUtil.filterStr(request.readStr());
		event.tags = SecurityUtil.filterStrArray(request.readStrArray());
		event.room = session.getRoomInstance().getInfo();
		event.startTime = GameUtil.getCurrentDateTime();
		
		// TODO: validate event
		
		// Create event
		RoomEventManager.getInstance().addEvent(event);
	}
}
