package net.nillus.habbo.communication.messages.incoming.navigator;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.navigator.RoomEvent;
import net.nillus.habbo.game.rooms.navigator.RoomEventManager;
import net.nillus.habbo.game.util.SecurityUtil;
import net.nillus.habbo.sessions.Session;

public class EditEventHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			RoomEvent event = session.getRoomInstance().get("event");
			if(event != null && session.getRoomUser().hasRoomOwner)
			{
				// Update event
				int newCategoryId = request.readInt();
				event.name = SecurityUtil.filterStr(request.readStr());
				event.description = SecurityUtil.filterStr(request.readStr());
				event.tags = SecurityUtil.filterStrArray(request.readStrArray());
				if(newCategoryId != event.categoryId)
				{
					RoomEventManager.getInstance().updateEventCategory(event, newCategoryId);
				}
				
				// Notify room
				session.getRoomInstance().broadcast(RoomEvent.createMsg(event));
			}
		}
	}
}
