package net.nillus.habbo.communication.messages.incoming.room.chat;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.util.ChatUtil;
import net.nillus.habbo.game.util.SecurityUtil;
import net.nillus.habbo.sessions.Session;

public class ChatHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		String text = SecurityUtil.filterStr(request.readStr());
		if(session.inRoom() && !text.equals(" "))
		{
			// Is this a chatcommand that executes successfully?
			if(!ChatUtil.parseAndHandleCommand(session, text))
			{
				if(Session.onChat.fire(session, text))
				{
					session.getRoomUser().chat(text, false);
				}
			}
		}
	}
}
