package net.nillus.habbo.communication.messages.incoming.userdefinedroomevents;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.wired.WiredTrigger;
import net.nillus.habbo.game.util.SecurityUtil;
import net.nillus.habbo.sessions.Session;


public class UpdateTriggerHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User valid?
		if(!(session.inRoom() && session.getRoomUser().hasRoomOwner))
		{
			return;
		}
		
		// Get the item
		WiredTrigger wired = (WiredTrigger) session.getRoomInstance().getItem(request.readInt());
		if(wired == null)
		{
			return;
		}
		
		// Update the parameters
		int parameters = request.readInt();
		for(int param = 0; param < parameters; param++)
		{
			wired.setParam(param, request.readInt());
		}
		
		// Update the text
		wired.setText(SecurityUtil.filterStr(request.readStr()));
		
		// Update the selected items
		wired.clearSelectedItems();
		int selected = request.readInt();
		for(int x = 0; x < selected; x++)
		{
			wired.selectItem(request.readInt());
		}
		wired.setSelectionType(request.readInt());
		 
		// Save changes!
		wired.saveSettings();
	}
}
