package mod_corechatcmds;

import net.nillus.habbo.habbod;
import net.nillus.habbo.chatcommands.ChatCommandHandler;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.util.GameError;

public class AboutCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Shows info about this build of habbod, installed modules, etc";
	}

	@Override
	public String getRequiredRight()
	{
		return "default";
	}
	
	@Override
	public String[] getSyntax()
	{
		return null;
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		StringBuilder notif = new StringBuilder();

		// Append the legal info
		notif.append(habbod.getInstance().versionString());
		notif.append("\r");
		notif.append("Copyright (C) 2010-2011 - Nils 'Nillus'\r");
		notif.append("HABBO is a registered trademark of Sulake Corporation Oy. (www.sulake.com)\r\r");

		// Append the footer
		notif.append("Type :stats for system information.\r");

		// Send the message formatted as a system msg
		session.sendSystemNotif(notif.toString());
	}
}
