package mod_moderation.msgs;

import mod_moderation.ModerationCenter;
import mod_moderation.ModerationTicket;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;


public class DeletePendingTicketHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User has ticket?
		ModerationTicket ticket = ModerationCenter.getInstance().getUnpickedTicketForUser(session.getUser().id);
		if(ticket != null)
		{
			// Flag ticket as deleted
			ticket.status = ModerationTicket.STATUS_DELETED;
			ticket.saveStatus();
			
			// Broadcast updates
			ModerationCenter.getInstance().broadcastTicket(ticket);
		}
		
		// Yea yeah it's deleted now...
		response.init(320);
		session.send(response);
	}
}
