package mod_voucher;

import java.util.UUID;

import net.nillus.habbo.habbod;
import net.nillus.habbo.communication.messages.incoming.catalog.RedeemVoucherHandler;
import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;
import net.nillus.habbo.storage.DatabaseResult;
import net.nillus.habbo.storage.SQLHelper;

@ModuleInfo
(
		name = "mod_voucher",
		description = "Enables support for redeeming in-game contentvoucher codes.",
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_voucher/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_voucher extends Module
{
	public mod_voucher()
	{
		this.getAutoLoader().msgHandler(129, new RedeemVoucherHandler());
		
		this.getAutoLoader().chatCmd("createvoucher", new CreateVoucherCommandHandler());
	}

	public static ContentVoucher getVoucher(String code)
	{
		DatabaseResult result = habbod.getInstance().getDb().query("SELECT code,type,data FROM vouchers WHERE code='" + SQLHelper.escape(code) + "'");
		ContentVoucher voucher = null;
		if(result.row())
		{
			voucher = new ContentVoucher();
			voucher.code = result.getString("code");
			voucher.type = result.getString("type");
			voucher.data = result.getString("data");
		}
		result.release();

		return voucher;
	}
	
	public static void createVoucher(String code, String type, String data)
	{
		habbod.getInstance().getDb().execute("INSERT INTO vouchers(code,type,data) VALUES ('" + SQLHelper.escape(code) + "','" + SQLHelper.escape(type) + "','" + SQLHelper.escape(data) + "')");
	}
	
	public static void deleteVoucher(String code)
	{
		habbod.getInstance().getDb().execute("DELETE FROM vouchers WHERE code='" + SQLHelper.escape(code) + "'");
	}
	
	public static String generateRandomCode()
	{
		String code = UUID.randomUUID().toString();
		return (code.split("-")[0] + code.split("-")[1]).substring(0, 10);
	}
}
