package mod_wardrobe;

import java.util.ArrayList;
import java.util.List;

import net.nillus.habbo.habbod;
import net.nillus.habbo.communication.messages.incoming.avatar.GetWardrobeHandler;
import net.nillus.habbo.communication.messages.incoming.avatar.SaveWardrobeOutfitHandler;
import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;
import net.nillus.habbo.storage.DatabaseResult;
import net.nillus.habbo.storage.SQLHelper;

@ModuleInfo
(
		name = "mod_wardrobe",
		description = "Enables support for the avatar appearance wardrobe for users.",
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_wardrobe/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_wardrobe extends Module
{
	public mod_wardrobe()
	{
		this.getAutoLoader().msgHandler(375, new GetWardrobeHandler());
		this.getAutoLoader().msgHandler(376, new SaveWardrobeOutfitHandler());
	}
	
	public static List<WardrobeEntry> getWardrobeForUser(int userId)
	{
		List<WardrobeEntry> entries = new ArrayList<WardrobeEntry>();
		
		DatabaseResult result = habbod.getInstance().getDb().query("SELECT slot,figure,gender FROM user_wardrobe WHERE user_id=" + userId);
		while(result.row())
		{
			WardrobeEntry entry = new WardrobeEntry();
			entry.slot = result.getInt("slot");
			entry.figure = result.getString("figure");
			entry.gender = result.getString("gender").charAt(0);
			entries.add(entry);
		}
		result.release();
		
		return entries;
	}
	
	public static void modifyWardrobeForUser(int userId, int slot, String figure, char gender)
	{
		habbod.getInstance().getDb().execute("DELETE FROM user_wardrobe WHERE user_id=" + userId + " AND slot=" + slot);
		habbod.getInstance().getDb().execute("INSERT INTO user_wardrobe(user_id,slot,figure,gender) VALUES (" + userId + "," + slot + ",'" + SQLHelper.escape(figure) + "','" + gender + "')");
	}
}
