package mod_autocredits;

import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.sessions.SessionManager;
import net.nillus.habbo.util.GameUtil;

@ModuleInfo
(
		name = "mod_autocredits",
		description = "Gives online users new credits at a set interval",
		author = "Nils 'Nillus'",
		url = "http://habbo.nillus.net/modules/mod_autocredits/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_autocredits extends Module
{
	@Override
	protected boolean onLoad()
	{
		int minutes = GameUtil.parseInt(this.getConfigValue("minutes"));
		if(minutes > 0)
		{
			this.enablePulseTimer(minutes * 60);
			return true;
		}
		else
		{
			return false;
		}
	}
	
	@Override
	protected void onPulse()
	{
		// Get increments + limits
		int minutes = GameUtil.parseInt(this.getConfigValue("minutes"));
		int add = GameUtil.parseInt(this.getConfigValue("add"));
		int max = GameUtil.parseInt(this.getConfigValue("max"));
		String addMsg = this.getConfigValue("add_msg");
		String addMsgNoMax = this.getConfigValue("add_msg_nomax");
		String maxReachedMsg = this.getConfigValue("max_reached_msg");
		boolean showMsg = (this.getConfigValue("show_msg").equals("1"));
		
		for(Session session : SessionManager.getInstance().getAllSessions())
		{
			if(session.authenticated())
			{
				int toAdd = add;
				
				// Max configured?
				if(max > 0)
				{
					// Impose limit?
					if((session.getUser().credits + toAdd) > max)
					{
						// Top up no ruther than the maxxxxxxxx
						toAdd = (max - session.getUser().credits);
					}
				}
				
				// Changes?
				if(toAdd > 0)
				{
					// Update user
					session.getUser().credits += toAdd;
					session.getUser().saveCreditsAndPixels();
					
					// Notify user
					session.sendCreditBalance();
					if(showMsg)
					{
						if(max > 0)
						{
							session.sendNotif(String.format(addMsg, toAdd, minutes, max));
						}
						else
						{
							session.sendNotif(String.format(addMsgNoMax, toAdd, minutes));
						}
					}
				}
				else
				{
					if(showMsg)
					{
						session.sendNotif(String.format(maxReachedMsg, max, minutes));
					}
				}
			}
		}
	}
}
