package mod_helptool;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class GetTopicsInCategoryHandler implements RequestHandler
{

	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		HelpCategory category = HelpTool.getInstance().getCategory(request.readInt());
		if(category != null)
		{
			response.init(522);
			response.appendInt(category.id);
			response.appendStr("");
			response.appendInt(category.topics.size());
			for(HelpTopic topic : category.topics)
			{
				response.appendInt(topic.id);
				response.appendStr(topic.title);
			}
			session.send(response);
		}
	}
}
