package mod_pets;

import java.util.List;

import net.nillus.habbo.items.Item;
import net.nillus.habbo.users.User;

public final class PetItem extends Item
{
	@Override
	public String processPurchaseDataToState(User user, String purchaseData)
	{
		// Parse parts that need checking
		String[] parts = purchaseData.split("\n", 3);
		String name = parts[0];
		
		// This name is not allowed...
		if(!PetUtil.validatePetName(name))
		{
			return Item.ERROR_DATA;
		}
		
		// Purchase data is okay as it is!
		return purchaseData;
	}
	
	@Override
	public void onPurchase(List<Item> shipping)
	{	
		// Parse pet data
		String[] parts = this.state.split("\n", 3);
		String name = parts[0];
		int breed = Integer.parseInt(parts[1]);
		String color = parts[2];
		int type = PetUtil.productNameToPetType(this.definition.sprite);
		
		// Create the pet for this user, will appear in inventory
		mod_pets.createPet(this.ownerId, name, type, breed, color);
		
		// TODO: add free food item to shipping (sample!)
	}
}
