package mod_pets.msgs;


import mod_pets.Pet;
import mod_pets.RoomPet;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;


public class GetPetInfoHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the requested pet from room instance
		int petId = request.readInt();
		RoomPet avatar = (RoomPet) session.getRoomInstance().getAvatarByAvatarKey("p" + petId);
		if(avatar == null)
		{
			return;
		}

		// Extract pet info
		Pet pet = avatar.getInfo();
		
		// Send pet info
		response.init(601);
		response.appendInt(pet.id);
		response.appendStr(pet.name);
		response.appendInt(pet.level);
		response.appendInt(Pet.MAX_LEVEL);
		response.appendInt(pet.experience);
		response.appendInt(pet.getExperienceGoal());
		response.appendInt(pet.energy);
		response.appendInt(Pet.MAX_ENERGY);
		response.appendInt(pet.nutrition);
		response.appendInt(Pet.MAX_NUTRITION);
		response.appendStr(pet.color.toLowerCase());
		response.appendInt(pet.respect);
		response.appendInt(pet.ownerId);
		response.appendInt(pet.getAgeInDays());
		response.appendStr(pet.ownerName);
		session.send(response);
	}
}
