package mod_pets.msgs;


import mod_pets.Pet;
import mod_pets.PetInventory;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;


public class GetPetsInventoryHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get pet inventory
		PetInventory inventory = session.get("pets");
		
		// Serialize the info about the pets
		response.init(600);
		response.appendInt(inventory.getPets().size());
		for(Pet pet : inventory.getPets())
		{
			response.appendObject(pet);
		}
		session.send(response);
	}
}
