package mod_pets.msgs;


import mod_pets.RoomPet;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;


public class RespectPetHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Respect to give out?
		if(session.getUser().petRespectPoints <= 0)
		{
			return;
		}
		
		// Get the requested pet from room instance
		int petId = request.readInt();
		RoomPet pet = (RoomPet) session.getRoomInstance().getAvatarByAvatarKey("p" + petId);
		if(pet == null)
		{
			return;
		}
		
		// Give respect!
		session.getUser().petRespectPoints--;
		pet.getInfo().respect++;
		pet.getInfo().addExperience(10);
		
		// Notify the room of this moment of sheer epicness
		response.init(606);
		response.appendInt(pet.getInfo().respect);
		response.appendInt(pet.getInfo().ownerId);
		response.appendInt(pet.getInfo().id);
		response.appendStr(pet.getInfo().name);
		response.appendBool(false);
		response.appendInt(10);
		response.appendBool(false);
		response.appendInt(-2);
		response.appendBool(true);
		response.appendStr("281");
		session.getRoomInstance().broadcast(response);
	}
}
