package mod_wired.triggers;

import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.items.Item;
import net.nillus.habbo.sessions.Session;

import mod_wired.WiredTrigger;

public class WiredUserSaysPhraseTrigger extends WiredTrigger
{
	private final static int PARAM_OWNERONLY = 0;
	
	@Override
	protected int getInterface()
	{
		return 0;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 1;
	}
	
	@Override
	protected boolean suppliesUser()
	{
		return true;
	}
	
	public static class ChatHook implements EventListener
	{
		@Override
		public boolean handle(Object subject, Object args)
		{
			Session session = (Session)subject;
			String text = (String)args;
			
			// Matches the secret word?
			for(Item item : session.getRoomInstance().getAllItems())
			{
				// Phrase trigger?
				if(item instanceof WiredUserSaysPhraseTrigger)
				{
					// Phrase matches?
					WiredUserSaysPhraseTrigger wired = (WiredUserSaysPhraseTrigger)item;
					if(text.equals(wired.getText()))
					{
						// Owner-only check (if enabled)
						if(wired.getParam(PARAM_OWNERONLY) == 0 || session.getRoomUser().hasRoomOwner)
						{
							// Let the user know he got the phrase correct
							session.sendWhisperNotif(text);
							
							// Fire the trigger
							wired.execute(session.getRoomUser());
							
							// Don't chat the secret to room ;)
							return false;
						}
					}
				}
			}
			
			// Nothing happened!
			return true;
		}
	}
}
