package net.nillus.habbo.core;

import java.util.Map.Entry;

public final class RegistryAutoManageProxy<K, V> extends AutoManageProxy<K, V>
{
	private final Registry<K, V> registry;

	public RegistryAutoManageProxy(Registry<K, V> registry)
	{
		this.registry = registry;
	}

	@Override
	public void load()
	{
		for(Entry<K, V> pair : this.getContents())
		{
			this.registry.register(pair.getKey(), pair.getValue());
		}
	}

	@Override
	public void unload()
	{
		for(Entry<K, V> pair : this.getContents())
		{
			this.registry.unregister(pair.getKey());
		}
	}
}
