package net.nillus.habbo.game.items.impl;

import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.game.rooms.instances.RoomUser;
import net.nillus.habbo.util.GameUtil;

public class DiceItem extends Item
{
	@Override
	public boolean onToggle(RoomUser user, int request)
	{
		// Get to the dice
		if(user == null || user.getTile().touches(this.getTile()))
		{
			// Not in the middle of a spin?
			if(!this.hasTimeout())
			{
				// Closing or spinning the dice?
				if(request == -1)
				{
					// Close the dice
					this.setState("0");
				}
				else
				{
					// Start spinning
					this.setTempState("-1");
					this.setTimeout(4);
				}
				
				return true;
			}
		}
		
		return false;
	}

	@Override
	protected void onTimeout()
	{
		int roll = GameUtil.getRandomInt(1, 6);
		this.setState(Integer.toString(roll));
	}
}
