package net.nillus.habbo.game.items.wired.addons;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.game.rooms.instances.RoomTile;
import net.nillus.habbo.game.rooms.instances.RoomUser;

public class WiredPuzzleBox extends Item
{
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		// User operating?
		if(user == null || user.next != null)
		{
			return false;
		}
		
		// Time check
		/*
		if(user.has("lastPuzzlePush"))
		{
			long time = user.get("lastPuzzlePush");
			if((System.currentTimeMillis() - time) < 5000)
			{
				return false;
			}
		}
		user.set("lastPuzzlePush", System.currentTimeMillis());*/
		
		// Workout tiles
		RoomTile tile = this.getTile();
		RoomTile x1 = this.getRoom().getMap().getTile(tile.x + 1, tile.y);
        RoomTile x2 = this.getRoom().getMap().getTile(tile.x - 1, tile.y);
        RoomTile y1 = this.getRoom().getMap().getTile(tile.x, tile.y + 1);
        RoomTile y2 = this.getRoom().getMap().getTile(tile.x, tile.y - 1);
        
		// Require to be infront of the item
		if(!(user.getTile() == x1 || user.getTile() == x2 || user.getTile() == y1 || user.getTile() == y2))
		{
			return false;
		}
		
		// Workout next tile
		RoomTile to = null;
		if(user.getTile() == x1)
		{
			to = x2;
		}
		else if(user.getTile() == x2)
		{
			to = x1;
		}
		else if(user.getTile() == y1)
		{
			to = y2;
		}
		else if(user.getTile() == y2)
		{
			to = y1;
		}
		
		// Push!
		float oldZ = this.z;
		if(this.getRoom().moveFloorItem(this, to.x, to.y, this.rotation, null))
		{
			// Changed position?
			if(this.getTile() != tile)
			{
				// Slide over there!
				ServerMessage msg = new ServerMessage(EServerMessage.SlideObjectBundle);
				msg.appendInt(tile.x);
				msg.appendInt(tile.y);
				msg.appendInt(to.x);
				msg.appendInt(to.y);
				msg.appendInt(1);
				msg.appendInt(this.id);
				msg.appendStr(oldZ);
				msg.appendStr(this.z);
				msg.appendInt(-1);
				this.getRoom().broadcast(msg);
			}
		}
		
		return true;
	}
}
