package net.nillus.habbo.game.items.wired.conditions;

import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.game.items.wired.WiredCondition;
import net.nillus.habbo.game.rooms.instances.RoomTile;
import net.nillus.habbo.game.rooms.instances.RoomUser;


public class WiredTriggeringUserOnItemCondition extends WiredCondition
{
	@Override
	protected int getInterface()
	{
		return 8;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Check the selected items
		if(user != null)
		{
			for(Item item : this.getSelectedItems())
			{
				// Check all the tiles of this item
				for(RoomTile tile : item.getTiles())
				{
					// Is the triggering user here?
					if(user.at(tile))
					{
						return true;
					}
				}
			}
		}
		
		// The triggering user was NOT on one of the the selected items
		return false;
	}
}
