package mod_effects;

import net.nillus.habbo.communication.messages.incoming.inventory.avatareffect.ApplyEffectHandler;
import net.nillus.habbo.communication.messages.incoming.inventory.avatareffect.EnableEffectHandler;
import net.nillus.habbo.game.items.impl.EffectItem;
import net.nillus.habbo.game.users.effects.EffectExpirationChecker;
import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;
import net.nillus.habbo.sessions.Session;

@ModuleInfo
(
		name = "mod_effects",
		description = "Enables support for avatar effects.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_effects/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_effects extends Module
{
	private EffectExpirationChecker checker;
	
	public mod_effects()
	{
		this.getAutoLoader().itemImpl("Effect", EffectItem.class);
		this.getAutoLoader().eventListener(Session.onLogin, new LoginHook());
		this.getAutoLoader().eventListener(Session.onRoomEnter, new RoomEnterHook());

		this.getAutoLoader().msgHandler(228, new GetEffectInventoryHandler());
		this.getAutoLoader().msgHandler(372, new ApplyEffectHandler());
		this.getAutoLoader().msgHandler(373, new EnableEffectHandler());
	}
	
	@Override
	public boolean onLoad()
	{
		this.checker = new EffectExpirationChecker();
		this.checker.setName("EffectExpirationChecker");
		this.checker.setPriority(Thread.MIN_PRIORITY);
		this.checker.start();
		
		return true;
	}
	
	@Override
	public void onUnload()
	{
		if(this.checker != null)
		{
			this.checker.interrupt();
			this.checker = null;
		}
	}
}
