package mod_tags;

import java.util.ArrayList;
import java.util.List;

import net.nillus.habbo.habbod;
import net.nillus.habbo.communication.messages.incoming.users.GetUserTagsHandler;
import net.nillus.habbo.game.rooms.Room;
import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.storage.DatabaseResult;
import net.nillus.habbo.storage.SQLHelper;

@ModuleInfo
(
		name = "mod_tags",
		description = "Enables support for user 'tags', showing interests like hobbies etc.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_tags/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_tags extends Module
{
	public mod_tags()
	{
		this.getAutoLoader().eventListener(Session.onLogin, new LoginHook());
		this.getAutoLoader().remoteCmd("TAGS", new ReloadTagsHandler());
		
		this.getAutoLoader().msgHandler(263, new GetUserTagsHandler());
	}

	public static List<String> getTagsForUser(int userId)
	{
		List<String> tags = new ArrayList<String>(10);

		DatabaseResult result = habbod.getInstance().getDb().query("SELECT tag FROM user_tags WHERE user_id=" + userId);
		while(result.row())
		{
			tags.add(result.getString("tag"));
		}
		result.release();

		return tags;
	}
	
	public static List<Room> getGuestRoomSearchResult(String criteria)
	{
		ArrayList<Room> rooms = new ArrayList<Room>();

		criteria = SQLHelper.escape(criteria);
		DatabaseResult result = habbod.getInstance().getDb().query("SELECT r.*,u.username AS owner FROM rooms r JOIN users u ON u.id = r.owner_id WHERE r.tags LIKE '%" + criteria + "%' LIMIT 30;");
		while(result.row())
		{
			rooms.add(Room.parse(result));
		}
		result.release();

		return rooms;
	}

}
