package habbod2.game.chatcommands.admin;

import habbod2.System;
import static habbod2.core.Locale._I;
import habbod2.game.catalog.VoucherManager;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.sessions.Session;
import habbod2.util.StringUtil;

public class CreateVoucherCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Determine amount of credits + code
		int credits = StringUtil.parseInt(args[0]);
		VoucherManager voucherMgr = System.get().getGameMgr().getVoucherMgr();
		String code = args[1].isEmpty() ? voucherMgr.generateRandomCode() : args[1];
		
		// Create voucher?
		if(credits > 0)
		{
			// Insert in voucher database
			voucherMgr.createVoucher(code, "credits", Integer.toString(credits));
		
			// Yay!
			session.sendNotif(_I("A voucher with code '%s' has been created. Its value is %d credits.", code, credits));
		}
		else
		{
			throw new GameError(_I("invalid credit value specified"));
		}
	}
}
