package habbod2.game.chatcommands.admin;

import habbod2.Instance;
import static habbod2.core.Locale._I;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.sessions.Session;
import habbod2.game.sessions.SessionManager;
import habbod2.game.util.GameError;

public class DisconnectUserCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// If username is left blank, then disconnect self
		if(args[0].isEmpty())
		{
			args[0] = session.getUser().username;
		}
		
		// Find and end session
		SessionManager sessionMgr = Instance.get().getGameMgr().getSessionMgr();
		Session target = sessionMgr.getSessionByUsername(args[0]);
		if(target == null)
		{
			session.sendWhisperNotif(_I("No user named '%s' online.", args[0]));
		}
		else
		{
			target.end(String.format("disconnected by %s", session.getUser().username));
			session.sendWhisperNotif(_I("Disconnected %s.", target.getUser().username));
		}
	}
}
