package habbod2.game.chatcommands.room;

import static habbod2.core.Locale._I;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.util.GameUtil;
import habbod2.game.rooms.instance.RollerEngine;
import habbod2.game.sessions.Session;

public class SetRollerIntervalCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Determine and validate new interval
		int interval = GameUtil.parseInt(args[0]);
		
		// Set new interval
		RollerEngine rollers = session.getRoom().getRollers();
		rollers.setIntervalTime(interval);
		
		// OK!
		session.sendWhisperNotif(_I("RollerEngine interval is now %d ms.", interval));
	}
}
