package habbod2.game.chatcommands.room;

import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class SitOnFloorCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		RoomUser self = session.getRoomUser();
		
		// User is not moving?
		if(self.isMoving())
		{
			return;
		}
		
		// User has valid direction?
		if(self.bodyDirection.num() % 2 != 0)
		{
			return;
		}
		
		// User has no effect?
		if(self.getEffect() > 0)
		{
			return;
		}
		
		// User is on the floor?
		if(self.statuses.containsKey("sit") || self.statuses.containsKey("lay"))
		{
			return;
		}
		
		// Sit!
		self.addStatus("sit", "0.5");
	}
}
