package habbod2.game.chatcommands.room;

import static habbod2.core.Locale._I;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.music.Song;
import habbod2.game.rooms.items.floor.JukeboxItem;
import habbod2.game.sessions.Session;

public class SkipJukeboxCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Can skip?
		if(session.getRoomUser().hasRoomOwner)
		{
			// Jukebox found?
			JukeboxItem jukebox = session.getRoom().getJukebox();
			if(jukebox != null)
			{
				// Skip!
				jukebox.nextSong();
				
				// Next song?
				Song song = jukebox.getCurrentSong();
				if(song != null)
				{
					session.sendWhisperNotif(String.format(_I("Skipping to %s by %s.", song.title, song.artist)));
				}
			}
		}
	}
}
