package habbod2.communication.messages.incoming.catalog;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.catalog.CatalogPageMessageComposer;
import habbod2.game.catalog.Catalog;
import habbod2.game.catalog.CatalogPage;
import habbod2.game.sessions.Session;

public class GetCatalogPageHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Fetch the page from the catalog
		int pageId = request.readInt();
		Catalog catalog = System.get().getGameMgr().getCatalog();
		CatalogPage page = catalog.getPage(pageId);

		// Page accessible to the user?
		if(page == null || !page.isEnabled || !page.isAccessibleTo(session.getUser()))
		{
			return;
		}
		
		// Send the page
		session.send(CatalogPageMessageComposer.compose(page));
	}
}
