package habbod2.communication.messages.incoming.catalog;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.catalog.Catalog;
import habbod2.game.catalog.CatalogProduct;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.catalog.IsOfferGiftableMessageComposer;

public class GetIsOfferGiftableHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Find the product
		int productId = request.readInt();
		Catalog catalog = Instance.get().getGameMgr().getCatalog();
		CatalogProduct product = catalog.getProduct(productId);

		// Accessible?
		if(product != null)
		{
			// Determine giftable status
			boolean isGiftable = product.isGiftable(session.getUser());

			// Send giftable status
			session.send(IsOfferGiftableMessageComposer.compose(product, isGiftable));
		}
	}
}
