package habbod2.communication.messages.incoming.catalog;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.catalog.SellablePetBreedsMessageComposer;
import habbod2.game.util.GameUtil;
import habbod2.game.sessions.Session;

public class GetSellablePetBreedsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read product name, read pet type
		String productName = request.readStr();
		int petType = GameUtil.parseInt(productName.replace("a0 pet", ""));

		// Work out race amount per pet type
		int breedAmount = 0;
		switch(petType)
		{
			// Dog
			case 0:
				breedAmount = 25;
				break;

			// Cat
			case 1:
				breedAmount = 25;
				break;

			// Crocodile
			case 2:
				breedAmount = 25;
				break;

			// Terrier
			case 3:
				breedAmount = 7;
				break;

			// Bear
			case 4:
				breedAmount = 4;
				break;

			// Pig
			case 5:
				breedAmount = 7;
				break;

			// Lion
			case 6:
				breedAmount = 13;
				break;
				
			// Rhino
			case 7:
				breedAmount = 8;
				break;

			// Spider
			case 8:
				breedAmount = 13;
				break;
			
			// Turtle
			case 9:
				breedAmount = 11;
				break;
				
			// Chick
			case 10:
				breedAmount = 1;
				break;
				
			// Frog
			case 11:
				breedAmount = 18;
				break;
			
			// Dragon
			case 12:
				breedAmount = 10;
				break;
				
			// Monkey
			case 14:
				breedAmount = 9;
				break;
				
			// Unknown
			default:
				session.sendNotif("Unknown pet type!");
				return;
		}

		// Send available races
		session.send(SellablePetBreedsMessageComposer.compose(productName, petType, breedAmount));
	}
}
