package habbod2.communication.messages.incoming.catalog;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.util.StringUtil;
import habbod2.communication.RequestHandler;
import habbod2.game.catalog.VoucherManager;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.catalog.VoucherRedeemErrorMessageComposer;
import habbod2.communication.messages.outgoing.catalog.VoucherRedeemOkMessageComposer;

public class RedeemVoucherHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get voucher mgr
		VoucherManager voucherMgr = System.get().getGameMgr().getVoucherMgr();
				
		// Voucher exists?
		ContentVoucher voucher = voucherMgr.getVoucher(request.readStr());
		if(voucher == null)
		{
			session.send(VoucherRedeemErrorMessageComposer.compose(0x01));
		}
		else
		{
			// Delete voucher
			voucherMgr.deleteVoucher(voucher.code);
			
			// Process payload
			if(voucher.type.equals("credits"))
			{
				// Update credits
				int credits = StringUtil.parseInt(voucher.data);
				session.getUser().credits += credits;
				session.getUser().saveCurrencies();
				session.sendCreditBalance();
			}
			
			// Okay!
			session.send(VoucherRedeemOkMessageComposer.compose());
		}
	}
}
