package habbod2.communication.messages.incoming.friendlist;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.session.RoomForwardMessageComposer;
import habbod2.game.messenger.InstantMessenger;
import habbod2.game.messenger.MessengerBuddy;
import habbod2.game.rooms.Room;
import habbod2.game.sessions.Session;

public class FollowFriendHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Requires initialized buddies
		InstantMessenger messenger = session.getMessenger();
		if(messenger == null)
		{
			return;
		}

		// Determine buddy to follow / 'stalk'
		int buddyId = request.readInt();
		MessengerBuddy buddy = messenger.getBuddy(buddyId);

		// Buddy on buddylist, online and in a room?
		if(buddy != null && buddy.inRoom())
		{
			// Initate forward @ client
			Room room = buddy.messenger.getSession().getRoomInstance().getInfo();
			session.send(RoomForwardMessageComposer.compose(room));

			// Skip to TryRoom?
			if(room.isGuestRoom())
			{
				session.tryGetRoomAccess(room.id, "");
			}
		}
	}
}
