package habbod2.communication.messages.incoming.friendlist;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.friendlist.MessengerErrorMessageComposer;
import habbod2.game.messenger.InstantMessenger;
import habbod2.game.messenger.MessengerBuddy;
import habbod2.game.messenger.MessengerService;
import habbod2.game.sessions.Session;

public class RequestBuddyHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get messenger + service
		InstantMessenger messenger = session.getMessenger();
		MessengerService svc = Instance.get().getGameMgr().getMessengerSvc();

		// Find user
		String username = request.readStr();
		MessengerBuddy receiver = svc.getBuddyInfoByUsername(username);
		if(receiver == null || messenger.hasBuddy(receiver.userId))
		{
			return;
		}

		// Block buddyrequest?
		if(receiver.blockRequests)
		{
			session.send(MessengerErrorMessageComposer.compose(39, 3));
		}
		else
		{
			svc.createBuddyRequest(session.getUser().id, receiver.userId);
		}
	}
}
