package habbod2.communication.messages.incoming.friendlist;

import java.util.ArrayList;
import java.util.List;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.messenger.InstantMessenger;
import habbod2.game.messenger.MessengerBuddy;
import habbod2.game.messenger.MessengerService;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.friendlist.UserSearchResultMessageComposer;

public class UserSearchHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get messenger + service
		InstantMessenger messenger = session.getMessenger();
		MessengerService svc = System.get().getGameMgr().getMessengerSvc();

		// Valid criteria?
		String criteria = request.readStr().trim();
		if(criteria.length() == 0) return;

		// Get results and group them
		List<MessengerBuddy> buddies = new ArrayList<MessengerBuddy>();
		List<MessengerBuddy> nonBuddies = new ArrayList<MessengerBuddy>();
		for(MessengerBuddy user : svc.getUserSearchResults(criteria))
		{
			// Buddy or non-buddy?
			if(messenger.hasBuddy(user.userId))
			{
				buddies.add(user);
			}
			else
			{
				nonBuddies.add(user);
			}
		}

		// Send the results
		session.send(UserSearchResultMessageComposer.compose(buddies, nonBuddies));
	}
}
