package habbod2.communication.messages.incoming.moderator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.moderation.ModerationActionError;
import habbod2.game.moderation.ModerationCenter;
import habbod2.game.sessions.Session;

public class ModAlertHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Can alert?
		if(!session.getUser().rights.contains("fuse_alert"))
		{
			return;
		}
		
		// Read info
		int userId = request.readInt();
		String message = request.readStr();
		
		// Issue alert (caution)
		try
		{
			ModerationCenter ctr = System.get().getGameMgr().getModerationCenter();
			ctr.issueUserAlert(session.getUser().id, userId, message, true);
		}
		catch(ModerationActionError err)
		{
			session.sendNotif(err.generateNotif());
		}
	}
}
