package habbod2.communication.messages.incoming.navigator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.CanCreateRoomMessageComposer;
import habbod2.game.GameManager;
import habbod2.game.sessions.Session;

public class CanCreateRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get game manager
		GameManager gameMgr = System.get().getGameMgr();
		
		// Impose max rooms limit
		int limit = gameMgr.getProperties().getInt("game.rooms.maxperuser");
		boolean canCreate = (limit == 0 || session.getUser().rights.contains("override_maxrooms") || gameMgr.getRoomMgr().getRoomCountForUser(session.getUser().id) < limit);
		
		// Send result
		session.send(CanCreateRoomMessageComposer.compose(canCreate, limit));
	}
}
