package habbod2.communication.messages.incoming.navigator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.FlatCreatedMessageComposer;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.RoomManager;
import habbod2.game.rooms.RoomModel;
import habbod2.game.util.SecurityUtil;
import habbod2.game.sessions.Session;

public class CreateFlatHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read desired name and modelname of the room to create
		String name = SecurityUtil.filterStr(request.readStr());
		String modelName = request.readStr();

		// Valid room model?
		RoomManager roomMgr = System.get().getGameMgr().getRoomMgr();
		RoomModel model = roomMgr.getModel(modelName);
		if(model == null || (model.clubOnly && false))
		{
			return;
		}

		// Attempt to create the room
		Room room = roomMgr.createGuestRoom(session.getUser(), name, model);
		if(room != null)
		{
			session.send(FlatCreatedMessageComposer.compose(room));
		}
	}
}
