package habbod2.communication.messages.incoming.navigator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.engine.RoomEventMessageComposer;
import habbod2.game.rooms.navigator.RoomEvent;
import habbod2.game.rooms.navigator.RoomEventManager;
import habbod2.game.util.SecurityUtil;
import habbod2.game.sessions.Session;

public class EditEventHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		if(session.inRoom() && session.getRoomUser().hasRoomOwner)
		{
			RoomEvent event = session.getRoom().getEvent();
			if(event != null)
			{
				// Update event
				int newCategoryId = request.readInt();
				event.name = SecurityUtil.filterStr(request.readStr());
				event.description = SecurityUtil.filterStr(request.readStr());
				event.tags = SecurityUtil.filterStrArray(request.readStrArray());
				if(newCategoryId != event.categoryId)
				{
					RoomEventManager mgr = System.get().getGameMgr().getRoomEventMgr();
					mgr.updateEventCategory(event, newCategoryId);
				}
				
				// Notify room
				session.getRoom().broadcast(RoomEventMessageComposer.compose(event));
			}
		}
	}
}
