package habbod2.communication.messages.incoming.navigator;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.GetGuestRoomResultMessageComposer;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.RoomManager;
import habbod2.game.sessions.Session;

public class GetGuestRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Determine the room
		int roomId = request.readInt();
		boolean flag = request.readBool();
		RoomManager roomMgr = Instance.get().getGameMgr().getRoomMgr();
		Room room = roomMgr.getRoomInfo(roomId);

		// Room exists and is a guestroom?
		if(room != null && room.isGuestRoom())
		{
			session.send(GetGuestRoomResultMessageComposer.compose(room, flag));
		}
	}
}
