package habbod2.communication.messages.incoming.navigator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.DeferredRequestHandler;
import habbod2.communication.messages.outgoing.navigator.OfficialRoomsMessageComposer;
import habbod2.game.rooms.navigator.NavigatorFrontpageItem;
import habbod2.game.rooms.navigator.RoomNavigator;
import habbod2.game.sessions.Session;

import java.util.List;

public class GetOfficialRoomsHandler implements DeferredRequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the configured frontpage items of the navigator
		RoomNavigator navi = System.get().getGameMgr().getNavigator();
		List<NavigatorFrontpageItem> items = navi.getFrontpageItems();

		// Send them
		session.send(OfficialRoomsMessageComposer.compose(items));
	}
}
