package habbod2.communication.messages.incoming.navigator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.PublicSpaceCastLibsMessageComposer;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.RoomManager;
import habbod2.game.sessions.Session;

public class GetPublicSpaceCastLibsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the requested room info
		int roomId = request.readInt();
		RoomManager mgr = System.get().getGameMgr().getRoomMgr();
		Room room = mgr.getRoomInfo(roomId);

		// Public room exists?
		if(room != null && room.isPublicRoom())
		{
			session.send(PublicSpaceCastLibsMessageComposer.compose(room));
		}
	}
}
