package habbod2.communication.messages.incoming.navigator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.DeferredRequestHandler;
import habbod2.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.navigator.RoomCategory;
import habbod2.game.rooms.navigator.RoomNavigator;
import habbod2.game.sessions.Session;

import java.util.List;

public class PopularRoomsSearchHandler implements DeferredRequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get navi
		RoomNavigator navi = System.get().getGameMgr().getNavigator();
		
		// Get the requested category from the navigator
		int categoryId = request.readParseFixedInt();
		List<Room> rooms;
		if(categoryId == -1)
		{
			rooms = navi.getBusiestGuestRooms();
		}
		else
		{
			RoomCategory category = navi.getCategory(categoryId);
			if(category == null)
			{
				return;
			}
			else
			{
				rooms = category.rooms;
			}
		}

		// Send the rooms
		session.send(GuestRoomSearchResultMessageComposer.compose(1, categoryId, "", rooms));
	}
}
