package habbod2.communication.messages.incoming.navigator;

import java.util.List;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod2.game.GameManager;
import habbod2.game.rooms.Room;
import habbod2.game.sessions.Session;

public class RoomTextSearchHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read & trim criteria
		String criteria = request.readStr().trim();

		// Actually criteria given?
		if(criteria.length() > 0)
		{
			// Get limit
			GameManager gameMgr = System.get().getGameMgr();
			int maxResults = gameMgr.getConfig().getInt("game.rooms.navigator.search.maxresults");
			
			// Get search result
			List<Room> rooms = gameMgr.getRoomMgr().getGuestRoomSearchResult(criteria, maxResults, false);

			// Send the result
			session.send(GuestRoomSearchResultMessageComposer.compose(1, 9, criteria, rooms));
		}
	}
}
