package habbod2.communication.messages.incoming.navigator;

import java.util.List;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.DeferredRequestHandler;
import habbod2.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.navigator.RoomNavigator;
import habbod2.game.sessions.Session;

public class RoomsWithHighestScoreSearchHandler implements DeferredRequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Find rooms
		RoomNavigator navi = Instance.get().getGameMgr().getNavigator();
		List<Room> rooms = navi.getTopRatedGuestRooms();
		
		// Send rooms
		session.send(GuestRoomSearchResultMessageComposer.compose(2, 0, "", rooms));
	}
}
