package habbod2.communication.messages.incoming.navigator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.GameManager;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.navigator.RoomCategory;
import habbod2.game.sessions.Session;

public class ToggleStaffPickHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Allowed to do this?
		if(!session.getUser().rights.contains("toggle_staffpick"))
		{
			//return;
		}

		// Staffpicks enabled?
		GameManager gameMgr = System.get().getGameMgr();
		RoomCategory staffPicks = gameMgr.getNavigator().getStaffPicksCategory();
		if(staffPicks == null)
		{
			return;
		}
		
		// Determine the room
		int roomId = request.readInt();
		@SuppressWarnings("unused")
		boolean isStaffPick = request.readFixedBool();
		
		// Get the room
		Room room = gameMgr.getRoomMgr().getRoomInfo(roomId);
		if(room != null && room.isGuestRoom())
		{
			// Update the room
			if(staffPicks.rooms.contains(room))
			{
				room.categoryId = 0;
			}
			else
			{
				room.categoryId = staffPicks.id;
				
				// TODO: give badge or something to room owner
			}
			room.saveSettings();
			
			// Reload navigator
			gameMgr.getNavigator().reload();
		}
	}
}
