package habbod2.communication.messages.incoming.register;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.engine.UserChangeMessageComposer;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class UpdateFigureDataHandler implements RequestHandler
{
	@SuppressWarnings("unused")
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Parse new data
		char newGender = request.readStr().equals("F") ? 'F' : 'M';
		String newFigure = request.readStr();

		// Valid new figure?
		if(true)//FigureValidator.figureIsValid(newFigure))
		{
			session.getUser().figure = newFigure;
			session.getUser().gender = newGender;
			session.getUser().saveAppearance();
		}
		else
		{
			System.get().getLogger().warning(session, String.format("User #%d (%s) tried to use a 'mutant figure': '%s'. Figure not updated.", session.getUser().id, session.getUser().username, newFigure));
		}
		
		// Get user
		RoomUser user = session.getRoomUser();
		
		// Send update to self
		session.send(UserChangeMessageComposer.compose(user, true));
		
		// Update on messenger
		session.getMessenger().updateStatus(true);
		
		// If in room, then the room users need an update too!
		session.getRoom().broadcast(UserChangeMessageComposer.compose(user, false));
	}
}
