package habbod2.communication.messages.incoming.room.action;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.sessions.Session;

public class BanUserHandler implements RequestHandler
{
	private static final int BAN_DURATION_SECONDS = 120;

	@Override
	public void handle(Session session, ClientMessage request)
	{
		int userId = request.readInt();
		if(session.inRoom() && session.getRoomUser().hasRoomOwner)
		{
			RoomUser target = session.getRoomInstance().getUserByUserId(userId);
			if(target != null && (!target.hasRoomOwner || session.getUser().role.level > target.getInfo().role.level))
			{
				session.getRoomInstance().addUserBan(userId, BAN_DURATION_SECONDS);
				target.getSession().kickFromRoom();
			}
		}
	}
}
