package habbod2.communication.messages.incoming.room.action;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.permissions.YouAreNotControllerMessageComposer;
import habbod2.communication.messages.outgoing.roomsettings.FlatControllerRemovedMessageComposer;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.sessions.Session;

public class RemoveRightsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Room owner?
		if(session.getRoomUser() == null && !session.getRoomUser().hasRoomOwner)
		{
			return;
		}

		// Parse all the user IDs
		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			int userId = request.readInt();

			// Attempt removing the rights
			if(session.getRoomInstance().removeUserRights(userId))
			{
				// Notify issuer that this user's rights were removed successfully
				session.send(FlatControllerRemovedMessageComposer.compose(session.getRoomInstance(), userId));

				// User is in the room at this very moment?
				RoomUser user = session.getRoomInstance().getUserByUserId(userId);
				if(user != null)
				{
					// Update the user
					user.hasRoomRights = false;
					user.removeStatus("flatctrl");

					// Notify of 'lost room rights'
					user.getSession().send(YouAreNotControllerMessageComposer.compose());
				}
			}
		}
	}
}
