package habbod2.communication.messages.incoming.room.chat;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.util.ChatUtil;
import habbod2.game.util.SecurityUtil;
import habbod2.game.sessions.Session;

public class ChatHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		String text = SecurityUtil.filterStr(request.readStr());
		if(session.inRoom() && !text.equals(" "))
		{
			// Is this a chatcommand that executes successfully?
			if(!ChatUtil.parseAndHandleCommand(session, text))
			{
				if(Session.onChat.fire(session, text))
				{
					session.getRoomUser().chat(text, false);
				}
			}
		}
	}
}
