package habbod2.communication.messages.incoming.room.chat;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.GameManager;
import habbod2.game.util.WordFilter;
import habbod2.game.rooms.items.wired.triggers.UserSaysPhraseTrigger;
import habbod2.game.sessions.Session;

public class ShoutHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// User in room?
		if(session.inRoom())
		{
			// Read unfiltered message
			String unfiltered = request.readStr();
			
			// Handle chatcommands
			GameManager gameMgr = Instance.get().getGameMgr();
			if(!gameMgr.getChatCmdMgr().tryHandleCommand(session, unfiltered))
			{
				// Filter message
				String message = session.getUser().hasRight("override_wordfilter") ? unfiltered : WordFilter.getInstance().filter(unfiltered);
				
				// Handle wired triggers
				if(!UserSaysPhraseTrigger.matchAndExecutesTrigger(session, message))
				{
					// Make RoomUser chat
					session.getRoomUser().chat(message, true);
					
					// Log unfiltered message
					gameMgr.getChatlogSvc().log(session.getUser().id, session.getRoom().getInfo().id, unfiltered, 0);
				}
			}
		}
	}
}
