package habbod2.communication.messages.incoming.room.chat;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.GameManager;
import habbod2.game.util.SecurityUtil;
import habbod2.game.rooms.items.wired.triggers.UserSaysPhraseTrigger;
import habbod2.game.sessions.Session;

public class ShoutHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		String message = SecurityUtil.filterStr(request.readStr());
		if(session.inRoom())
		{
			GameManager gameMgr = System.get().getGameMgr();
			if(!gameMgr.getChatCmdMgr().tryHandleCommand(session, message))
			{
				if(!UserSaysPhraseTrigger.matchAndExecutesTrigger(session, message))
				{
					session.getRoomUser().chat(message, true);
					gameMgr.getChatlogSvc().log(session.getUser().id, session.getRoomInstance().getInfo().id, message, 0);
				}
			}
		}
	}
}
