package habbod2.communication.messages.incoming.room.engine;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.pets.PetCommandsMessageComposer;
import habbod2.game.pets.Pet;
import habbod2.game.pets.RoomPet;
import habbod2.game.sessions.Session;

public class GetPetCommandsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the requested pet from room instance
		int petId = request.readInt();
		RoomPet avatar = (RoomPet) session.getRoom().getAvatarByAvatarKey("p" + petId);
		if(avatar == null)
		{
			return;
		}
		
		// Extract pet info
		Pet pet = avatar.getInfo();
				
		// Send available commands
		session.send(PetCommandsMessageComposer.compose(pet, 64));
	}
}
