package habbod2.communication.messages.incoming.room.engine;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.instance.RoomTile;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class MoveAvatarHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		if(session.inRoom())
		{
			RoomUser user = session.getRoomUser();
			RoomTile tile = session.getRoom().getMap().getTile(request.readInt(), request.readInt());
			if(user.canMove() && tile != null)
			{
				if(user.teleportEnabled)
				{
					user.warp(tile);
				}
				else
				{
					user.setGoal(tile);
				}
			}
		}
	}
}
