package habbod2.communication.messages.incoming.room.engine;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.instance.RoomTile;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class MoveAvatarHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		RoomUser user = session.getRoomUser();
		if(user != null)
		{
			// Get the tile that was clicked
			RoomTile tile = session.getRoom().getMap().getTile(request.readInt(), request.readInt());
			if(tile == null)
			{
				return;
			}
			
			// Handle pet unmounting
			if(user.isMounted() && user.at(tile))
			{
				user.setMount(null);
				return;
			}
			
			// Move?
			if(user.canMove())
			{
				if(user.teleportEnabled)
				{
					user.warp(tile);
				}
				else
				{
					user.setGoal(tile);
				}
			}
		}
	}
}
