package habbod2.communication.messages.incoming.room.engine;


import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.items.pets.RoomPet;
import habbod2.game.sessions.Session;


public class RemovePetFromFlatHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the requested pet from room instance
		int petId = request.readInt();
		RoomPet pet = (RoomPet) session.getRoomInstance().getAvatarByAvatarKey("p" + petId);
		if(pet == null)
		{
			return;
		}
		
		// User is pet owner?
		if(session.getUser().id != pet.getInfo().ownerId)
		{
			return;
		}
		
		// Remove avatar from room
		session.getRoomInstance().removeAvatar(pet);
		
		// Add pet to inventory
		pet.syncAndSaveLocationInfo();
		session.getPetInventory().addPet(pet.getInfo());
	}
}
