package habbod2.communication.messages.incoming.room.engine;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.items.floor.ChangeClothesGateItem;
import habbod2.game.sessions.Session;

public class SetClothingChangeDataHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Valid action for this session?
		if(!session.inRoom() || !session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Get item
		int itemId = request.readInt();
		ChangeClothesGateItem item = (ChangeClothesGateItem)session.getRoom().getItem(itemId);
		if(item != null)
		{
			char gender = request.readStr().charAt(0);
			String figure = request.readStr();
			item.updateSettings(gender, figure);
		}
	}
}
