package habbod2.communication.messages.incoming.room.furniture;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.floor.DiceItem;
import habbod2.game.sessions.Session;

public class DiceOffHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// In room?
		if(!session.inRoom())
		{
			return;
		}
		
		// Process the item
		RoomFloorItem item = session.getRoomInstance().getFloorItem(request.readInt());
		if(item != null  && item instanceof DiceItem)
		{
			item.toggle(session.getRoomUser(), -1);
		}
	}
}
