package habbod2.communication.messages.incoming.roomsettings;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.RoomManager;
import habbod2.game.sessions.Session;

public class DeleteRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Retrieve the room info
		int roomId = request.readInt();
		RoomManager mgr = System.get().getGameMgr().getRoomMgr();
		Room room = mgr.getRoomInfo(roomId);

		// Only the room owner can delete the room!
		if(room != null && session.getUser().id == room.ownerId)
		{
			mgr.deleteGuestRoom(roomId);
		}
	}
}
