package habbod2.communication.messages.incoming.sound;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.sound.JukeboxPlaylistFullMessageComposer;
import habbod2.communication.messages.outgoing.sound.JukeboxSongDisksMessageComposer;
import habbod2.game.items.InventoryItem;
import habbod2.game.music.SongDisk;
import habbod2.game.rooms.items.floor.JukeboxItem;
import habbod2.game.sessions.Session;

public class AddJukeboxDiskHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get jukebox
		JukeboxItem jukebox = session.getRoom().getJukebox();
		if(jukebox == null || !session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Get item
		int itemId = request.readInt();
		InventoryItem item = session.getItemInventory().getItem(itemId);
		if(item == null)
		{
			return;
		}
		
		// Validate disk
		SongDisk disk = SongDisk.fromItem(item);
		if(disk != null)
		{
			// Add disk
			if(!jukebox.loadDisk(disk))
			{
				session.send(JukeboxPlaylistFullMessageComposer.compose());
			}
			else
			{
				session.getItemInventory().removeItem(disk.item.id);
				session.send(JukeboxSongDisksMessageComposer.compose(jukebox));
			}
		}
	}
}
