package habbod2.communication.messages.incoming.sound;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.sound.JukeboxSongDisksMessageComposer;
import habbod2.communication.messages.outgoing.sound.UserSongDisksInventoryMessageComposer;
import habbod2.game.items.ItemInventory;
import habbod2.game.music.SongDisk;
import habbod2.game.rooms.items.floor.JukeboxItem;
import habbod2.game.sessions.Session;

public class RemoveJukeboxDiskHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get jukebox
		JukeboxItem jukebox = session.getRoom().getJukebox();
		if(jukebox == null || !session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Remove the disk
		int position = request.readInt();
		SongDisk disk = jukebox.unloadDisk(position);
		if(disk != null)
		{
			// Add disk to inventory
			ItemInventory inventory = session.getItemInventory();
			inventory.addItem(disk.item);
			
			// Send remaining disks in jukebox + current disks in inventory
			session.send(JukeboxSongDisksMessageComposer.compose(jukebox));
			session.send(UserSongDisksInventoryMessageComposer.compose(SongDisk.findDisks(inventory)));
		}
	}
}
