package habbod2.communication.messages.incoming.userdefinedroomevents;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.items.wired.actions.RestoreItemsToSnapshotsAction;
import habbod2.game.sessions.Session;

public class ApplySnapshotHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// User in room + has rights?
		if(!(session.inRoom() && session.getRoomUser().hasRoomRights))
		{
			return;
		}
		
		// Get the item
		RestoreItemsToSnapshotsAction item = (RestoreItemsToSnapshotsAction) session.getRoomInstance().getItem(request.readInt());
		if(item != null)
		{
			item.updateSnapshots();
		}
	}
}
