package habbod2.communication.messages.incoming.userdefinedroomevents;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.items.wired.WiredTrigger;
import habbod2.game.util.SecurityUtil;
import habbod2.game.sessions.Session;

public class UpdateTriggerHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// User valid?
		if(!(session.inRoom() && session.getRoomUser().hasRoomOwner))
		{
			return;
		}
		
		// Get the item
		WiredTrigger wired = (WiredTrigger) session.getRoom().getItem(request.readInt());
		if(wired == null)
		{
			return;
		}
		
		// Update the parameters
		int parameters = request.readInt();
		for(int param = 0; param < parameters; param++)
		{
			wired.setParam(param, request.readInt());
		}
		
		// Update the text
		wired.setText(SecurityUtil.filterStr(request.readStr()));
		
		// Update the selected items
		wired.clearSelectedItems();
		int selected = request.readInt();
		for(int x = 0; x < selected; x++)
		{
			wired.selectItem(request.readInt());
		}
		wired.setSelectionType(request.readInt());
		 
		// Save changes!
		wired.saveSettings();
	}
}
