package habbod2.communication.messages.incoming.users;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.users.RespectNotificationMessageComposer;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.sessions.Session;

public class RespectUserHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the user ID of the receiving user
		int receiverId = request.readInt();

		// This user is in the room and has respect to give out?
		if(session.inRoom() && session.getUser().respectPoints > 0)
		{
			// Get the receiver from the room
			RoomUser receiver = session.getRoomInstance().getUserByUserId(receiverId);
			if(receiver != null)
			{
				// Update the respect of both users, this is saved upon logout
				receiver.getInfo().respect++;
				session.getUser().respectPoints--;

				// Notify the room of this moment of sheer epicness
				session.getRoomInstance().broadcast(RespectNotificationMessageComposer.compose(receiver));
			}
		}
	}
}
