package habbod2.communication.messages.incoming.users;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.sessions.Session;
import habbod2.game.users.User;
import habbod2.game.users.UserManager;
import habbod2.communication.messages.outgoing.users.IgnoreResultMessageComposer;

public class UnignoreUserHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Determine user
		String username = request.readStr();
		UserManager userMgr = Instance.get().getGameMgr().getUserMgr();
		User user = userMgr.getUserByUsername(username);
		
		// Indeed ignored?
		if(session.hasIgnoredUser(user.id))
		{
			// Unignore!
			session.getIgnoredUsers().remove(user.id);
			userMgr.unignoreUser(session.getUser().id, user.id);
			
			// Notify user
			session.send(IgnoreResultMessageComposer.compose(IgnoreResultMessageComposer.UNIGNORED));
		}
	}
}
