package habbod2.communication.messages.outgoing.catalog;

import java.util.ArrayList;
import java.util.List;

import habbod2.communication.EServerMessage;
import habbod2.game.catalog.CatalogPage;
import habbod2.game.users.User;
import habbod2.net.protocol.ServerMessage;

public class CatalogIndexMessageComposer
{
	public static ServerMessage compose(List<CatalogPage> pages, User user)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.CatalogIndex);
		msg.appendBool(false);
		msg.appendInt(0);
		msg.appendInt(0);
		msg.appendInt(-1);
		msg.appendStr("");
		msg.appendInt(pages.size());
		for(CatalogPage page : pages)
		{
			serializePageMetaDataForUser(page, user, msg);
		}
		
		return msg;
	}
	
	private static void serializePageMetaDataForUser(CatalogPage page, User user, ServerMessage msg)
	{
		// Determine the visible children
		List<CatalogPage> children = new ArrayList<CatalogPage>();
		for(CatalogPage child : page.pages)
		{
			if(child.isVisibleTo(user))
			{
				children.add(child);
			}
		}

		// Serialize metadata of this page + visible children
		msg.appendBool(true);
		msg.appendInt(page.iconColor);
		msg.appendInt(page.iconImage);
		msg.appendInt(page.id);
		msg.appendStr(page.name);
		msg.appendInt(children.size());
		for(CatalogPage child : children)
		{
			serializePageMetaDataForUser(child, user, msg);
		}
	}
}
