package habbod2.communication.messages.outgoing.friendlist;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.messenger.MessengerBuddy;

import java.util.List;


public class UserSearchResultMessageComposer
{
	public static ServerMessage compose(List<MessengerBuddy> buddies, List<MessengerBuddy> nonBuddies)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserSearchResult);
		msg.appendInt(buddies.size());
		for(MessengerBuddy user : buddies)
		{
			serializeBuddy(user, msg);
		}
		msg.appendInt(nonBuddies.size());
		for(MessengerBuddy user : nonBuddies)
		{
			serializeBuddy(user, msg);
		}
		
		return msg;
	}
	
	private static void serializeBuddy(MessengerBuddy buddy, ServerMessage msg)
	{
		msg.appendInt(buddy.userId);
		msg.appendStr(buddy.username);
		msg.appendStr(buddy.motto);
		msg.appendBool(buddy.isOnline());
		msg.appendBool(buddy.inRoom());
		msg.appendStr("");
		msg.appendBool(false);
		msg.appendStr(buddy.figure);
		msg.appendStr(buddy.getOnlineStatus());
		msg.appendStr("");
	}
}
