package habbod2.communication.messages.outgoing.inventory.achievements;

import java.util.Map;
import java.util.Map.Entry;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.users.achievements.Achievement;
import habbod2.game.users.achievements.UserAchievement;

public class AchievementsMessageComposer
{
	public static ServerMessage compose(Map<Achievement, UserAchievement> achievements)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Achievements);
		msg.appendInt(achievements.size());
		for(Entry<Achievement, UserAchievement> entry : achievements.entrySet())
		{
			// Determine target level
			Achievement ach = entry.getKey();
			UserAchievement status = entry.getValue();
			int targetLevel = (status != null) ? status.level + 1 : 1;
			if(targetLevel > ach.levels.size())
			{
				targetLevel = ach.levels.size();
			}
			Achievement.Level target = ach.levels.get(targetLevel - 1);
			
			// Append the info
			serializeProgress(ach, status, target, msg);
		}
		
		return msg;
	}
	
	public static void serializeProgress(Achievement ach, UserAchievement status, Achievement.Level target, ServerMessage msg)
	{
		msg.appendInt(ach.id);
		msg.appendInt(target.num);
		msg.appendStr(ach.group + target.num);
		msg.appendInt(target.requiredProgress);
		msg.appendInt(target.rewardPixels);
		msg.appendInt(target.rewardScore);
		msg.appendInt(status != null ? status.progress : 0);
		msg.appendBool(status != null && status.level >= ach.levels.size());
		msg.appendStr(ach.category);
		msg.appendInt(ach.levels.size());
	}
}
