package habbod2.communication.messages.outgoing.inventory.badges;

import java.util.List;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.users.achievements.Achievement;

public class BadgePointLimitsMessageComposer
{
	public static ServerMessage compose(List<Achievement> achievements)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.BadgePointLimits);
		msg.appendInt(achievements.size());
		for(Achievement ach : achievements)
		{
			msg.appendStr(ach.group.startsWith("ACH_") ? ach.group.substring("ACH_".length()) : ach.group);
			msg.appendInt(ach.levels.size());
			for(Achievement.Level level : ach.levels)
			{
				msg.appendInt(level.num);
				msg.appendInt(level.requiredProgress);
			}
		}
		
		return msg;
	}
}
