package habbod2.communication.messages.outgoing.moderation;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.instances.RoomInstance;
import habbod2.game.rooms.navigator.RoomEvent;
import habbod2.net.protocol.ServerMessage;

public class ModeratorRoomInfoMessageComposer
{
	public static ServerMessage compose(Room room, RoomInstance instance)
	{
		RoomEvent event = instance != null ? instance.getEvent() : null;
		
		ServerMessage msg = ServerMessage.create(EServerMessage.ModeratorRoomInfo);
		msg.appendInt(room.id);
		msg.appendInt(room.usersNow);
		msg.appendBool((instance != null) && (instance.getUserByUserId(room.ownerId) != null)); // Owner inside?
		msg.appendInt(room.ownerId);
		msg.appendStr(room.ownerName);
		msg.appendInt(room.id);
		msg.appendStr(room.name);
		msg.appendStr(room.description);
		msg.appendStrList(room.tags);
		msg.appendBool(event != null);
		if(event != null)
		{
			msg.appendStr(event.name);
			msg.appendStr(event.description);
			msg.appendStrList(event.tags);
		}

		return msg;
	}
}
