package habbod2.communication.messages.outgoing.notifications;

import java.util.List;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.items.EItemFlags;
import habbod2.game.items.InventoryItem;
import habbod2.net.protocol.ServerMessage;

public class UnseenItemsMessageComposer
{
	public static final int FLOORITEMS = 1;
	public static final int WALLITEMS = 2;
	
	public static ServerMessage compose(List<InventoryItem> items)
	{
		// Determine last item
		InventoryItem last = items.get(items.size() - 1);
		
		// Build message
		ServerMessage msg = ServerMessage.create(EServerMessage.UnseenItems);
		msg.appendBool(true);
		msg.appendInt(last.is(EItemFlags.FLOORITEM) ? FLOORITEMS : WALLITEMS);
		msg.appendInt(items.size());
		for(InventoryItem item : items)
		{
			msg.appendInt(item.id);
		}
		
		return msg;
	}
}
