package habbod2.communication.messages.outgoing.userdefinedroomevents;

import java.util.List;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.wired.WiredCondition;

public class WiredFurniConditionMessageComposer
{
	public static ServerMessage compose(WiredCondition item)
	{
		// Get selected items
		List<RoomFloorItem> selected = item.getSelectedItems();
		
		// Build the message
		ServerMessage msg = ServerMessage.create(EServerMessage.WiredFurniCondition);
		msg.appendBool(false); // Disable advanced selection options
		msg.appendInt(WiredCondition.SELECT_LIMIT);
		msg.appendInt(selected.size());
		for(RoomFloorItem sel : selected)
		{
			msg.appendInt(sel.id);
		}
		msg.appendInt(item.definition.displayId);
		msg.appendInt(item.id);
		msg.appendStr(item.getText());
		msg.appendInt(item.getParams().length);
		for(int param : item.getParams())
		{
			msg.appendInt(param);
		}
		msg.appendInt(item.getSelectionType());
		msg.appendInt(item.getInterface());

		return msg;
	}
}
