package habbod2.communication.messages.outgoing.users;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.users.subscriptions.UserSubscription;
import habbod2.game.util.SecurityUtil;

public class ScrSendUserInfoMessageComposer
{
	public static ServerMessage compose(String subId)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.ScrSendUserInfo);
		msg.appendStr(SecurityUtil.filterStr(subId));
		msg.appendInt(0);
		msg.appendBool(false);
		msg.appendInt(0);
		
		return msg;
	}
	
	public static ServerMessage compose(UserSubscription sub)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.ScrSendUserInfo);
		msg.appendStr(sub.type.id);
		msg.appendInt(sub.getDaysInMonthLeft());
		msg.appendBool(true);
		msg.appendInt(sub.getMonthsLeft());
		
		msg.appendBool(true); // ??
		msg.appendBool(true); // ??
		msg.appendInt(sub.type.specialRightsLevel); // Special rights level (0 = none, 1 = HC, 2 = VIP, etc etc etc)
		
		return msg;
	}
}
