package habbod2.communication.messages.outgoing.users;

import java.util.List;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.users.badges.Badge;

public class UserBadgesMessageComposer
{
	public static ServerMessage compose(RoomUser user)
	{
		List<Badge> equipped = user.getSession().getBadgeInventory().getEquippedBadges();
					
		ServerMessage msg = ServerMessage.create(EServerMessage.UserBadges);
		msg.appendInt(user.getInfo().id);
		msg.appendInt(equipped.size());
		for(Badge badge : equipped)
		{
			msg.appendInt(badge.slot);
			msg.appendStr(badge.code);
		}
		
		return msg;
	}
}
