package habbod2.core;

import java.util.Map;
import java.util.HashMap;

import habbod2.System;
import habbod2.storage.DatabaseResult;
import habbod2.storage.SQLHelper;

public class Locale extends System.Component
{
	private String locale;
	private Map<String, String> entries;
	
	public Locale(System system)
	{
		super(system);
		this.entries = new HashMap<String, String>();
	}
	
	public String getLocale()
	{
		return this.locale;
	}
	
	public void setLocale(String locale)
	{
		// Clear!
		this.entries.clear();
		
		// Load all entries
		DatabaseResult result = this.getSystem().getDb().query("SELECT `key`,`value` FROM system_locale WHERE locale='" + SQLHelper.escape(locale) + "'");
		while(result.row())
		{
			this.entries.put(result.getString("key"), result.getString("value"));
		}
		result.release();
		
		// Locale updated!
		this.locale = locale;
		this.getLogger().info(this, String.format("Loaded %d entries for '%s'.", this.entries.size(), locale));
	}
	
	public void reload()
	{
		this.setLocale(this.getLocale());
	}
	
	public String localize(String key, Object... args)
	{
		String value = this.entries.get(key);
		if(value != null)
		{
			if(args.length > 0)
			{
				return String.format(value, args);
			}
			else
			{
				return value;
			}
		}
		else
		{
			if(args.length > 0)
			{
				return String.format(key, args);
			}
			else
			{
				return key;
			}
		}
	}

	public int size()
	{
		return this.entries.size();
	}
	
	public static String _I(String key, Object... args)
	{
		return System.get().getLocale().localize(key, args);
	}
}
