package habbod2.util;

import java.util.Date;
import java.text.SimpleDateFormat;

public class StringUtil
{
	private static final SimpleDateFormat DATE_FORMAT = new SimpleDateFormat("dd-MM-yyy");
	private static final SimpleDateFormat DATETIME_FORMATTER = new SimpleDateFormat("dd-MM-yyyy HH:mm:ss");
	
	public static String formatDate(long millis)
	{
		return formatDate(new Date(millis));
	}

	public static String formatDate(Date date)
	{
		return DATE_FORMAT.format(date);
	}

	public static String getCurrentDate()
	{
		return formatDate(new Date());
	}

	public static String formatDateTime(long millis)
	{
		return formatDateTime(new Date(millis));
	}

	public static String getCurrentDateTime()
	{
		return formatDateTime(new Date());
	}

	public static String formatDateTime(Date date)
	{
		return DATETIME_FORMATTER.format(date);
	}
	
	public static int parseInt(Object obj)
	{
		return parseInt(obj.toString());
	}
	
	public static int parseInt(String s)
	{
		if(s != null && !s.isEmpty())
		{
			try
			{
				return Integer.parseInt(s);
			}
			catch(Exception ex)
			{

			}
		}
		return 0;
	}
	
	public static float parseFloat(String s)
	{
		if(s != null && !s.isEmpty())
		{
			try
			{
				return Float.parseFloat(s);
			}
			catch(Exception ex)
			{

			}
		}
		return 0.0f;
	}
	
	public static long parseDateTime(String s)
	{
		try
		{
			return DATETIME_FORMATTER.parse(s).getTime();
		}
		catch (Exception ex)
		{
			return 0;
		}
	}
	
	public static String join(Iterable<String> items, String delimiter)
	{
		return null;
	}
}
