package habbod2.game.catalog;

import java.util.ArrayList;
import java.util.List;

import habbod2.game.users.User;

public class CatalogPage
{
	// Core info
	public int id;
	public int parentId;
	public String name;
	public String requiredRight;
	
	// Flags
	public boolean isEnabled;
	public boolean isCategory;

	// Layout data + content
	public int iconColor;
	public int iconImage;
	public String layout;
	public String headlineImage;
	public String teaserImage;
	public String specialImage;
	public String text1;
	public String text2;
	public String details;
	public String teaserText;

	// Inner pages and products
	public List<CatalogPage> pages = new ArrayList<CatalogPage>();
	public List<CatalogProduct> products = new ArrayList<CatalogProduct>();

	public boolean isVisibleTo(User user)
	{
		if(!this.isEnabled)
		{
			return false;
		}
		
		if(this.requiredRight != null && !user.hasRight(this.requiredRight))
		{
			return false;
		}
		
		return true;
	}
	
	public boolean isAccessibleTo(User user)
	{
		if(this.isCategory)
		{
			return false;
		}
		
		if(!this.isVisibleTo(user))
		{
			return false;
		}
		
		return true;
	}
}
