package habbod2.game.items;

import habbod2.System;
import habbod2.game.rooms.items.RoomItem;
import habbod2.storage.SQLHelper;

public abstract class Item
{
	public static final String ERROR_DATA = Character.toString((char)1);
	
	public int id;
	public ItemDefinition definition;
	public String state = "";
	public String data = "";
	
	private boolean requiresDbUpdate;
	
	public boolean is(char flag)
	{
		return this.definition.is(flag);
	}
	
	public boolean is(Class<? extends RoomItem> roomClass)
	{
		return this.definition.is(roomClass);
	}
	
	public final void requireDbUpdate()
	{
		this.requiresDbUpdate = true;
	}

	public final void dbUpdated()
	{
		this.requiresDbUpdate = false;
	}

	public final boolean requiresDbUpdate()
	{
		return this.requiresDbUpdate;
	}
	
	public boolean create(int ownerId)
	{
		if(this.id == 0)
		{
			this.id = System.get().getDb().executeReturnKey("INSERT INTO items(definition_id,owner_id,state,data) VALUES (" + this.definition.id + "," + ownerId + ",'" + SQLHelper.escape(this.state) + "','" + SQLHelper.escape(this.data) + "')");
			if(this.id > 0)
			{
				return true;
			}
		}
		
		return false;
	}
	
	public void delete()
	{
		System.get().getDb().execute("DELETE FROM items WHERE id=" + this.id);
	}
}
