package habbod2.game.music;

import java.util.HashMap;
import java.util.Map;

import habbod2.game.GameComponent;
import habbod2.game.GameManager;
import habbod2.storage.DatabaseResult;

public class MusicManager extends GameComponent
{
	private Map<Integer, Song> songs;
	
	public MusicManager(GameManager gameMgr)
	{
		super(gameMgr);
		this.songs = new HashMap<Integer, Song>();
	}
	
	public void reload()
	{
		this.songs.clear();
		
		DatabaseResult result = this.getDb().query("SELECT * FROM songs");
		while(result.row())
		{
			Song song = new Song();
			song.id = result.getInt("id");
			song.artist = result.getString("artist");
			song.title = result.getString("title");
			song.length = result.getInt("length");
			song.data = result.getString("data");
			this.songs.put(song.id, song);
		}
		result.release();
		
		this.getLogger().info(this, String.format("Loaded %d songs.", this.songs.size()));
	}
	
	public Song getSong(int songId)
	{
		return this.songs.get(songId);
	}
	
	public int songs()
	{
		return this.songs.size();
	}
}
