package habbod2.game.rooms.games;

import java.util.ArrayList;
import java.util.List;

public class GameTeam
{
	public enum ETeam2
	{
		One,
		Two,
		Three,
		Four
	}
	
	public enum ETeam
	{
		Red,
		Green,
		Blue,
		Yellow
	}
	
	public static final int MAX_PLAYERS = 5;
	
	private ETeam id;
	private GameSession game;
	private GameGateItem gate;
	private List<UserGameSession> players;
	private int score;
	
	public GameTeam(ETeam teamId, GameSession game)
	{
		this.id = teamId;
		this.game = game;
		this.players = new ArrayList<UserGameSession>(MAX_PLAYERS);
	}
	
	public ETeam getId()
	{
		return this.id;
	}
	
	public GameSession getGame()
	{
		return this.game;
	}
	
	public GameGateItem getGate()
	{
		return this.gate;
	}
	
	public int getScore()
	{
		return this.score;
	}
	
	public int size()
	{
		return this.players.size();
	}
	
	public boolean isFull()
	{
		return (this.size() >= MAX_PLAYERS);
	}
}
