package habbod2.game.rooms.minigames;

import habbod2.game.rooms.instance.RoomUser;

public class GameUserPlayer
{
	private RoomUser user;
	private GameTeam team;
	private int score;
	private int stats;
	
	public GameUserPlayer(RoomUser user, GameTeam team)
	{
		this.user = user;
		this.team = team;
	}
	
	public RoomUser getUser()
	{
		return this.user;
	}
	
	public Game getGame()
	{
		return this.team.getGame();
	}
	
	public GameTeam getTeam()
	{
		return this.team;
	}
	
	public int getScore()
	{
		return this.score;
	}
	
	public void addScore(int points)
	{
		this.score += points;
		this.team.addScore(points);
	}
	
	public int getStats()
	{
		return this.stats;
	}
	
	public void addStats(int n)
	{
		this.stats += n;
	}
	
	public void reset()
	{
		this.score = 0;
		this.stats = 0;
	}
}
