package habbod2.game.rooms.minigames.game;

import habbod2.game.rooms.instance.RoomInstance;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.minigame.freeze.GameTileItem;
import habbod2.game.rooms.minigames.Game;
import habbod2.game.rooms.minigames.GameTeam;
import habbod2.game.rooms.minigames.GameUserPlayer;
import habbod2.game.rooms.minigames.GameUserPlayer.GameValues;

public class FreezeGame extends Game
{
	public FreezeGame(RoomInstance room)
	{
		super(room);
	}

	@Override
	protected void onStart()
	{
		for(RoomFloorItem item : this.getItems())
		{
			if(item instanceof GameTileItem)
			{
				item.setState("0");
			}
		}
	}

	@Override
	protected void onStop(GameTeam winner)
	{
		// TODO Auto-generated method stub
		this.setAlive(false);
	}

	@Override
	protected void onPulse()
	{
		// TODO Auto-generated method stub
		
	}

	@Override
	public GameValues createValuesForPlayer()
	{
		return new FreezeValues();
	}

	public class FreezeValues implements GameUserPlayer.GameValues
	{
		public int lives;
		public int balls;
		public int range;
		public int ball;
		
		public boolean isFrozen;
		public boolean isInvincible;
	}
}
