package habbod2.game.rooms.navigator;

import habbod2.game.rooms.Room;
import habbod2.game.sessions.Session;

public class RoomEvent
{
	// Error codes
	public static final int ERROR_NONE = 0;
	public static final int ERROR_NOT_IN_ROOM = 1;
	public static final int ERROR_NOT_ROOM_OWNER = 2;
	public static final int ERROR_INCOMPATIBLE_ROOMSTATE = 3;
	public static final int ERROR_EVENTS_DISABLED = 4;
	public static final int ERROR_ALREADY_EVENT_HERE = 5;
	public static final int ERROR_ALREADY_EVENT_USER = 6;

	// Event info
	public String name;
	public String description;
	public int categoryId;
	public String[] tags;

	// Starter
	public Room room;
	public String startTime;

	public static int canCreateRoomEvent(Session session)
	{
		if(!session.inRoom())
		{
			return ERROR_NOT_IN_ROOM;
		}
		else if(session.getUser().id != session.getRoom().getInfo().ownerId)
		{
			return ERROR_NOT_ROOM_OWNER;
		}
		else if(session.getRoom().getInfo().state != Room.STATE_OPEN)
		{
			return ERROR_INCOMPATIBLE_ROOMSTATE;
		}
		else if(session.getRoom().getEvent() != null)
		{
			return ERROR_ALREADY_EVENT_HERE;
		}
		else if(session.getRoomEvent() != null)
		{
			return ERROR_ALREADY_EVENT_USER;
		}
		else
		{
			return ERROR_NONE;
		}
	}
}
