package habbod2.game.sessions;

import habbod2.communication.messages.outgoing.handshake.PingMessageComposer;
import habbod2.net.protocol.ServerMessage;

import java.util.ArrayList;
import java.util.List;

public class PingPongChecker implements Runnable
{
	private SessionManager sessionMgr;
	private ServerMessage ping;
	
	public PingPongChecker(SessionManager sessionMgr)
	{
		this.sessionMgr = sessionMgr;
		this.ping = PingMessageComposer.compose();
	}
	
	@Override
	public void run()
	{
		// Check pong status of every session
		List<Session> timeout = new ArrayList<Session>();
		for(Session session : this.sessionMgr.getAllSessions())
		{
			if(session.pongOk)
			{
				session.pongOk = false;
				session.send(this.ping);
			}
			else
			{
				timeout.add(session);
				continue;
			}
		}
		
		// End the timed out sessions
		for(Session session : timeout)
		{
			session.end("ping/pong timeout");
		}
	}
}
