package habbod2.game.users;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import habbod2.System;
import habbod2.game.access.UserRole;
import habbod2.storage.DatabaseResult;
import habbod2.storage.SQLHelper;

public class User
{
	// Core
	public int id;
	public String username;
	public String realName;
	public UserRole role;

	// Statistics
	public long registeredTime;
	public boolean onlineNow;
	public long lastOnlineTime;

	// Appearance
	public String figure;
	public char gender;
	public String motto;

	// Currencies
	public int credits;
	public int pixels;
	public int pearls;

	// Preferences
	public int homeRoomId;

	// Respecting
	public int respect;
	public int respectPoints;
	public int petRespectPoints;

	// Aggregrated data
	public List<String> rights;
	public byte specialRightsLevel;
	public Map<Integer, Integer> achievements;
	public List<Integer> ratedRooms = new ArrayList<Integer>(0);
	public List<String> tags;
	
	public void saveAppearance()
	{
		System.get().getDb().execute("UPDATE users SET figure='" + SQLHelper.escape(this.figure) + "',gender='" + this.gender + "',motto='" + SQLHelper.escape(this.motto) + "' WHERE id=" + this.id);
	}

	public void saveCurrencies()
	{
		System.get().getDb().execute("UPDATE users SET credits=" + this.credits + ",pixels=" + this.pixels + ",pearls=" + this.pearls + " WHERE id=" + this.id);
	}

	public void reloadCurrencies()
	{
		DatabaseResult db = System.get().getDb().query("SELECT credits,pixels,pearls FROM users WHERE id=" + this.id);
		if(db.row())
		{
			this.credits = db.getInt("credits");
			this.pixels = db.getInt("pixels");
			this.pearls = db.getInt("pearls");
		}
		db.release();
	}

	public void saveMisc()
	{
		System.get().getDb().execute("UPDATE users SET homeroom_id=" + this.homeRoomId + ",respect=" + this.respect + ",respect_points=" + this.respectPoints + ",petrespect_points=" + this.petRespectPoints + " WHERE id=" + this.id);
	}

	public void updateLastOnline(boolean onlineNow)
	{
		this.onlineNow = onlineNow;
		this.lastOnlineTime = System.get().getTime();
		System.get().getDb().execute("UPDATE users SET online=" + (onlineNow ? '1' : '0') + ",lastonline='" + SQLHelper.formatDate(this.lastOnlineTime) + "',auth_ticket=NULL WHERE id=" + this.id);
	}

	public static User parse(DatabaseResult row)
	{
		User user = new User();
		user.id = row.getInt("id");
		user.username = row.getString("username");
		user.realName = row.getString("realname");
		user.role = System.get().getGameMgr().getAccessCtrl().getUserRole(row.getInt("role_id"));
		user.registeredTime = row.getTime("registered");
		user.lastOnlineTime = row.getTime("lastonline");
		user.onlineNow = row.getBoolean("online");
		user.figure = row.getString("figure");
		user.gender = row.getString("gender").equals("F") ? 'F' : 'M';
		user.motto = row.getString("motto");
		user.credits = row.getInt("credits");
		user.pixels = row.getInt("pixels");
		user.pearls = row.getInt("pearls");
		user.homeRoomId = row.getInt("homeroom_id");
		user.respect = row.getInt("respect");
		user.respectPoints = row.getInt("respect_points");
		user.petRespectPoints = row.getInt("petrespect_points");
		return user;
	}
}
