package habbod2.game.util;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Map.Entry;

public class FigureUtil
{
	public static String getFigure(String figure, String overrides)
	{
		// No overrides?
		if(overrides == null || overrides.isEmpty())
		{
			return figure;
		}
		
		// Generate mapping of all parts
		Map<String, String> parts = new HashMap<String, String>(8);
		for(String part : figure.split("\\."))
		{
			String[] bits = part.split("-", 2);
			parts.put(bits[0], bits[1]);
		}
		
		// Apply overrides
		for(String part : overrides.split("\\."))
		{
			String[] bits = part.split("-", 2);
			if(!bits[0].equals("hd"))
			{
				parts.put(bits[0], bits[1]);
			}
		}
		
		// Compute 'merged' string
		figure = "";
		Iterator<Entry<String, String>> it = parts.entrySet().iterator();
		while(it.hasNext())
		{
			Entry<String, String> part = it.next();
			figure += part.getKey() + '-' + part.getValue();
			if(it.hasNext())
			{
				figure += '.';
			}
		}
		return figure;
	}
}
