package habbod2.game.rooms.items.banzai;

import habbod2.communication.messages.outgoing.room.engine.SlideObjectBundleMessageComposer;
import habbod2.game.rooms.geometry.RoomTile;
import habbod2.game.rooms.geometry.RotationCalculator;
import habbod2.game.rooms.instance.RoomAvatar;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.minigames.GameUserPlayer;

public class PuckItem extends RoomFloorItem
{
	@Override
	public void onAvatarStepOn(RoomAvatar avatar)
	{
		// RoomUser?
		if(!(avatar instanceof RoomUser))
		{
			return;
		}
		
		// Playing?
		GameUserPlayer session = ((RoomUser)avatar).getPlayer();
		if(session == null || !session.getGame().isRunning())
		{
			return;
		}
		
		// Puck!
		this.setState(1);//session.getTeam().getId().ordinal() + 2);
	}
	
	@Override
	public boolean onToggle(RoomUser user, int operation)
	{
		if(user == null || !user.tile.touches(this.getTile()))
		{
			return false;
		}
		
		this.shoot(user);
		return true;
	}
	
	public void shoot(RoomUser user)
	{
		RoomTile from = this.getTile();
		RoomTile to = from;
		final int maxTiles = 6;
		
		int moved = 0;
		int[] dir = RotationCalculator.getDirections(user.bodyRotation);
		while(moved < maxTiles)
		{
			RoomTile tile = this.getRoom().getMap().getTile(to.x + dir[0], to.y + dir[1]);
			if(tile != null && tile.isOpen())
			{
				to = tile;
				moved++;
			}
			else
			{
				break;
			}
		}
		
		/*
		int moved = 0;
		while(moved < maxTiles)
		{
			RoomTile tile = this.getRoom().getMap().getTile(to.x + 1, to.y);
			if(tile != null && tile.isOpen())
			{
				to = tile;
				moved++;
			}
			else
			{
				break;
			}
		}*/
		
		// Movable?
		if(to == from)
		{
			user.getSession().sendWhisperNotif("Ik zit vast.");
		}
		else
		{
			// Update item
			float fromZ = this.z;
			/*
			this.x = to.x;
			this.y = to.y;
			this.z = to.height;
			this.requireDbUpdate();*/
			this.getRoom().moveItem(this.id, to.x, to.y, this.rotation, false);
			
			// Slide!
			this.setTempState(1);
			this.getRoom().broadcast(SlideObjectBundleMessageComposer.compose(this, from, fromZ, null));
		}
	}
}
