package habbod2.game.rooms.items.floor;

import habbod2.game.rooms.geometry.RoomTile;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.util.GameUtil;

public class ElevatableItem extends SwitchStateItem
{
	@Override
	public float getTopHeight()
	{
		int current = GameUtil.parseInt(this.state);
		float increment = (this.definition.data.indexOf(' ') == -1) ? 1 : GameUtil.parseFloat(this.definition.data.split(" ")[1]);
		return this.definition.height + ((current * increment));
	}
	
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		if(super.onToggle(user, instruction))
		{
			this.getRoom().rebuildFloorMap();
			for(RoomTile tile : this.getTiles())
			{
				this.getRoom().refreshAvatarsOnTile(tile);
			}
			
			return true;
		}
		else
		{
			return false;
		}
	}
}
