package habbod2.game.rooms.items.floor;

import java.util.concurrent.CopyOnWriteArrayList;

import habbod2.game.util.GameUtil;
import habbod2.game.rooms.instance.RoomInstance;

public class RandomTeleporterItem extends TeleporterItem
{
	private static CopyOnWriteArrayList<Integer> teleporters = new CopyOnWriteArrayList<Integer>();
	
	@Override
	public void onRoomAdd(RoomInstance room)
	{
		teleporters.add(this.id);
	}
	
	@Override
	public void onRoomRemove(RoomInstance room)
	{
		teleporters.remove(new Integer(this.id));
	}
	
	@Override
	public int getOtherId()
	{
		// No other teleporters in loaded room?
		if(teleporters.size() <= 1)
		{
			return 0;
		}
		else
		{
			// Return a random, different ID from the list
			int itemId = this.id;
			while(itemId == this.id)
			{
				itemId = GameUtil.getRandomElement(teleporters);
			}
			return itemId;
		}
	}
}
