package habbod2.game.rooms.items.floor;

import habbod2.communication.messages.outgoing.room.engine.SlideObjectBundleMessageComposer;
import habbod2.game.rooms.geometry.RoomTile;
import habbod2.game.rooms.geometry.RotationCalculator;
import habbod2.game.rooms.instance.RoomAvatar;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;

public class ShootableItem extends RoomFloorItem
{
	@Override
	public void onAvatarStepOn(RoomAvatar avatar)
	{
		//this.shoot(avatar, 2);
	}
	
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		RoomTile tile = this.getTile();
		if(user.tile.touches(tile))
		{
			//byte required = RotationCalculator.calculateDirection(user.tile.x, user.tile.y, tile.x, tile.y);
			//if(user.bodyRotation == required)
			{
				this.shoot(user, 3);
			}
			//else
			{
				user.lookTo(tile, false);
			}
		}
		else
		{
			if(user.canMove())
			{
				//user.setGoal(this.getTileInFront());
			}
		}
		
		return true;
	}
	
	public boolean shoot(RoomAvatar avatar, final int maxTiles)
	{
		// Record begin position
		RoomTile from = this.getTile();
		RoomTile to = from;
		
		// Shoot max x tiles in front of avatar, stop at obstacles
		int moved = 0;
		int[] dir = RotationCalculator.getDirections(avatar.bodyRotation);
		while(moved < maxTiles)
		{
			RoomTile tile = this.getRoom().getMap().getTile(to.x + dir[0], to.y + dir[1]);
			if(tile != null && tile.isOpen())
			{
				to = tile;
				moved++;
			}
			else
			{
				break;
			}
		}
		
		// Movable?
		if(to == from)
		{
			return false;
		}
		else
		{
			// Update item
			float fromZ = this.z;
			try
			{
				this.getRoom().moveItem(this.id, to.x, to.y, this.rotation, false);
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
			}
			
			// TODO: move over items, check end position etc
			
			// OK!
			this.setState(1);
			this.getRoom().broadcast(SlideObjectBundleMessageComposer.compose(this, from, fromZ, null));
			return true;
		}
	}
}
