package habbod2.game.rooms.items.minigame;

import habbod2.game.rooms.instance.RoomAvatar;
import habbod2.game.rooms.instance.RoomInstance;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.minigames.Game;
import habbod2.game.rooms.minigames.GameTeam;
import habbod2.game.rooms.minigames.GameTeam.ETeam;
import habbod2.game.util.GameUtil;

public class GateItem extends RoomFloorItem
{
	private ETeam team;
	private int effectId;
	
	@Override
	public void onRoomAdd(RoomInstance room)
	{
		String[] data = this.definition.data.split(" ");
		this.team = ETeam.valueOf(data[0]);
		this.effectId = GameUtil.parseInt(data[1]);
		this.setState("0");
	}
	
	@Override
	public void onAvatarStepOn(RoomAvatar avatar)
	{
		// Get user
		if(!(avatar instanceof RoomUser))
		{
			return;
		}
		RoomUser user = (RoomUser)avatar;
		
		// Quit or join? (gate is where users get/lose effect)
		if(user.getPlayer() != null)
		{
			user.setPlayer(null);
			user.clearEffect(RoomUser.EFFECT_GAME);
		}
		else
		{
			Game game = this.getRoom().getMinigame();
			if(game != null)
			{
				GameTeam team = game.getTeam(this.team);
				if(team != null && team.addPlayer(user))
				{
					user.setEffect(RoomUser.EFFECT_GAME, this.effectId);
				}
			}
		}
	}
	
	public ETeam getTeamId()
	{
		return this.team;
	}
	
	public void setPlayerCount(int count)
	{
		this.setState(count);
	}
}
