package habbod2.game.rooms.items.wired;

import habbod2.game.rooms.instance.RoomUser;

import java.util.ArrayList;
import java.util.List;

public class WiredTriggerManager
{
	private List<WiredTrigger> triggers;

	public void add(WiredTrigger trigger)
	{
		if(this.triggers == null)
		{
			this.triggers = new ArrayList<WiredTrigger>();
		}
		this.triggers.add(trigger);
	}
	
	public void remove(WiredTrigger trigger)
	{
		if(this.triggers != null)
		{
			this.triggers.remove(trigger);
		}
	}
	
	public void execute(RoomUser user, Class<? extends WiredTrigger> type)
	{
		if(this.triggers != null)
		{
			for(WiredTrigger trigger : this.triggers)
			{
				if(trigger.getClass() == type)
				{
					trigger.execute(user);
				}
			}
		}
	}
}
