package habbod2.game.rooms.items.wired.actions;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.wired.WiredAction;
import habbod2.game.rooms.minigames.GameUserPlayer;

public class GiveGameScoreAction extends WiredAction
{
	public static final int PARAM_POINTS = 0;
	public static final int PARAM_USELIMIT = 1;
	
	private int timesUsed;
	private int gameId;
	
	@Override
	public int getInterface()
	{
		return 6;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 2;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		// Triggering user is playing?
		GameUserPlayer session = user.getPlayer();
		if(session != null && session.getGame().isRunning())
		{
			// Points configured?
			if(this.getParam(PARAM_POINTS) > 0)
			{
				// Different game? Reset usage counter
				if(session.getGame().getId() != this.gameId)
				{
					this.timesUsed = 0;
					this.gameId = session.getGame().getId();
				}
				
				// Can be used?
				if(this.getParam(PARAM_USELIMIT) == 0 || this.timesUsed < this.getParam(PARAM_USELIMIT))
				{
					this.timesUsed++;
					session.getTeam().addScore(this.getParam(PARAM_POINTS));
				}
			}
		}
	}
}
