package habbod2.game.rooms.items.wired.actions;

import habbod2.System;
import static habbod2.core.Locale._I;
import habbod2.game.catalog.Catalog;
import habbod2.game.catalog.CatalogProduct;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.wired.WiredAction;
import habbod2.game.util.GameUtil;

public class GiveProductAction extends WiredAction
{	
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		// Get catalog
		Catalog catalog = System.get().getGameMgr().getCatalog();
		
		// Get product
		int productId = GameUtil.parseInt(this.getText());
		CatalogProduct product = catalog.getProduct(productId);
		if(product == null)
		{
			return;
		}
		
		// 'Buy' it for this user as a gift
		String message = _I("%s in %s", GameUtil.getCurrentDateTime(), this.getRoom().getInfo().name);
		catalog.purchaseAsGift(product, null, message, user.getInfo().id, "");
	}
}