package habbod2.game.rooms.items.wired.actions;

import static habbod2.core.Locale._I;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.wired.WiredAction;

public class KickUserAction extends WiredAction
{	
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		if(!user.hasRoomOwner && user.getInfo().rights.contains("wired_kickable"))
		{
			String message = _I("Kicked by wired.actions.KickUserAction: %s", this.getText());
			user.getSession().kickFromRoom(message);
		}
	}
}
