package habbod2.game.rooms.items.wired.conditions;

import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.wired.WiredCondition;

public class ItemsMatchSnapshotsCondition extends WiredCondition
{
	@Override
	public int getInterface()
	{
		return 0;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 3;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		for(RoomFloorItem item : this.getSelectedItems())
		{
			ItemSnapshot snapshot = this.getSnapshot(item.id);
			if(snapshot != null)
			{
				if(this.getParam(PARAM_STATE) == 1)
				{
					if(!item.state.equals(snapshot.state))
					{
						return false;
					}
				}
				if(this.getParam(PARAM_ROTATION) == 1)
				{
					if(item.rotation != snapshot.rotation)
					{
						return false;
					}
				}
				if(this.getParam(PARAM_POSITION) == 1)
				{
					if(!(item.x == snapshot.x && item.y == snapshot.y))
					{
						return false;
					}
				}
			}
		}
		
		return true;
	}
	
	private ItemSnapshot getSnapshot(int itemId)
	{
		if(this.snapshots != null)
		{
			for(ItemSnapshot snapshot : this.snapshots)
			{
				if(snapshot.itemId == itemId)
				{
					return snapshot;
				}
			}
		}
		
		return null;
	}
}
