package habbod2.game.rooms.items.wired.conditions;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;

import habbod2.game.rooms.instances.RoomUser;

public class PostTimestampCondition extends TextValueCondition
{
	private static final DateFormat format = new SimpleDateFormat("dd-MM-yyyy hh:mm");
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Parse defined timestamp
		long time;
		try
		{
			String timestamp = this.getText();
			time = PostTimestampCondition.format.parse(timestamp).getTime();
		}
		catch (ParseException e)
		{
			// Bad timestamp, condition always evaluates to false
			return false;
		}
		
		// Get current time
		long timeNow = System.currentTimeMillis();
	
		// Current time needs to be past the timestamp
		return (timeNow > time);
	}
}
