package habbod2.game.rooms.items.wired.conditions;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.items.wired.WiredAction;
import habbod2.game.rooms.items.wired.WiredCondition;
import habbod2.net.protocol.ServerMessage;

public abstract class TextValueCondition extends WiredCondition
{
	@Override
	public int getInterface()
	{
		return 7;
	}

	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}

	@Override
	public ServerMessage getDialog()
	{
		// Make this item appear like an Action so text input field (7) is available
		ServerMessage msg = ServerMessage.create(EServerMessage.WiredFurniAction);
		msg.appendBool(false); // Disable advanced selection options
		msg.appendInt(WiredAction.SELECT_LIMIT);
		msg.appendInt(0); // No selected items anyway
		msg.appendInt(this.definition.displayId);
		msg.appendInt(this.id);
		msg.appendStr(this.getText());
		msg.appendInt(0); // No params anyway
		msg.appendInt(this.getSelectionType());
		msg.appendInt(this.getInterface());
		msg.appendInt(0); // Delay
		msg.appendInt(0); // No conflicts anyway
		msg.appendStr(""); // Unknown
		
		return msg;
	}
}
