package habbod2.game.rooms.items.wired.conditions;

import habbod2.game.rooms.instances.RoomTile;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.wired.WiredCondition;

public class UserOnItemCondition extends WiredCondition
{
	@Override
	public int getInterface()
	{
		return 8;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Check the selected items
		if(user != null)
		{
			for(RoomFloorItem item : this.getSelectedItems())
			{
				// Check all the tiles of this item
				for(RoomTile tile : item.getTiles())
				{
					// Is the triggering user here?
					if(user.at(tile))
					{
						return true;
					}
				}
			}
		}
		
		// The triggering user was NOT on one of the the selected items
		return false;
	}
}
