package habbod2.game.rooms.items.wired.extra;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.util.StringUtil;

public class SwitchItem extends RoomFloorItem
{
	@Override
	protected boolean onToggle(RoomUser user, int instruction)
	{
		// User operating?
		if(user == null)
		{
			return false;
		}
		
		// Require touching
		if(!user.getTile().touches(this.getTile()) && user.canMove())
		{
			user.setGoal(this.getTileInFront());
			return false;
		}
		
		// Parse current state + available states
		int state = StringUtil.parseInt(this.state);
		int availableStates = StringUtil.parseInt(this.definition.data.split(" ")[0]);
		
		// Next state!
		state++;
		if(state >= availableStates)
		{
			state = 0;
		}
		this.setState(Integer.toString(state));
		
		return true;
	}
}
