package habbod2.game.rooms.items.wired.triggers;

import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.sessions.Session;
import habbod2.game.rooms.items.wired.WiredTrigger;

public class UserEntersRoomTrigger extends WiredTrigger
{
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	protected boolean suppliesUser()
	{
		return true;
	}
	
	public static void executeTriggers(Session session)
	{
		// Fire all matching triggers
		for(RoomFloorItem item : session.getRoomInstance().getFloorItems())
		{
			if(item instanceof UserEntersRoomTrigger)
			{
				// Handle 'trigger only for user x' setting
				UserEntersRoomTrigger trigger = (UserEntersRoomTrigger)item;
				if(trigger.getText().isEmpty() || session.getUser().username.equals(trigger.getText()))
				{
					trigger.execute(session.getRoomUser());
				}
			}
		}
	}
}
