package habbod2.game.chatcommands.room;

import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.pets.RoomPet;
import habbod2.game.rooms.instance.RoomActor;
import habbod2.game.rooms.instance.RoomInstance;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class MountPetCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Dismount or mount?
		RoomUser user = session.getRoomUser();
		if(user.isMounted())
		{
			user.getMount().chat("Pff... |", false);
			user.setMount(null);
		}
		else
		{
			// Find the pet
			RoomPet pet = this.getMountByName(user.getRoom(), args[0]);
			if(pet == null || pet.hasRider() || !user.touches(pet))
			{
				return;
			}
			
			// Let's mount!
			user.chat("BRRRRAAANSJENNN!", true);
			user.setMount(pet);
			user.getSession().sendWhisperNotif("Riemen vast: AAN.");
			pet.chat("WTF!", true);
			user.getSession().sendWhisperNotif(String.format("Je braansjt nu op %s van %s, op een hoogte van %s.", pet.getInfo().name, pet.getInfo().ownerName, pet.getInfo().type.mountHeight));
		}
	}
	
	private RoomPet getMountByName(RoomInstance room, String name)
	{
		for(RoomActor actor : room.getAllActors())
		{
			if(actor instanceof RoomPet)
			{
				RoomPet pet = (RoomPet)actor;
				if(pet.getInfo().name.equalsIgnoreCase(name))
				{
					if(pet.getInfo().type.isMountable())
					{
						return pet;
					}
				}
			}
		}
		
		return null;
	}
}
