package habbod2.game.chatcommands.room;

import static habbod2.core.Locale._I;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.rooms.Room;
import habbod2.game.sessions.Session;
import habbod2.util.StringUtil;

public class SetMaxUsersCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Determine and validate new interval
		int maxUsers = StringUtil.parseInt(args[0]);
		if(maxUsers <= 0)
		{
			session.sendWhisperNotif(_I("New user maximum must be higher than zero."));
		}
		else
		{
			// Update info
			Room room = session.getRoom().getInfo();
			room.usersMax = maxUsers;
			room.saveSettings();
			
			// OK!
			session.sendWhisperNotif(_I("User maximum updated to %d.", maxUsers));
		}
	}
}
