package habbod2.communication.messages.incoming.friendlist;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.messenger.InstantMessenger;
import habbod2.game.messenger.MessengerBuddy;
import habbod2.game.messenger.MessengerService;
import habbod2.game.sessions.Session;


public class RemoveBuddyHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get messenger + service
		InstantMessenger messenger = session.getMessenger();
		MessengerService svc = Instance.get().getGameMgr().getMessengerSvc();
		
		// Determine amount of user IDs in the message
		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			// Read this user ID
			int userId = request.readInt();

			// If this user is really a buddy, then destroy the relations and update the messengers
			MessengerBuddy buddy = messenger.getBuddy(userId);
			if(buddy != null)
			{
				messenger.removeBuddy(buddy.userId);
				if(buddy.isOnline())
				{
					buddy.messenger.removeBuddy(session.getUser().id);
				}
				svc.deleteRelation(session.getUser().id, buddy.userId);
			}
		}
	}
}
