package habbod2.communication.messages.incoming.handshake;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.sessions.Session;
import habbod2.game.users.User;
import habbod2.game.users.UserManager;

public class SSOTicketHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read ticket
		String ticket = request.readStr();
		
		// Find user for ticket
		UserManager userMgr = Instance.get().getGameMgr().getUserMgr();
		User user = userMgr.getUserByAuthTicket(ticket);
		
		// User exists?
		if(user != null)
		{
			session.authenticate(user);
		}
		else
		{
			session.end("invalid auth ticket");
		}
	}
}
