package habbod2.communication.messages.incoming.help;

import java.util.List;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.help.HelpTool;
import habbod2.game.help.HelpTopic;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.help.FaqClientFaqsMessageComposer;

public class GetClientFaqsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get helptool
		HelpTool tool = Instance.get().getGameMgr().getHelpTool();
		
		// Send important topics and known issues
		List<HelpTopic> important = tool.getImportantTopics();
		List<HelpTopic> knownIssues = tool.getKnownIssues();
		session.send(FaqClientFaqsMessageComposer.compose(important, knownIssues));
	}
}
