package habbod2.communication.messages.incoming.moderator;

import java.util.List;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.moderation.RoomVisitsMessageComposer;
import habbod2.game.GameManager;
import habbod2.game.rooms.RoomVisit;
import habbod2.game.sessions.Session;
import habbod2.game.users.User;

public class GetRoomVisitsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Has mod?
		if(!session.getUser().hasRight("fuse_mod"))
		{
			return;
		}
		
		// Get game mgr
		GameManager game = Instance.get().getGameMgr();
		
		// Get user
		int userId = request.readInt();
		User user = game.getUserMgr().getUserById(userId);
		if(user == null)
		{
			return;
		}

		// Get last 50 visits
		List<RoomVisit> visits = game.getRoomMgr().getLastRoomVisitsForUser(userId, 50);
		
		// Send results
		session.send(RoomVisitsMessageComposer.compose(user, visits));
	}
}
