package habbod2.communication.messages.incoming.moderator;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.moderation.ModerationActionError;
import habbod2.game.moderation.ModerationCenter;
import habbod2.game.sessions.Session;


public class ModMessageHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Can alert?
		if(!session.getUser().hasRight("fuse_alert"))
		{
			return;
		}
		
		// Read info
		int userId = request.readInt();
		String message = request.readStr();
		
		// Issue alert (non-caution)
		try
		{
			ModerationCenter ctr = Instance.get().getGameMgr().getModerationCenter();
			ctr.issueUserAlert(session.getUser().id, userId, message, false);
		}
		catch(ModerationActionError error)
		{
			session.sendNotif(error.generateNotif());
		}
	}
}
