package habbod2.communication.messages.incoming.room.action;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.FlatAccessDeniedMessageComposer;
import habbod2.communication.messages.outgoing.room.session.FlatAccessibleMessageComposer;
import habbod2.game.sessions.Session;
import habbod2.game.sessions.SessionManager;

public class LetUserInHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// User allowed to answer doorbells?
		if(session.inRoom() && session.getRoomUser().hasRoomRights)
		{
			// Determine user to allow/deny
			String username = request.readStr();
			boolean allowEnter = request.readFixedBool();
			
			// Issue decision, first come = first serve
			SessionManager sessionMgr = Instance.get().getGameMgr().getSessionMgr();
			Session otherSession = sessionMgr.getSessionByUsername(username);
			if(otherSession != null && !otherSession.inRoom())
			{
				if(allowEnter)
				{
					otherSession.authenticatedRoomId = session.getRoom().getInfo().id;
					otherSession.send(FlatAccessibleMessageComposer.compose());
				}
				else
				{
					otherSession.send(FlatAccessDeniedMessageComposer.compose());
				}
			}
		}
	}
}
