package habbod2.communication.messages.incoming.room.engine;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.pets.RoomPet;
import habbod2.game.sessions.Session;

public class RemovePetFromFlatHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the requested pet from room instance
		int petId = request.readInt();
		RoomPet pet = (RoomPet) session.getRoom().getActorByActorKey("p" + petId);
		if(pet != null && pet.getInfo().ownerId == session.getUser().id)
		{
			// Remove actor from room
			session.getRoom().removeActor(pet);
			
			// Add pet to inventory
			pet.syncAndSaveLocationInfo(null);
			session.getPetInventory().addPet(pet.getInfo());
		}
	}
}
