package habbod2.communication.messages.incoming.room.pets;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.pets.RoomPet;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.users.PetRespectNotificationMessageComposer;

public class RespectPetHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Respect to give out?
		if(session.getUser().petRespectPoints <= 0)
		{
			return;
		}
		
		// Get the requested pet from room instance
		int petId = request.readInt();
		RoomPet pet = (RoomPet) session.getRoom().getActorByActorKey("p" + petId);
		if(pet == null)
		{
			return;
		}
		
		// Update datan
		session.getUser().petRespectPoints--;
		pet.getInfo().respect++;
		pet.getInfo().modifyHappiness(+10);
		pet.modifyExperience(+10);
		
		// Notify the room of this moment of sheer epicness
		session.getRoomUser().wave();
		session.getRoom().broadcast(PetRespectNotificationMessageComposer.compose(pet.getInfo()));
	}
}
