package habbod2.communication.messages.outgoing.inventory.furni;

import java.util.Collection;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.util.StringUtil;
import habbod2.game.items.InventoryItem;
import habbod2.game.items.ItemDefinition.EItemType;

public class FurniListMessageComposer
{
	public static ServerMessage compose(Collection<InventoryItem> items)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.FurniList);
		msg.appendStr('S');
		msg.appendInt(1);
		msg.appendInt(1);
		msg.appendInt(items.size());
		for(InventoryItem item : items)
		{
			serializeItem(item, msg);
		}
		
		return msg;
	}
	
	public static void serializeItem(InventoryItem item, ServerMessage msg)
	{
		msg.appendInt(item.id);
		msg.appendStr(Character.toUpperCase(item.definition.type));
		msg.appendInt(item.id);
		msg.appendInt(item.definition.displayId);
		msg.appendInt(item.definition.inventoryType);
		msg.appendStr(item.state);
		msg.appendBool(item.definition.isRecylable);
		msg.appendBool(item.definition.isTradable);
		msg.appendBool(item.definition.isListGroupable);
		msg.appendBool(item.definition.isMarketplaceSellable);
		msg.appendInt(-1);
		if(item.is(EItemType.FLOORITEM))
		{
			msg.appendStr("");
			msg.appendInt((item.definition.inventoryType == 8) ? StringUtil.parseInt(item.data) : 0);
		}
	}
}
