package habbod2.communication.messages.outgoing.marketplace;

import java.util.List;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.items.ItemDefinition.EItemType;
import habbod2.game.marketplace.MarketplaceOffer;
import habbod2.net.protocol.ServerMessage;

public class MarketplaceOffersMessageComposer
{
	public static ServerMessage compose(List<MarketplaceOffer> offers)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.MarketPlaceOffers);
		msg.appendInt(offers.size()); // amount of offers
		for(MarketplaceOffer offer : offers)
		{
			msg.appendInt(offer.id);
			msg.appendInt(1); // ??
			msg.appendInt(offer.itemDefinition.is(EItemType.FLOORITEM) ? 1 : 2);
			msg.appendInt(offer.itemDefinition.displayId);
			msg.appendStr("");
			msg.appendInt(offer.price);
			msg.appendInt(offer.itemDefinition.displayId);
			msg.appendInt(offer.avgPrice); // average in MP
			msg.appendInt(offer.totalAmount); // total amount offered in MP
		}
		msg.appendInt(offers.size()); // amount of distinct items
		
		return msg;
	}
}
