package habbod2.communication.messages.outgoing.navigator;

import java.util.List;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.navigator.RoomEvent;

public class GuestRoomSearchResultMessageComposer
{
	public static ServerMessage compose(int type, int categoryId, String criteria, List<Room> rooms)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.GuestRoomSearchResult);
		msg.appendInt(categoryId);
		msg.appendInt(type);
		msg.appendStr(criteria);
		msg.appendInt(rooms.size());
		for(Room room : rooms)
		{
			serializeGuestRoom(room, msg);
		}
		
		return msg;
	}
	
	public static final void serializeGuestRoom(Room room, ServerMessage msg)
	{
		msg.appendInt(room.id);
		msg.appendBool(false); // Event: no
		msg.appendStr(room.name);
		msg.appendStr(room.ownerName);
		msg.appendInt(room.state);
		msg.appendInt(room.usersNow);
		msg.appendInt(room.usersMax);
		msg.appendStr(room.description);
		msg.appendBool(true); // ??
		msg.appendBool(true); // Trading allowed
		msg.appendInt(room.rating);
		msg.appendInt(room.categoryId);
		msg.appendStr("");
		msg.appendStrList(room.tags);
		msg.append(room.icon);
		msg.appendBool(room.allowOtherPets);
		msg.appendBool(true);
	}
	
	
	public static ServerMessage compose(int categoryId, int categoryAmount, List<RoomEvent> events)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.GuestRoomSearchResult);
		msg.appendInt(categoryId);
		msg.appendInt(categoryAmount);
		msg.appendStr("");
		msg.appendInt(events.size());
		for(RoomEvent event : events)
		{
			msg.appendInt(event.room.id);
			msg.appendBool(true); // Event: yes
			msg.appendStr(event.name);
			msg.appendStr(event.room.ownerName);
			msg.appendInt(event.room.state);
			msg.appendInt(event.room.usersNow);
			msg.appendInt(event.room.usersMax);
			msg.appendStr(event.description);
			msg.appendBool(true); // ??
			msg.appendBool(true); // Trading: yes
			msg.appendInt(event.room.rating);
			msg.appendInt(event.categoryId);
			msg.appendStr(event.startTime);
			msg.appendStrList(event.tags);
			msg.appendStr(event.room.icon);
			msg.appendBool(true);
		}
		
		return msg;
	}
}
