package habbod2.communication.messages.outgoing.room.engine;

import java.util.Collection;

import habbod2.net.protocol.ServerMessage;
import habbod2.util.StringUtil;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.floor.SongDiskItem;

public class ObjectsMessageComposer
{
	public static ServerMessage compose(Collection<RoomFloorItem> items)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Objects);
		msg.appendInt(items.size());
		for(RoomFloorItem item : items)
		{
			serializeItem(item, msg);
		}
		
		return msg;
	}
	
	public static void serializeItem(RoomFloorItem item, ServerMessage msg)
	{
		msg.appendInt(item.id);
		msg.appendInt(item.definition.displayId);
		msg.appendInt(item.x);
		msg.appendInt(item.y);
		msg.appendInt(item.rotation);
		msg.appendStr(item.z);
		if(item instanceof SongDiskItem)
		{
			msg.appendInt(StringUtil.parseInt(item.data));
		}
		else
		{
			msg.appendInt(0);
		}
		msg.appendStr(item.state);
		msg.appendInt(-1);
		msg.appendBool(false);
	}
}
