package habbod2.communication.messages.outgoing.room.engine;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.instance.RoomActor;
import habbod2.game.rooms.instance.RoomTile;
import habbod2.game.rooms.items.RoomFloorItem;

public class SlideObjectBundleMessageComposer
{
	public static ServerMessage compose(RoomFloorItem item, RoomTile from, float fromZ, RoomFloorItem roller)
	{
		return compose(item, from, fromZ, roller, ServerMessage.create());
	}
	
	public static ServerMessage compose(RoomFloorItem item, RoomTile from, float fromZ, RoomFloorItem roller, ServerMessage msg)
	{
		msg.reset(EServerMessage.SlideObjectBundle);
		msg.appendInt(from.x);
		msg.appendInt(from.y);
		msg.appendInt(item.x);
		msg.appendInt(item.y);
		msg.appendInt(1);
		msg.appendInt(item.id);
		msg.appendStr(fromZ);
		msg.appendStr(item.z);
		msg.appendInt(roller != null ? roller.id : -1);
		
		return msg;
	}
	
	public static ServerMessage compose(RoomActor actor, RoomTile from, RoomFloorItem roller)
	{
		return compose(actor, from, roller, ServerMessage.create());
	}
	
	public static ServerMessage compose(RoomActor actor, RoomTile from, RoomFloorItem roller, ServerMessage msg)
	{
		msg.reset(EServerMessage.SlideObjectBundle);
		msg.appendInt(from.x);
		msg.appendInt(from.y);
		msg.appendInt(actor.x);
		msg.appendInt(actor.y);
		msg.appendInt(0);
		msg.appendInt(roller != null ? roller.id : -1);
		msg.appendInt(2);
		msg.appendInt(actor.actorId);
		msg.appendStr(from.height + actor.getExtraDisplayHeight());
		msg.appendStr(actor.z + actor.getExtraDisplayHeight());
		
		return msg;
	}
}
