package habbod2.communication.messages.outgoing.room.pets;

import java.util.Collection;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.pets.Pet;
import habbod2.game.pets.PetCommand;

public class PetCommandsMessageComposer
{
	public static ServerMessage compose(Pet pet, Collection<PetCommand> all, Collection<PetCommand> accessible)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.PetCommands);
		msg.appendInt(pet.id);
		msg.appendInt(all.size());
		for(PetCommand cmd : all)
		{
			msg.appendInt(cmd.id);
		}
		msg.appendInt(accessible.size());
		for(PetCommand cmd : accessible)
		{
			msg.appendInt(cmd.id);
		}
		
		return msg;
	}
}
