package habbod2.storage;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class SQLHelper
{
	private static final Date DATE_OBJECT = new Date();
	private static final SimpleDateFormat DATE_FORMATTER = new SimpleDateFormat("yyyy-MM-d HH:mm:ss");
	private static final ThreadLocal<Matcher> ESCAPE_MATCHER = new ThreadLocal<Matcher>()
	{
		protected Matcher initialValue()
		{
			return Pattern.compile("['\"\\\\]").matcher("");
		}
	};

	public static String escape(String str)
	{
		if(str == null || str.isEmpty())
		{
			return "";
		}
		else
		{
			Matcher matcher = ESCAPE_MATCHER.get();
			if(matcher != null)
			{
				matcher.reset(str);
			}
			else
			{
				matcher = Pattern.compile("['\"\\\\]").matcher(str);
				ESCAPE_MATCHER.set(matcher);
			}
			return matcher.replaceAll("\\\\$0");
		}
	}

	public static String formatDate(long millis)
	{
		DATE_OBJECT.setTime(millis);
		return DATE_FORMATTER.format(DATE_OBJECT);
	}

	public static String getDateTime()
	{
		return SQLHelper.formatDate(System.currentTimeMillis());
	}
}
