package habbod2.game.pets.ai;

import habbod2.game.pets.RoomPet;
import habbod2.game.rooms.items.pets.DrinkItem;
import habbod2.game.rooms.items.pets.PetAccessoryItem;

public class DrinkAction extends AccessoryHandler<DrinkItem>
{
	public DrinkAction(RoomPet pet)
	{
		super(pet);
	}

	@Override
	protected Class<? extends PetAccessoryItem> getItemType()
	{
		return DrinkItem.class;
	}

	@Override
	protected String getNoItemFoundEvent()
	{
		return "noDrink";
	}

	@Override
	protected int getHappinessPenalty()
	{
		return 20;
	}

	@Override
	protected int getHappinessBoost()
	{
		return 20;
	}
	

	@Override
	protected String getIntentionEmotion()
	{
		return "thr";
	}
	
	@Override
	protected String getInteractionStatus()
	{
		return "eat";
	}

	@Override
	protected String getActivityEvent()
	{
		return "drinking";
	}
	
	@Override
	protected void submitResult(boolean isSuccess)
	{
		this.pet.getInfo().resetDrinkTimer(isSuccess);
	}

	@Override
	protected int getActionDuration()
	{
		return 3;
	}
	
	@Override
	protected void endInteract()
	{
		this.item.reduce();
	}
}
