package habbod2.game.pets.ai;

import habbod2.game.pets.RoomPet;
import habbod2.game.rooms.geometry.Direction;
import habbod2.game.rooms.instance.RoomActor;
import habbod2.game.rooms.instance.RoomTile;

public class InspectActorAction extends ActionHandler
{
	private RoomActor target;
	
	public InspectActorAction(RoomPet pet, RoomActor target)
	{
		super(pet);
		this.target = target;
	}

	@Override
	public void pulse()
	{
		// Determine destination tile
		RoomTile tile = this.target.getTileInFront();
		if(tile == null)
		{
			// TODO: work better tile
			if(tile == null)
			{
				this.pet.release();
				return;
			}
		}
		
		// Not on the move to there?
		if(this.pet.goal != tile)
		{
			// Arrived?
			if(this.pet.at(tile))
			{
				this.pet.setDirection(Direction.calculate(this.pet.x, this.pet.y, this.target.x, this.target.y));
				this.pet.release();
				this.pet.refresh(true);
			}
			else
			{
				// Can go there?
				if(tile.isReachableBy(this.pet))
				{
					this.pet.setGoal(tile);
				}
				else
				{
					this.pet.release();
				}
			}
		}
	}

	@Override
	public void clear()
	{
		this.pet.clearMovement();
	}
}
