package habbod2.game.pets.ai;

import habbod2.game.pets.RoomPet;
import habbod2.game.util.GameUtil;

public class TimedStatusAction extends ActionHandler
{
	private int timer;
	private String status;
	
	public TimedStatusAction(RoomPet pet, String status, int duration)
	{
		super(pet);
		this.status = status;
		this.timer = GameUtil.secondsToRoomPulses(duration);
		this.pet.addStatus(status);
	}
	
	@Override
	public void clear()
	{
		this.pet.removeStatus(this.status);
	}

	@Override
	public void pulse()
	{
		if(--this.timer <= 0)
		{
			this.pet.release();
		}
	}
}
