package habbod2.game.pets.ai.special;

import habbod2.communication.messages.outgoing.room.engine.SlideObjectBundleMessageComposer;
import habbod2.game.pets.RoomPet;
import habbod2.game.pets.ai.AccessoryHandler;
import habbod2.game.rooms.geometry.Direction;
import habbod2.game.rooms.instance.RoomTile;
import habbod2.game.rooms.items.pets.PetAccessoryItem;
import habbod2.game.rooms.items.pets.TreadmillItem;

public class CardioAction extends AccessoryHandler<TreadmillItem>
{
	protected CardioAction(RoomPet pet)
	{
		super(pet);
	}

	@Override
	protected Class<? extends PetAccessoryItem> getItemType()
	{
		return TreadmillItem.class;
	}

	@Override
	protected String getNoItemFoundEvent()
	{
		return "noTreadmill";
	}

	@Override
	protected int getHappinessPenalty()
	{
		return 0;
	}

	@Override
	protected int getHappinessBoost()
	{
		return 5;
	}

	@Override
	protected String getInteractionStatus()
	{
		return "mv " + this.pet.x + "," + this.pet.y + "," + this.pet.z;
	}

	@Override
	protected String getActivityEvent()
	{
		return "cardio";
	}

	@Override
	protected void submitResult(boolean success)
	{
		// TODO Auto-generated method stub
		
	}

	@Override
	protected int getActionDuration()
	{
		// TODO Auto-generated method stub
		return 0;
	}

	public void pulse()
	{
		RoomTile tile = this.pet.getTile();
		if(tile.topItem instanceof TreadmillItem)
		{
			if(this.pet.bodyDirection.num != tile.topItem.rotation)
			{
				this.pet.setDirection(Direction.get(tile.topItem.rotation));
			}
			this.pet.getRoom().broadcast(SlideObjectBundleMessageComposer.compose(tile.topItem, tile, tile.topItem.z, tile.topItem));
			this.pet.getInfo().modifyEnergy(-1);
		}
		else
		{
			this.pet.release();
		}
	}
}
