package habbod2.game.rooms.items.floor;

import habbod2.game.rooms.instance.RoomTile;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.util.StringUtil;

public class ElevatableItem extends SwitchStateItem
{
	private float increment;
	
	@Override
	protected void onRoomAdd()
	{
		this.increment = StringUtil.parseFloat(this.definition.data);
	}
	
	@Override
	public float getHeight()
	{
		int current = StringUtil.parseInt(this.state);
		return super.getHeight() + ((current * this.increment));
	}
	
	@Override
	protected void onToggle(RoomUser user, int instruction)
	{
		if(user == null || user.hasRoomRights)
		{
			this.nextState();
			this.getRoom().rebuildFloorMap();
			for(RoomTile tile : this.getTiles())
			{
				this.getRoom().repositionActorsOnTile(tile);
			}
		}
	}
	
	@Override
	public boolean requiresInstantRefresh()
	{
		// No delay between toggling and refresh, please
		return true;
	}
}
