package habbod2.game.rooms.items.pets;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.util.GameUtil;
import habbod2.util.StringUtil;

public class FoodItem extends PetAccessoryItem
{
	@Override
	public boolean isValid()
	{
		return (StringUtil.parseInt(this.state) <= this.definition.states);
	}
	
	public int getEnergyValue()
	{
		return StringUtil.parseInt(this.definition.data);
	}
	
	public int getHappinessValue()
	{
		return this.getEnergyValue() / 2;
	}
	
	@Override
	protected void onToggle(RoomUser user, int instruction)
	{
		if(user != null && user.getInfo().hasRight("refill_food"))
		{
			this.setState(0);
		}
	}
	
	public void reduce()
	{
		int eaten = StringUtil.parseInt(this.state);
		if(eaten <= this.definition.states)
		{
			this.setState(++eaten);
			if(eaten == this.definition.states)
			{
				this.delete();
				if(this.definition.states > 1)
				{
					this.setTimeout(GameUtil.secondsToRoomPulses(3));
				}
				else
				{
					this.onTimeout();
				}
			}
		}
	}
	
	@Override
	protected void onTimeout()
	{
		this.getRoom().pickupItem(this.id);
	}
}