package habbod2.game.rooms.items.wired.actions;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.wired.WiredAction;
import habbod2.game.rooms.minigames.GameUserPlayer;

public class GiveGameScoreAction extends WiredAction
{
	public static final int PARAM_POINTS = 0;
	public static final int PARAM_USELIMIT = 1;
	
	private int timesUsed;
	
	@Override
	public int getInterface()
	{
		return 6;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 2;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		// Triggering user is playing?
		GameUserPlayer player = user.getPlayer();
		if(player != null && player.getGame().isRunning())
		{
			// Points configured?
			if(this.getParam(PARAM_POINTS) > 0)
			{
				// Can be used?
				if(this.getParam(PARAM_USELIMIT) == 0 || this.timesUsed < this.getParam(PARAM_USELIMIT))
				{
					this.timesUsed++;
					player.addScore(this.getParam(PARAM_POINTS));
				}
			}
		}
	}
	
	public void resetUseCount()
	{
		this.timesUsed = 0;
	}
}
