package prinzip;

import java.io.File;

import org.apache.log4j.Logger;

public class Bootstrapper
{
	private static final Logger logger = Logger.getLogger(Bootstrapper.class);
	
	public static void main(String[] args)
	{
		try
		{
			// Create server instance
			Server instance = new Server(new File("conf.properties"));
			if(logger.isDebugEnabled()) logger.debug(String.format("created %s", instance));
			
			// Load accounts from disk and initialize them
			instance.getAccountMgr().initializeAccounts();
			
			// Want interactive?
			if(args.length > 0 && args[0].equals("interactive"))
			{
				InteractiveConsole.enterShell(instance);
			}
		}
		catch(Exception e)
		{
			logger.fatal("error starting instance", e);
			System.exit(-1);
		}
	}
}
