package prinzip.util;

import java.util.HashSet;

import org.bson.types.ObjectId;
import org.jongo.MongoCollection;

public class JongoSet<T> extends HashSet<T>
{
	private static final long serialVersionUID = 1L;
	
	private MongoCollection collection;
	private ObjectId parentObjectId;
	private String field;

	public JongoSet(MongoCollection collection, ObjectId parentObjectId, String field)
	{
		super(null);
		this.field = field;
		this.parentObjectId = parentObjectId;
		this.collection = collection;
	}
	
	public boolean add(T e)
	{
		if(super.add(e))
		{
			this.collection.update(this.parentObjectId).with("{$push:{#:#}", this.field, e);
			return true;
		}
		else
		{
			return false;
		}
	}
	
	public boolean remove(Object o)
	{
		if(super.remove(o))
		{
			this.collection.update(this.parentObjectId).with("{$pull:{#:#}", this.field, o);
			return true;
		}
		else
		{
			return false;
		}
	}
}
