package prinzip.util;

import java.util.Random;

public class TimeUtil
{
	public static long[] parseTimePeriod(String input)
	{
		String[] bits = input.split("\\..", 2);
		
		return new long[] { parseTime(bits[0]), parseTime(bits[1]) };
	}
	
	public static long selectRandomTime(long[] period)
	{
		Random rand = new Random();
		
		return rand.nextInt((int)((period[1] - period[0]) + 1)) + period[0];
	}
	
	public static long parseTime(String input)
	{
		long result = 0;
		String number = "";
		for(int i = 0; i < input.length(); i++)
		{
			char c = input.charAt(i);
			if(Character.isDigit(c))
			{
				number += c;
			}
			else if(Character.isLetter(c) && !number.isEmpty())
			{
				result += convert(Integer.parseInt(number), c);
				number = "";
			}
		}
		return result;
	}

	private static long convert(int value, char unit)
	{
		switch(unit)
		{
			case 'd':
				return value * 1000 * 60 * 60 * 24;
			case 'h':
				return value * 1000 * 60 * 60;
			case 'm':
				return value * 1000 * 60;
			case 's':
				return value * 1000;
		}
		return 0;
	}
}
